%define current_version 7.0.942

%define systemd_generator_dir /usr/lib/systemd/system-generators

Name:           prl-disp-service
Version:        %{current_version}
Release:        1%{?dist}
Summary:        OpenVZ management service
Group:          Applications/Emulators
License:        GPLv2
URL:            http://openvz.org/
ExclusiveArch:  x86_64
Conflicts:	parallels-desktop
Obsoletes:      parallels-server, parallels-kernel-modules
Obsoletes: 	Parallels<4.0, parallels<4.0

Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	libvzctl >= 7.0.458 libprlsdk, vztt-lib, libguestfs
Requires:	openssl, pam, pciutils, libtar, zlib, libvirt >= 3.9.0-14.vz7.34
Requires:	vcmmd >= 7.0.93, vzctl >= 7.0.172
Requires:	p7zip-plugins, genisoimage, PyYAML, vmauth
Requires:	netpbm-progs
Requires:	socat >= 1.7.2.2-5
# Do NOT contencate libprlxmlmodel, libvcmmd and libprlcommon requires - modified by automatic script
Requires:	libprlxmlmodel = 7.0.81
Requires:	libvcmmd = 7.0.22
Requires:	libprlcommon = 7.0.162
# For python systemd generator
Requires:	libprlsdk-python
Requires:	python-subprocess32

BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: qt4
BuildRequires: iproute-devel
BuildRequires: openssl-devel, pam-devel, boost-devel, libvirt-devel >= 3.9.0-14
BuildRequires: libvzctl-devel >= 7.0.458, vztt-devel, ploop-devel, libguestfs-devel
BuildRequires: libprlsdk-devel >= 7.0.219, libtar-devel, zlib-devel, libqtsolutions-devel
BuildRequires: libprlcommon-devel, libprlxmlmodel-devel
BuildRequires: libvcmmd-devel, systemd-devel


%description
OpenVZ is a powerful, easy to use, cost effective server virtualization
solution that empowers PC users with the ability to create completely
networked, fully portable, entirely independent virtual machines and Containers
on a single physical machine.

# legacy
%package -n prl-disp-legacy
Summary:                OpenVZ legacy components
Group:                  Applications/Emulators
Requires:               virt-v2v

%description -n prl-disp-legacy
Legacy components of OpenVZ management service

# tests
%package tests
Summary:		OpenVZ management service tests
Group:			Development/Tools

%description tests
Internal tests for OpenVZ management service

%prep
%setup -q


%build
export PATH="$PATH:/usr/lib64/qt4/bin"
./Gen.py
cd Dispatcher
qmake-qt4
make %{?_smp_mflags} release
cd Legacy/Migration
qmake-qt4
make %{?_smp_mflags} release
#make debug
cd ../../../Tests
qmake-qt4
make

%install
%{__rm} -rf %{buildroot}
%{__mkdir} %{buildroot}
%{__mkdir} -p %{buildroot}/%{_bindir}/
%{__mkdir} -p %{buildroot}/%{_sbindir}/
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/prelink.conf.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/pam.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/logrotate.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/udev/makedev.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/udev/rules.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/udev/permissions.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/modprobe.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/sysconfig
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/sysctl.d
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/libvirt/nwfilter
%{__mkdir} -p %{buildroot}/%{_unitdir}
%{__mkdir} -p %{buildroot}/%{_libexecdir}
%{__mkdir} -p %{buildroot}/%{systemd_generator_dir}
%{__mkdir} -p %{buildroot}/%{_localstatedir}/spool/prl-disp
%{__mkdir} -p %{buildroot}%{_sysconfdir}/cron.daily/

LINDIR=Build/LinUtil/files

install -m 644 ${LINDIR}/prl_prelink.conf %{buildroot}/%{_sysconfdir}/prelink.conf.d/
install -m 644 ${LINDIR}/prl_disp_service.pam %{buildroot}/%{_sysconfdir}/pam.d/prl_disp_service
install -m 644 ${LINDIR}/vz.logrotate %{buildroot}/%{_sysconfdir}/logrotate.d/vz
install -m 644 ${LINDIR}/55-vz.permissions %{buildroot}/%{_sysconfdir}/udev/permissions.d/55-vz.permissions
install -m 644 ${LINDIR}/99-prl-disp.conf %{buildroot}/%{_sysconfdir}/sysctl.d/99-prl-disp.conf
install -m 644 ${LINDIR}/udev-vz.node %{buildroot}/%{_sysconfdir}/udev/makedev.d/55-vz.node
install -m 644 ${LINDIR}/udev-vz.rules %{buildroot}/%{_sysconfdir}/udev/rules.d/55-vz.rules
install -m 755 ${LINDIR}/rc.sysinit.vz %{buildroot}/%{_sysconfdir}/rc.sysinit.vz
install -m 644 ${LINDIR}/blacklist-vz.conf %{buildroot}/%{_sysconfdir}/modprobe.d/blacklist-vz.conf
install -m 644 ${LINDIR}/nwfilter/*.xml %{buildroot}/%{_sysconfdir}/libvirt/nwfilter/
install -m 644 ${LINDIR}/prl-disp.service %{buildroot}/%{_unitdir}/prl-disp.service
install -m 644 ${LINDIR}/virtuozzo.target %{buildroot}/%{_unitdir}/virtuozzo.target
install -m 644 ${LINDIR}/prl-disp %{buildroot}/%{_sysconfdir}/sysconfig/prl-disp
install -m 755 ${LINDIR}/create_bridges.py %{buildroot}/%{_libexecdir}/create_bridges.py
install -m 755 ${LINDIR}/vz-generator %{buildroot}/%{systemd_generator_dir}/vz-generator
install -m 755 ${LINDIR}/vz_systemd %{buildroot}/%{_libexecdir}/vz_systemd
install -m 755 ${LINDIR}/cloud_config_ctl.py %{buildroot}/%{_libexecdir}/cloud_config_ctl.py
install -m 755 ${LINDIR}/prl_disp_reboot %{buildroot}/%{_libexecdir}/prl_disp_reboot
ln -s prl_disp_reboot %{buildroot}/%{_libexecdir}/prl_disp_autostart_list_update
install -m 755 ${LINDIR}/prl_disp_autostart_list_update.cron %{buildroot}%{_sysconfdir}/cron.daily/
install -m 755 z-Build/Release/prl_disp_service %{buildroot}/%{_sbindir}/prl_disp_service
install -m 755 z-Build/Release/prl_legacy_migration_app %{buildroot}/%{_bindir}/prl_legacy_migration_app
%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 COPYING GPL-2.0  %{buildroot}%{_docdir}/%{name}-%{version}/

%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}/
install -m 644 z-Build/Debug/tests/prl-disp-unittests.zip  %{buildroot}/%{_datadir}/%{name}/
install -m 644 z-Build/Debug/tests/pythontests.zip  %{buildroot}/%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%attr(644,root,root) %{_unitdir}/prl-disp.service
%attr(644,root,root) %{_unitdir}/virtuozzo.target
%config %attr(644,root,root) %{_sysconfdir}/sysconfig/prl-disp
%attr(644,root,root) %{_sysconfdir}/pam.d/prl_disp_service
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/logrotate.d/vz
%attr(644,root,root) %{_sysconfdir}/udev/makedev.d/*
%attr(644,root,root) %{_sysconfdir}/udev/rules.d/*
%attr(644,root,root) %{_sysconfdir}/udev/permissions.d/*
%attr(644,root,root) %{_sysconfdir}/sysctl.d/*
%attr(755,root,root) %{_sysconfdir}/rc.sysinit.vz
%attr(644,root,root) %{_sysconfdir}/modprobe.d/blacklist-vz.conf
%attr(644,root,root) %{_sysconfdir}/prelink.conf.d/prl_prelink.conf
%verify(not md5 size mtime mode) %attr(644,root,root) %{_sysconfdir}/libvirt/nwfilter/*.xml
%attr(755,root,root) %{_sbindir}/prl_disp_service
%attr(755,root,root) %{_libexecdir}/create_bridges.py*
%attr(755,root,root) %{_libexecdir}/cloud_config_ctl.py*
%attr(755,root,root) %{_libexecdir}/vz_systemd
%attr(755,root,root) %{_libexecdir}/prl_disp_reboot
%attr(755,root,root) %{_libexecdir}/prl_disp_autostart_list_update
%attr(755,root,root) %{_sysconfdir}/cron.daily/prl_disp_autostart_list_update.cron
%attr(755,root,root) %{systemd_generator_dir}/vz-generator
%{_docdir}/%{name}-%{version}
%dir %attr(755, root,root) %{_localstatedir}/spool/prl-disp

%post
%systemd_post prl-disp.service

%preun
%systemd_preun prl-disp.service

%postun
%systemd_postun_with_restart prl-disp.service

%triggerin -- libvirt-daemon-driver-qemu
[ ! -f /etc/libvirt/qemu.conf ] && exit 0
cat /etc/libvirt/qemu.conf | grep '^user = "root"' > /dev/null 2>&1
[ $? -eq 0 ] && exit 0
echo "user = \"root\"" >> /etc/libvirt/qemu.conf 2>&1
:

%triggerin -- libnl3
ln -s libnl-3.so.200 /usr/lib64/libnl-3.so > /dev/null 2>&1
:

%triggerpostun -- prl-disp-service < 7.0.725
/usr/bin/killall -9 socat > /dev/null 2>&1
rm -f /var/spool/prl-disp/prl_disp_noautostart.py > /dev/null 2>&1
:

%files tests
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.zip

%files -n prl-disp-legacy
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/prl_legacy_migration_app

%changelog
* Thu Mar 28 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.942
 - Ignore ifcfg configs with prohibit_libvirt_bridge in USERS on libvirt bridge
creation, see #PSBM-92065 (Konstantin Volkov <wolf@virtuozzo.com>)

* Wed Mar 27 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.941
 - bug #PSBM-92991 aka PlsCtlError:  Failed to migrate the VM: Operation failed.
Failed to execute the operation. (Details: internal error: qemu une ... (Sergey
Galas <shrike@virtuozzo.com>)

* Mon Mar 25 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.940
 - bug #PSBM-92975 aka ERROR: PlsCtlError: Requested operation is not valid:
domain is not running. Exit code: 255 (Sergey Galas <shrike@virtuozzo.com>)

* Wed Mar 20 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.939
 - Allow to unregister 'invalid' CT #PSBM-92869 (Igor Sukhih
<igor@virtuozzo.com>)

* Wed Mar 20 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.938
 - bug #PSBM-90998 aka "prl-disp-service" crash: "prl_disp_service killed by
SIGSEGV" (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 15 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.937
 - implement update snapshot command (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 14 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.936
 - bug #PSBM-92543 aka Failed to register the VM: Operation failed. Exit code:
255 (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 14 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.935
 - bug #PSBM-92572 aka PlsCtlError: operation forbidden: changing device alias
is not allowed (Sergey Galas <shrike@virtuozzo.com>)

* Wed Mar 13 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.934
 - bug #PSBM-92442 aka Failed to register the VM: Operation failed. Exit code:
255 (Sergey Galas <shrike@virtuozzo.com>)

* Mon Mar 11 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.933
 - bug #PSBM-92378 aka Snapshot UUID folder is not removed from /VM
private/snapshots/ folder once snapshot was deleted. (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Mar 07 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.932
 - bug #PSBM-92363 aka restore ERROR: SDKError: SDK error: 0x80000003: Invalid
argument. An invalid argument was passed. (Sergey Galas <shrike@virtuozzo.com>)

* Tue Mar 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.931
 - Shaman resource re-check on VM/CT start/resume #PSBM-91898 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Mar 01 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.930
 - VM description couldn't be set to blank using prlctl #PSBM-92050 (Igor Sukhih
<igor@virtuozzo.com>)

* Wed Feb 27 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.929
 - bug #PSBM-91867 aka Check dispatcher backup restore logic (Sergey Galas
<shrike@virtuozzo.com>)
 - another mark for a local address. this one suits for unix socket connections
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Feb 25 2019 Igor Sukhih <igor@virtuozzo.com> 7.0.928
 - Implement transitional statuses in dispatcher for containers #PSBM-91896
 - Implement transitional statuses in dispatcher for containers #PSBM-91896
 - Clear already acquired semaphore to avoid forever wait on error #PSBM-91894
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Mon Feb 25 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.927
 - Clear already acquired semaphore to avoid forever wait on error #PSBM-91894
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Fri Feb 22 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.926
 - bug #PSBM-90833 ana #PSBM-91944 aka Pass valid chars for devices user aliases
(Sergey Galas <shrike@virtuozzo.com>)

* Wed Feb 13 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.925
 - Compile fix #PSBM-91736 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Honor timeout while waiting for stdout/err semaphore #PSBM-91736 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Wed Feb 13 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.924
 - Honor timeout while waiting for stdout/err semaphore #PSBM-91736 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Wed Feb 13 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.923

* Tue Feb 12 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.922
 - Wait for stdout/stderr devices to finish  #PSBM-91645 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Tue Feb 12 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.921
 - Handle client disconnect and i/o errors #PSBM-91463 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Mon Feb 11 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.920
 - bug #PSBM-91619 aka Filter VGA devices from the list to assign (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Feb 11 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.919
 - We should not set PTY flag - it is done automatically in qemu-ga Setting it
here breaks enter for windows guest - #PSBM-91583 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - STYLE return back 'struct Filter' comment (Igor Sukhih <igor@virtuozzo.com>)

* Fri Feb 08 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.918
 - prlsrvctl net list works slow on big number of VMs #PSBM-91350 (Igor Sukhih
<igor@virtuozzo.com>)
 - get rid of a parasite local (Sergey Galas <shrike@virtuozzo.com>)

* Thu Feb 07 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.917
 - refactor trim config #PSBM-91350 (Igor Sukhih <igor@virtuozzo.com>)

* Wed Feb 06 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.916
 - No mount point in CT configuration after restorw #PSBM-91404 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Feb 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.915
 - don't include libvirt headers inside public headers (Sergey Galas
<shrike@virtuozzo.com>)
 - Pass PRPM_RUN_PROGRAM_ENTER to libvirt guest-exec #PSBM-91476 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Tue Feb 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.914
 - forbid assignment of a host PCI device to more than a single vm (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Feb 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.913
 - bug #PSBM-91434 aka Impossible to start VM with attached USB device (Sergey
Galas <shrike@virtuozzo.com>)

* Tue Feb 05 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.912
 - bug #PSBM-91434 aka Impossible to start VM with attached USB device (Sergey
Galas <shrike@virtuozzo.com>)

* Mon Feb 04 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.911
 - handle USB preference update carefully (Sergey Galas <shrike@virtuozzo.com>)

* Mon Feb 04 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.910
 - Turn on debug log level for CT migration #PSBM-91373 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Feb 01 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.909
 - bug #PSBM-91340 aka Cannot change interface for the bridged network with
"PRL_ERR_VM_NOT_CREATED", only delete-create will work (Sergey Galas
<shrike@virtuozzo.com>)
 - vzt-parallels-backup-x86_64-vzsdk-remote-ext_disk-LL-PP: Failed to mount
image #PSBM-91208 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Feb 01 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.908
 - bug #PSBM-91231 aka usb device mapping isn't working due to difference in
device information between "lsusb" and "prlsrvctl usb list" (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Jan 29 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.907
 - bug #PSBM-91088 aka Protect WriteDevice::close() against concurrent calling
virStreamFinish() (Sergey Galas <shrike@virtuozzo.com>)

* Tue Jan 29 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.906
 - mark host pci devices managed in libvirt config (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Jan 29 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.905
 - Fixed sigsegv introduced by close of already freed Exec::Device object
\#PSBM-91176 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Mon Jan 28 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.904
 - allow to assign any host PCI device to a VM (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jan 25 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.903
 - Add debug logs for guest watcher #PSBM-91074 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Fri Jan 25 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.902
 - CAuthHelper::isLocalAdministrator(): check for "root" user (Igor Sukhih
<igor@virtuozzo.com>)
 - CDspAccessManager::getAccessRightsToVm(): grant all rights for root user
(Igor Sukhih <igor@virtuozzo.com>)
 - prlctl list works slow on big number of VMs on the host #PSBM-90846 (Igor
Sukhih <igor@virtuozzo.com>)

* Tue Jan 22 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.901
 - bug #PSBM-90833 aka usb device mapping isn't working (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jan 18 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.900
 - set the libvirt version not less than the one with guest exec support (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Jan 18 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.899
 - bug #PSBM-88346 aka Tools installation failed (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jan 17 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.898
 - bug #PSBM-87041 aka dispatcher crashed (Sergey Galas <shrike@virtuozzo.com>)

* Tue Jan 15 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.897
 - Perform netdev hotplug before network action #PSBM-51857 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Add Windows Server 2019 support #PSBM-90793 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Fri Jan 11 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.896
 - Break after first pass os systemctl output, see #PSBM-90695 (Konstantin
Volkov <wolf@virtuozzo.com>)

* Thu Jan 10 2019 Sergey Galas' <shrike@virtuozzo.com> 7.0.895
 - Do not stop VMs during intermediate autostart list creation, see #PSBM-90628
(Konstantin Volkov <wolf@virtuozzo.com>)

* Wed Jan 09 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.894
 - Implement periodic task to populate prl_disp_autostart.py, see #PSBM-87556

* Sat Dec 29 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.893
 - Translate no-compression option to vzmigrate #PSBM-90473 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Thu Dec 27 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.892
 - bug #PSBM-74929 aka IO limitation design problem (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Dec 25 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.891
 - Task_VzManager::clone_env():  cache invalidation #PSBM-90394 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Dec 24 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.890
 - Failed to move the CT: PRL_ERR_VM_REQUEST_NOT_SUPPORTED #PSBM-90394 (Igor
Sukhih <igor@virtuozzo.com>)

* Mon Dec 24 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.889
 - CVzNetworkShaping.cpp run_prg(): increase execution timeout (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-86453 aka Duplicate VM MAC addresses on the same node (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Dec 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.888
 - Cache<T>::getFromCache(): remove check modification time logic #PSBM-89931

* Fri Nov 30 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.887
 - bug #PSBM-81638 aka hdd.pstorage-target is left in the VM configuration
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Nov 13 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.886
 - bug #PSBM-89880 aka Prohibit win2k8 UEFI VM migration from VZ7U9 to VZ7(U <
9) (Sergey Galas <shrike@virtuozzo.com>)

* Mon Nov 12 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.885
 - bug #PSBM-89866 aka Dispatcher gets SIGTERM every day during backup (Sergey
Galas <shrike@virtuozzo.com>)

* Thu Nov 08 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.884
 - bug #PSBM-89866 aka Dispatcher gets SIGTERM every day during backup (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-89866 aka Dispatcher gets SIGTERM every day during backup (Sergey
Galas <shrike@virtuozzo.com>)
 - don't terminate a process which cannot start (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Nov 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.883
 - Ensure usb tablet device is present after vz6-vz7 conversion #PSBM-57341
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Tue Nov 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.882
 - bug #PSBM-89841 aka lin.vm_backup_restore ERROR: EnvExecutionError: eval
failed Exit code: 1 (Sergey Galas <shrike@virtuozzo.com>)

* Fri Nov 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.881
 - bug #PSBM-89840 aka Fix ip4 multicast rule in preventpromisc filter (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Nov 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.880
 - Task_RestoreVmBackupTarget::restoreNewCt(): broken configuration after
restore #PSBM-89814 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-89839 aka Dispatcher is unable to configure route for VM sometimes
(Sergey Galas <shrike@virtuozzo.com>)
 - Task_RestoreVmBackupTarget::restoreNewCt(): broken configuration after
restore #PSBM-89814 (Igor Sukhih <igor@virtuozzo.com>)
 - Loader::operator(): refactor (Igor Sukhih <igor@virtuozzo.com>)

* Tue Oct 30 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.878
 - Failed to restore Container #PSBM-89711

* Mon Oct 29 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.877
 - bug #PSBM-89705 aka Cannot restore VE (Sergey Galas <shrike@virtuozzo.com>)

* Fri Oct 26 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.876
 - bug #PSBM-80024 aka CTID is replaced by UUID during restore (Sergey Galas
<shrike@virtuozzo.com>)
 - Unable to configure route for VM #PSBM-89651 (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Oct 25 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.875
 - bug #PSBM-61363 aka SR-IOV and PCI Passthrough support (Sergey Galas
<shrike@virtuozzo.com>)
 - read/write generic host PCI devices from a libvirt config of a VM (Sergey
Galas <shrike@virtuozzo.com>)

* Thu Oct 25 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.874
 - CVzStateMonitor: use poll() insted of select() #PSBM-89648 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Oct 22 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.873
 - bug #PSBM-89267 don't fail for a win2k8 efi vm migration (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Oct 22 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.872
 - bug #PSBM-89540 aka dispatcher: Win2008 UEFI bug workaround (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Oct 19 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.871
 - libvirt agent code to pull host pci devices (Sergey Galas
<shrike@virtuozzo.com>)
 - parse libvirt xml for host pci devices (Sergey Galas <shrike@virtuozzo.com>)
 - pull pci devices from libvirt periodically. set a slot for the HostInfo to
read the list. (Sergey Galas <shrike@virtuozzo.com>)
 - HostInfo instance is always accessed inside a critical section. it is a bad
idea to issue a remote call inside the context. we need an rpc to list host pci
devices. the patch suggests to perform the rpc somewhere outside the protected
region and grab the result from a preset bin. (Sergey Galas
<shrike@virtuozzo.com>)
 - preserve parsing stack in case children parsing fails. the following parser
needs to see the same stack for proper operations (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Oct 18 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.870
 - bug #PSBM-89485 aka Requested operation is not valid: domain is not running.
Exit code: 255 (Sergey Galas <shrike@virtuozzo.com>)
 - Ignore SIGHUP signal #PSBM-89487 (Igor Sukhih <igor@virtuozzo.com>)

* Thu Oct 11 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.869
 - Turn back prl_disp autorestart, see #PSBM-86676

* Thu Oct 11 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.868
 - bug #PSBM-89351 aka prl_disp_service should stop spamming /var/log/messages
(Sergey Galas <shrike@virtuozzo.com>)
 - update the nodedev schema and generate mappings (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Oct 11 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.867
 - log state transition events from libvirt (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-81716 aka Adopt Dispatcher for VM pull backups (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Oct 09 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.866
 - Unable to get config for shared CT template #PSBM-89304 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Oct 08 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.865
 - Do not request CT status for template #PSBM-88891 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Oct 08 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.864
 - embellish the network listing code (Sergey Galas <shrike@virtuozzo.com>)
 - Rework get network list (Igor Sukhih <igor@virtuozzo.com>)
 - dispatcher lists networks unreasonably slow #PSBM-89136 (Igor Sukhih
<igor@virtuozzo.com>)
 - CDspLibvirt.h: namespace Interface move (Igor Sukhih <igor@virtuozzo.com>)
 - The dispatcher lists networks unreasonably slow #PSBM-89136 (Igor Sukhih
<igor@virtuozzo.com>)

* Wed Oct 03 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.863
 - bug #PSBM-89190 aka prl_disp_service killed by SIGABRT (Sergey Galas
<shrike@virtuozzo.com>)
 - code cleanup (Sergey Galas <shrike@virtuozzo.com>)
 - High memory usage by statistics collector #PSBM-89210 (Igor Sukhih
<igor@virtuozzo.com>)

* Wed Oct 03 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.862
 - Unable to encrypt/reencrypt existing ct hdd #PSBM-89114
 - Online migration fails for external disk #PSBM-88652

* Mon Oct 01 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.861
 - move mutation of object state under the lock to avoid races (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-88750 aka "prl-disp-service" crash: "prl_disp_service killed by
SIGSEGV" (Sergey Galas <shrike@virtuozzo.com>)

* Tue Sep 18 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.860
 - Revert "bug #PSBM-86423 aka enable ipfilter for VMs with dhcp=yes"

* Thu Sep 13 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.859
 - bug #PSBM-88578 aka Migration from VZ6 of VM with chipset version < 1 fails
due to incorrect qemu machine type (Sergey Galas <shrike@virtuozzo.com>)

* Wed Sep 12 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.858
 - Force CT migration #PSBM-88556 (Igor Sukhih <igor@virtuozzo.com>)

* Wed Sep 12 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.857
 - Force CT migration #PSBM-88556

* Wed Sep 12 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.856
 - bug #PSBM-88452 aka  Failed to migrate the VM: Operation failed. Failed to
execute the operation. (Sergey Galas <shrike@virtuozzo.com>)

* Mon Sep 10 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.855
 - disk resize for an online VM (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51857 aka Implement hotplug of new NICs to VMs (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Sep 05 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.854
 - bug #PSBM-85513 aka VMs could not start after update to 7.0.7, "cpu model" is
wrong (Sergey Galas <shrike@virtuozzo.com>)
 - Raise timeout up to 30m for large VM #PSBM-87459 #PSBM-83584 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - bug #PSBM-86423 aka enable ipfilter for VMs with dhcp=yes (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Sep 05 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.853
 - Add log compression on rotate, PSBM-87100 (Denis Silakov
<dsilakov@virtuozzo.com>)

* Tue Sep 04 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.852
 - bug #PSBM-88101 aka prlctl backup is dramatically slow with RTT > 100 (Sergey
Galas <shrike@virtuozzo.com>)

* Thu Aug 30 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.851
 - bug #PSBM-85381 aka Container migration via dispatcher is slower in high
latency network (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-85381 aka Container migration via dispatcher is slower in high
latency network (Sergey Galas <shrike@virtuozzo.com>)

* Tue Aug 14 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.850
 - bug #PSBM-40759 aka host USB device assignment to guest (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Aug 09 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.849
 - put a snapshot uuid loggin into a single place (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Aug 01 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.848
 - bug #PSBM-87335 aka Add details of snapshot-switch operations in product's
logs (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jul 30 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.847
 - implement is connected for the target side of backup tree task (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jul 27 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.846
 - cancel a backup get tree target side if its source disconnects (Sergey Galas
<shrike@virtuozzo.com>)
 - Task_DispToDispConnHelper::Connect: Use unix socket for local communication
(Igor Sukhih <igor@virtuozzo.com>)
 - prl-disp.service should start after network-online.target #PSBM-87090 (Igor
Sukhih <igor@virtuozzo.com>)

* Thu Jul 26 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.845
 - bug #PSBM-86857 aka qemu_advanced_suite.checkWholeNodeUpdate ERROR: KeyError:
'websocket' (Sergey Galas <shrike@virtuozzo.com>)

* Thu Jul 26 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.844
 - bug #PSBM-87025 aka vm.snapshot.stopped.switch TIMEDOUT: Function wait
timeouted (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-86825 aka Failed to start the VM: Operation timeout. Exit code: 255
(Sergey Galas <shrike@virtuozzo.com>)
 - Decrease v2v timeout #PSBM-86993 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - /PSBM-86934 Can't start clean VM: unsupported configuration: unknown CPU
feature: ts (Konstantin B. Bukharov <bkb@virtuozzo.com>)
 - Revert "Use snapshot name as snapshot id in libvirt xml #PSBM-75991"
\#PSBM-86773 (Igor Sukhih <igor@virtuozzo.com>)
 - ignore duplicate VM statuses (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-86705 aka reporting of wrong status prevents initial investigation
(Sergey Galas <shrike@virtuozzo.com>)
 - ignore started events from libvirt (Sergey Galas <shrike@virtuozzo.com>)
 - Process snapshot description (Igor Sukhih <igor@virtuozzo.com>)
 - Use snapshot name as snapshot id in libvirt xml #PSBM-75991 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-85876 aka [rhel_to_vz] Incorrect state of Migrated VMs (Sergey
Galas <shrike@virtuozzo.com>)
 - Disable autorestart at all, see #PSBM-82130 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - bug #PSBM-78563 aka Unable to set IP to host-only private network if dhcp-
server is off (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-86447 aka Add details of snapshot-related operations in product's
logs (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-85109 aka ipv4 multicast is not working in VMs by default (Sergey
Galas <shrike@virtuozzo.com>)
 - improve preservation of generated names between schema updates (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-86140 aka Filters does not prevent ARP Spoofing (Sergey Galas
<shrike@virtuozzo.com>)
 - an attempt to preserve generated names between schema updates (Sergey Galas
<shrike@virtuozzo.com>)
 - resurrect a pending backup abort on disconnect of its initiator (Sergey Galas
<shrike@virtuozzo.com>)
 - null pointer dereference is fixed (Sergey Galas <shrike@virtuozzo.com>)
 - merge 3.9 libvirt schema changes (Sergey Galas <shrike@virtuozzo.com>)
 - change order of operations on a backup rollback (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-86058 aka the CPU is incompatible with host CPU: Host CPU does not
provide required features: sse4. Exit code: 255 (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-86036 aka prl_disp_service killed by SIGSEGV and bug #PSBM-85982
aka Configure vmcoreinfo device for all Windows and Linux VMs (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-85387 aka Implement VM creation with non-default machine type
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-85797 aka libvirt error invalid domain pointer (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-85756 aka Cannot unset ve as template (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-85553 aka Cannot access storage file
'/vzt/vzt_785955ab/tmp/tmptgdEBO/tmp1eVs6L/7f0029cf-ce5c-
4d19-86f9-befdf81ccf09/har ... (Sergey Galas <shrike@virtuozzo.com>)
 - Task_VzStateMonitor::processConfigChangedEvt(): do invalidate config cache
(Igor Sukhih <igor@virtuozzo.com>)
 - PSBM-86051, PSBM-86049 - correct error messages on migration pre-condition
check for VNC settings VNC port incorrect error reporting on vz6-vz7 migration
VNC address check is absent in vz6-vz7 migration precondition checks (Konstantin
B. Bukharov <bkb@virtuozzo.com>)
 - PSBM-85983 - prlctl dbgdump should generated VM memory dump in auto-detected
format Let switch to 'auto' dump format that become available in PSBM-85981
(Konstantin B. Bukharov <bkb@virtuozzo.com>)
 - PSBM-86015: Unknown features: set([u'RESERVED']) Sync known CPU features with
cpupools and prlsrvctl (Konstantin B. Bukharov <bkb@virtuozzo.com>)
 - VNC server restarted on edit CT #PSBM-85959 (Igor Sukhih
<igor@virtuozzo.com>)
 - Failed to start CT #PSBM-85307 (Igor Sukhih <igor@virtuozzo.com>)

* Tue Jul 24 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.30
 - bug #PSBM-86825 aka Failed to start the VM: Operation timeout. Exit code: 255
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Jul 23 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.29
 - /PSBM-86934 Can't start clean VM: unsupported configuration: unknown CPU
feature: ts (Konstantin B. Bukharov <bkb@virtuozzo.com>)

* Thu Jul 19 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.28
 - Revert "Use snapshot name as snapshot id in libvirt xml #PSBM-75991"
\#PSBM-86773 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-86509 aka N6Legacy4Task15MigrateVmTargetE is not terminated when
20Task_MigrateVmSource fails (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jul 18 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.27
 - ignore duplicate VM statuses (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jul 18 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.26
 - bug #PSBM-86705 aka reporting of wrong status prevents initial investigation
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Jul 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.25
 - ignore started events from libvirt (Sergey Galas <shrike@virtuozzo.com>)

* Tue Jul 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.24
 - Process snapshot description (Igor Sukhih <igor@virtuozzo.com>)
 - Use snapshot name as snapshot id in libvirt xml #PSBM-75991 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Jul 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.23
 - bug #PSBM-85876 aka [rhel_to_vz] Incorrect state of Migrated VMs (Sergey
Galas <shrike@virtuozzo.com>)

* Mon Jul 16 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.22
 - Disable autorestart at all, see #PSBM-82130 (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jul 16 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.843.21
 - Task_VzStateMonitor::processConfigChangedEvt(): do invalidate config cache

* Thu Jul 12 2018 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.843.20
 - PSBM-86051, PSBM-86049 - correct error messages on migration pre-condition
check for VNC settings VNC port incorrect error reporting on vz6-vz7 migration
VNC address check is absent in vz6-vz7 migration precondition checks

* Mon Jul 09 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.19
 - bug #PSBM-78563 aka Unable to set IP to host-only private network if dhcp-
server is off (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jul 09 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.18
 - bug #PSBM-86447 aka Add details of snapshot-related operations in product's
logs (Sergey Galas <shrike@virtuozzo.com>)

* Thu Jul 05 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.16
 - bug #PSBM-85109 aka ipv4 multicast is not working in VMs by default (Sergey
Galas <shrike@virtuozzo.com>)
 - improve preservation of generated names between schema updates (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jul 04 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.15
 - bug #PSBM-86140 aka Filters does not prevent ARP Spoofing (Sergey Galas
<shrike@virtuozzo.com>)
 - an attempt to preserve generated names between schema updates (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Jul 03 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.14
 - resurrect a pending backup abort on disconnect of its initiator (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jul 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.13
 - null pointer dereference is fixed (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jul 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.12
 - merge 3.9 libvirt schema changes (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jul 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.11
 - change order of operations on a backup rollback (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jun 29 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.10
 - PSBM-85983 - prlctl dbgdump should generated VM memory dump in auto-detected
format Let switch to 'auto' dump format that become available in PSBM-85981
(Konstantin B. Bukharov <bkb@virtuozzo.com>)

* Tue Jun 26 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.9
 - bug #PSBM-86058 aka the CPU is incompatible with host CPU: Host CPU does not
provide required features: sse4. Exit code: 255 (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jun 22 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.8
 - Merge from master PSBM-86015: Unknown features: set([u'RESERVED']) Sync known
CPU features with cpupools and prlsrvctl (Konstantin B. Bukharov
<bkb@virtuozzo.com>)

* Fri Jun 22 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.7
 - bug #PSBM-86036 aka prl_disp_service killed by SIGSEGV and bug #PSBM-85982
aka Configure vmcoreinfo device for all Windows and Linux VMs (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Jun 19 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.6
 - VNC server restarted on edit CT #PSBM-85959 (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Jun 14 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.5
 - bug #PSBM-85387 aka Implement VM creation with non-default machine type
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-85797 aka libvirt error invalid domain pointer (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-85756 aka Cannot unset ve as template (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jun 08 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.4
 - bug #PSBM-85553 aka Cannot access storage file
'/vzt/vzt_785955ab/tmp/tmptgdEBO/tmp1eVs6L/7f0029cf-ce5c-
4d19-86f9-befdf81ccf09/har ... (Sergey Galas <shrike@virtuozzo.com>)

* Thu Jun 07 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.3

* Wed Jun 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.2
 - Failed to start CT #PSBM-85307 (Igor Sukhih <igor@virtuozzo.com>)

* Tue Jun 05 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843.1
 - fork u8 version (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-81716 aka Adopt Dispatcher for VM pull backups (Sergey Galas
<shrike@virtuozzo.com>)

* Wed May 23 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.843
 - Revert "Fixed compilation with iproute-4" (Igor Sukhih <igor@virtuozzo.com>)
 - define the 'ssbd' CPUID feature bit (CVE-2018-3639) #PSBM-84889 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-83672 aka Driver and guest Tools verification failed, see the
errors above in the log (Sergey Galas <shrike@virtuozzo.com>)

* Wed May 23 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.842
 - define the 'ssbd' CPUID feature bit (CVE-2018-3639) #PSBM-84889 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-83672 aka Driver and guest Tools verification failed, see the
errors above in the log (Sergey Galas <shrike@virtuozzo.com>)

* Mon May 21 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.841
 - bug #PSBM-83672 aka Driver and guest Tools verification failed, see the
errors above in the log (Sergey Galas <shrike@virtuozzo.com>)

* Thu May 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.840
 - Fixed compilation with iproute-4 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-83958 aka DspCmdVmStartEx timeouted (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-77055 aka Live migrate VM between datastores (Sergey Galas
<shrike@virtuozzo.com>)
 - Proxy ARP is not set for VM on bonding device on hardware node (Algirdas
Čičinskas <algirdas.c@iv.lt>)
 - bug #PSBM-84005 aka VZ7 with not-root account for VM management (Sergey Galas
<shrike@virtuozzo.com>)

* Thu May 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.839
 - bug #PSBM-83958 aka DspCmdVmStartEx timeouted (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-77055 aka Live migrate VM between datastores (Sergey Galas
<shrike@virtuozzo.com>)
 - Proxy ARP is not set for VM on bonding device on hardware node (Algirdas
Čičinskas <algirdas.c@iv.lt>)
 - bug #PSBM-84005 aka VZ7 with not-root account for VM management (Sergey Galas
<shrike@virtuozzo.com>)

* Wed May 16 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.838
 - bug #PSBM-77055 aka Live migrate VM between datastores (Sergey Galas
<shrike@virtuozzo.com>)
 - Proxy ARP is not set for VM on bonding device on hardware node (Algirdas
Čičinskas <algirdas.c@iv.lt>)
 - bug #PSBM-84005 aka VZ7 with not-root account for VM management (Sergey Galas
<shrike@virtuozzo.com>)

* Fri May 04 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.837
 - Fix #PSBM-84045 - do not include guest dump into problem report (Konstantin
B. Bukharov <bkb@virtuozzo.com>)

* Thu May 03 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.836
 - Use relative path for base backup images (Konstantin B. Bukharov
<bkb@virtuozzo.com>)
 - Wait for agent up to 10 mins due to slow response after snapshot restore
\#PSBM-83584 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Fri Apr 27 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.835
 - bug #PSBM-83854 aka full backup created instead of incremental (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Apr 25 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.834
 - Not correct VM type reported for destroyed shared template #PSBM-83537 (Igor
Sukhih <igor@virtuozzo.com>)

* Thu Apr 19 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.833
 - PrlNet::setAdapterIpAddress(): incorrect ip6 network mask #PSBM-83615 (Igor
Sukhih <igor@virtuozzo.com>)
 - bug #PVA-37345 aka VA creates VM without SerialNumber on VZ7 (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-83224 aka Backup fails: "Cannot find device= nor node_name=" due to
incorrect parsing of the path to hdd (Sergey Galas <shrike@virtuozzo.com>)

* Fri Apr 13 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.832
 - bug #PSBM-83361 aka Broken DNS resolution in VM over vz7 (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Apr 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.831
 - bug #PSBM-83282 aka dispatcher deadlock in CDspStatCollect (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-81716 aka Adopt Dispatcher for VM pull backups (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Apr 04 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.830
 - Improve output for create_bridges script PSBM-83174 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Report PRL_ERR_HDD_IMAGE_IS_ALREADY_EXIST error #PSBM-83149 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Apr 03 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.828
 - arp proxy is configured on wrong interfaces for vms #PSBM-83159 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Apr 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.827
 - Task_CreateImage::createHdd(): process m_flgRecreateIsAllowed flag
\#PSBM-83149 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Mar 30 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.826
 - Use 64Kb cluster size for qcow2 backup image #PSBM-83018 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-82964 aka QCOW2 cluster size is lost for linked clone (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Mar 26 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.825
 - bug #PSBM-82909 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Mar 20 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.824
 - Can't found vmdir by uuid '' (Igor Sukhih <igor@virtuozzo.com>)

* Fri Mar 16 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.823
 - Allow only restricted set of actions for shared CT template (Igor Sukhih
<igor@virtuozzo.com>)
 - Move CDspService::instance()->isServerStopping() to common place (Igor Sukhih
<igor@virtuozzo.com>)
 - Deny to clone CT into a shared template storage #PSBM-82146 (Igor Sukhih
<igor@virtuozzo.com>)
 - Use InMemory cache for CT shared template #PSBM-82379 (Igor Sukhih
<igor@virtuozzo.com>)
 - indent (Sergey Galas <shrike@virtuozzo.com>)

* Wed Mar 14 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.822
 - Simultaneous clone from a shared template (Sergey Galas
<shrike@virtuozzo.com>)
 - Failed to start CT after restore #PSBM-82375 (Igor Sukhih
<igor@virtuozzo.com>)
 - Unable to create CT with name of destroyed shared template #PSBM-82334 (Igor
Sukhih <igor@virtuozzo.com>)
 - Load CT config for shared template with extra parameter #PSBM-82278 (Igor
Sukhih <igor@virtuozzo.com>)
 - CT shared template is not unregister on HOME removal #PSBM-82206 (Igor Sukhih
<igor@virtuozzo.com>)
 - Apply dns ips from global network section #PSBM-68559 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Tue Mar 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.821
 - Temporary disable prl-disp autorestart to get appropriate logs, see
\#PSBM-82130 (Konstantin Volkov <wolf@virtuozzo.com>)
 - bug #PSBM-81994 aka Accept domain.xml from HostNet OpenStack (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Feb 28 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.820
 - Task_VzStateMonitor::processChangeCtState(): use
CDspClient::makeServiceUser() (Igor Sukhih <igor@virtuozzo.com>) (#PSBM-81870)
 - CDspVzHelper::handlePackage(): don't call getVmTypeByUuid() for empty uuid
(Igor Sukhih <igor@virtuozzo.com>)

* Tue Feb 27 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.819
 - CDspVmDirHelper::getVmConfigByDirectoryItem(): remove code dup (Igor Sukhih
<igor@virtuozzo.com>)
 - CT template on shared storage #PSBM-69886 (Igor Sukhih <igor@virtuozzo.com>)
 - Container shared tempalet config retrival (Igor Sukhih <igor@virtuozzo.com>)
 - Use getVmConfigByUuid() to get CT and VM configs (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Feb 22 2018 Igor Sukhih <igor@virtuozzo.com> 7.0.818
 - Reintroduce OUTDATED guest tools state #PSBM-81320 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Tue Feb 13 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.817
 - use chipset type/version to read/set machine type of a vm (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Feb 12 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.816
 - Update CPU feature name arch-capabilities to arch-facilities to match
libvirt/QEMU #PSBM-81405 (Konstantin B. Bukharov <bkb@virtuozzo.com>)
 - preserve machine type on edit (Sergey Galas <shrike@virtuozzo.com>)

* Tue Feb 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.815
 - Merge from VZ6: MAJOR expose SPEC_CTRL to guests if supported @nowidth
(Konstantin B. Bukharov <bkb@virtuozzo.com>)
 - pstorage/clusters -> vstorage/clusters (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Fix name of storage-make-report tool, see #PSBM-81317 (Denis Silakov
<dsilakov@virtuozzo.com>)
 - bug #PSBM-81107 aka If VM guest tools are unavailable, --device-set net0
--ipadd should return success to restore compatibility with VZ6 (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Feb 06 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.814
 - pstorage/clusters -> vstorage/clusters (Denis Silakov
<dsilakov@virtuozzo.com>)
 - Fix name of storage-make-report tool, see #PSBM-81317 (Denis Silakov
<dsilakov@virtuozzo.com>)
 - bug #PSBM-81107 aka If VM guest tools are unavailable, --device-set net0
--ipadd should return success to restore compatibility with VZ6 (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Feb 05 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.813
 - Fix name of storage-make-report tool, see #PSBM-81317 (Denis Silakov
<dsilakov@virtuozzo.com>)
 - bug #PSBM-81107 aka If VM guest tools are unavailable, --device-set net0
--ipadd should return success to restore compatibility with VZ6 (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Feb 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.812
 - bug #PSBM-81107 aka If VM guest tools are unavailable, --device-set net0
--ipadd should return success to restore compatibility with VZ6 (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Feb 02 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.811
 - Broken HostRouted network fro VM #PSBM-80978 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Jan 30 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.810
 - Task_VzManager::register_env(): NULL dereference #PSBM-80902 (Igor Sukhih
<igor@virtuozzo.com>)
 - improve diagnostics (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jan 26 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.809
 - Obtian vzlock when backingup a container #PSBM-47951 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - bug #PSBM-80877 aka vzt-psbm-validation: lin.vm_install TIMEDOUT: Function
wait timeouted (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-80883 aka "prl-disp-service" crash: "prl_disp_service killed by
SIGSEGV" (Sergey Galas <shrike@virtuozzo.com>)
 - BUGFIX #PSBM-75384 add firmware logs unconditionally (Konstantin B. Bukharov
<bkb@virtuozzo.com>)

* Thu Jan 25 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.808
 - MAJOR eliminate obsoleted use of PrlProcess that uses vfork() (Konstantin B.
Bukharov <bkb@virtuozzo.com>)
 - MAJOR eliminate vfork() in CVzHelper.cpp (Konstantin B. Bukharov
<bkb@virtuozzo.com>)
 - BUGFIX #PSBM-80870 systemctl restart prl-disp.service produces orphaned
processes (Konstantin B. Bukharov <bkb@virtuozzo.com>)

* Thu Jan 25 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.807
 - bug #PSBM-72299 aka add migration options to CEP (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-72299 aka add migration options to CEP (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jan 24 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.806
 - bug #PSBM-72299 aka add migration options to CEP (Sergey Galas
<shrike@virtuozzo.com>)
 - Remove unused code from CDspVzHelper (Igor Sukhih <igor@virtuozzo.com>)

* Tue Jan 23 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.805
 - bug #PSBM-80788 aka If you clone VM into shared template and create a VM from
this template fast enough, you will get a VM without HDD (Sergey Galas
<shrike@virtuozzo.com>)
 - Use the same format for MAC address for bridged iface #PSBM-80772 (Igor
Sukhih <igor@virtuozzo.com>)

* Mon Jan 22 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.804
 - bug #PSBM-80748 aka "Processing command 6516" flood (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jan 19 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.803
 - bug #PSBM-80713 aka Failed to migrate the VM: Unable to migrate the virtual
machine. The virtual machine or the source and destination ... (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jan 19 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.802
 - skip timestamp tests inside the in memory vm configs cache (Sergey Galas
<shrike@virtuozzo.com>)
 - release storage locks in the end of a shared template operation (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-80674 aka Cannot destroy template from node, other than one where
it was created. (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jan 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.801
 - Obtain VM config once during host reboot (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Gracefully stop VMs with unknown autostop configuration (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - bug #PSBM-41743 aka Support external snapshots (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jan 17 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.800
 - Catch exceptions while processing VMs (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Gracefully shutdown VMs on host reboot #PSBM-79509 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - bug #PSBM-80633 aka Cannot create VM templates on shared storage - No write
permission reported (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-41743 aka Support external snapshots (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-41743 aka Support external snapshots (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jan 12 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.799
 - get rid of CDspVmConfigurationChangesWatcher usage (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-80443 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jan 11 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.798
 - Fixed compilation (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-80339 aka "prl-disp-service" crash: "prl_disp_service killed by
SIGSEGV" (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-80033 aka Dispatcher makes incorrect domain xml for vnc ignoring
'listen' option (Sergey Galas <shrike@virtuozzo.com>)

* Thu Jan 11 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.797
 - bug #PSBM-80339 aka "prl-disp-service" crash: "prl_disp_service killed by
SIGSEGV" (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-80033 aka Dispatcher makes incorrect domain xml for vnc ignoring
'listen' option (Sergey Galas <shrike@virtuozzo.com>)

* Tue Jan 09 2018 Sergey Galas' <shrike@virtuozzo.com> 7.0.796
 - bug #PSBM-78370 aka after qemu update VM started without websocket (Sergey
Galas <shrike@virtuozzo.com>)
 - Delay call to registry::find() in stat Farmer #PSBM-79884 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Fri Dec 29 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.795
 - bug #PSBM-79838 aka `prlctl migrate` results in INVALID vm without config
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-79870 aka "prl-disp-service" crash: "prl_disp_service killed by
SIGSEGV" (Sergey Galas <shrike@virtuozzo.com>)

* Wed Dec 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.794
 - compilation fix (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-77405 aka testCdRomDeviceConnect FAIL: cdrom0 isn't connected
(Sergey Galas <shrike@virtuozzo.com>)

* Wed Dec 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.793
 - bug #PSBM-77405 aka testCdRomDeviceConnect FAIL: cdrom0 isn't connected
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Dec 25 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.792
 - bug #PSBM-79762 aka Failed to migrate the VM: Unable to migrate the virtual
machine. The virtual machine or the source and destination servers do not comply
with the migration requirements. (Sergey Galas <shrike@virtuozzo.com>)

* Fri Dec 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.791
 - USe VirtualDisk::Ploop::getComponentName() to get component name
 - bug #PSBM-79503 aka Misleading error on renaming template (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-79503 aka Misleading error on renaming template (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Dec 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.790
 - Add hyper-v network device support #PSBM-75059 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - bug #PSBM-78466 aka Empty VM template config after migration (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Dec 15 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.789
 - bug #PSBM-78699 aka "prl-disp-service" crash (Sergey Galas
<shrike@virtuozzo.com>)
 - Added type and mountpoint fs info already available from guest agent api
\#PSBM-65549 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Wed Dec 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.788
 - bug #PSBM-79076 aka Can't initialize object server. Exit code: 1 (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-78995 aka After dispatcher restart VM is not marked as template if
PGVLF_GET_ONLY_IDENTITY_INFO is specified (Sergey Galas <shrike@virtuozzo.com>)

* Tue Dec 12 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.787
 - bug #PSBM-78644 aka prlctl migrate --clone removes nameserver and gateway
from resulting VM config (Sergey Galas <shrike@virtuozzo.com>)

* Mon Dec 11 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.786
 - Failed to backup the VM: Unable to access the virtual hard disk #PSBM-78911

* Fri Dec 08 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.785
 - CDspVmBackupInfrastructure.cpp: restore Backup::Vm::Image
 - bug #PSBM-78476 aka Migration of running linked clone leaves hdd.pstorage-
target

* Tue Dec 05 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.784
 - bug #PSBM-77975 aka Restore pull backup functionality in dispatcher for API
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Dec 05 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.783
 - CVzOperationHelper::create_tsnapshot(): cbt_uuid parameter is not processed

* Mon Dec 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.782
 - Do no fail exec on "fin wait" timeout #PSBM-76020 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Revert back 0d84ff... since it break remote exec #PSBM-77780 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-76020)

* Fri Dec 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.781
 - bug #PSBM-72443 aka target 'vda' duplicated for disk sources (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Nov 29 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.780
 - bug #PSBM-78019 aka invalid domain pointer in virDomainFree on prlctl set
--template (Sergey Galas <shrike@virtuozzo.com>)
 - Task_VzMigrate::execVzMigrate(): task hung on pull() #PSBM-77755 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-77944 aka backup_restore_pcs6 ERROR: prl_disp_service killed by
SIGSEGV (Sergey Galas <shrike@virtuozzo.com>)

* Fri Nov 24 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.779
 - zOperationHelper::delete_tsnapshot(): process drop_cbt flag #PSBM-77975

* Thu Nov 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.778
 - Finish of exec task should not depend on stdin channel close #PSBM-76020
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - bug #PSBM-77285 aka VM missed from 'prlctl list' after upgrade (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-72443 aka libvirt XML error: target 'vda' duplicated for disk
sources (Sergey Galas <shrike@virtuozzo.com>)

* Tue Nov 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.777
 - Revert "Task_VzMigrate::execVzMigrate(): flush date from pipes on exit
\#PSBM-77184" (Igor Sukhih <igor@virtuozzo.com>) (#PSBM-77719)
 - Add debug logging to systemctl output, see #PSBM-77706 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Mon Nov 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.776
 - fixes crash on stop of dispatcher (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-77449 aka migrated VM is not registered in vcmmd (Sergey Galas
<shrike@virtuozzo.com>)
 - fix a deadlock (Sergey Galas <shrike@virtuozzo.com>)

* Wed Nov 15 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.775
 - high cpu usage og collct CT network statistics #PSBM-77117 (Igor Sukhih
<igor@virtuozzo.com>)
 - Task_VzMigrate::execVzMigrate(): flush date from pipes on exit #PSBM-77184
(Igor Sukhih <igor@virtuozzo.com>)
 - bump the libvzctl dependency versions (Sergey Galas <shrike@virtuozzo.com>)

* Mon Nov 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.774
 - bug #PSBM-77123 aka Host CPU Xeon(R) CPU E5-2665 Xeon(R) CPU E5-2665 is
mapped in "Core 2 Duo (Penryn)" in guests (Sergey Galas <shrike@virtuozzo.com>)
 - embelish the exec code (Sergey Galas <shrike@virtuozzo.com>)

* Fri Nov 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.773
 - Refuse to run guest-exec command without proper agent version #PSBM-76016
\#PSBM-77065 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Thu Nov 09 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.772
 - bug #PSBM-77010 aka prlctl backup spend much more time for execution than in
previous update 5 (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-77018 aka vzt-parallels-suspend-smp-centos-7.3-x86_64-256gb: wrong
VM configuration (Sergey Galas <shrike@virtuozzo.com>)
 - Refuse to run guest-exec command without proper agent version #PSBM-76016
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Thu Nov 09 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.771
 - bug #PSBM-77008 aka Backup-delete with --keep-chain option fails in case of
more than 1 HDD in VM (Sergey Galas <shrike@virtuozzo.com>)

* Wed Nov 08 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.770
 - bug #PSBM-73618 aka Final VE backup size much bigger than all previous
backups collectively in case of using "--keep-chain" option (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Nov 07 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.769
 - choose proper finish mode for a block job (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Nov 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.768
 - bug #PSBM-76536 aka libvirt error "Document is empty" on setting network with
space in name to VM config (Sergey Galas <shrike@virtuozzo.com>)
 - Need to collect CRIU logs in problem-report #PSBM-64249 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-76454 aka nsupported configuration: unsupported driver name
'(null)' for backup disk (Igor Sukhih <igor@virtuozzo.com>)

* Tue Oct 31 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.767
 - Unit::start(): return back args_.takeFirst() #PSBM-76489 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-76454 aka nsupported configuration: unsupported driver name
'(null)' for backup disk (Sergey Galas <shrike@virtuozzo.com>)

* Mon Oct 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.766
 - Push Backup is not aborted after vz_backup_client gets killed #PSBM-56275
(Igor Sukhih <igor@virtuozzo.com>)

* Mon Oct 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.765
 - bug #PSBM-76358 aka backup attach failed due to
PRL_ERR_VM_APPLY_CONFIG_FAILED (Sergey Galas <shrike@virtuozzo.com>)

* Fri Oct 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.764
 - bug #PSBM-76180 aka VM can't be started due to: Host CPU does not provide
required features: sse4 (Sergey Galas <shrike@virtuozzo.com>)

* Fri Oct 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.763
 - bug #PSBM-73618 aka Final VE backup size much bigger than all previous
backups collectively in case of using "--keep-chain" option (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Oct 26 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.762
 - bug #PSBM-72230 aka the CPU is incompatible with host CPU: Host CPU does not
provide required features: aes (Sergey Galas <shrike@virtuozzo.com>)

* Fri Oct 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.761
 - BUGFIX PSBM-73050 VA UI reports  >100% of ram usage during start of a VM Do
not report used memory more than balloon.maximum if guest agent is not available
(bkbbkb <bkb@virtuozzo.com>)

* Thu Oct 19 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.760
 - Error reported as unimplemented when prl-disp-backup is missing #PSBM-75159
(Igor Sukhih <igor@virtuozzo.com>)

* Tue Oct 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.759
 - Terminate prl_vzvncserver_app by SIGTERM on Dispatcher stop #PSBM-75118 (Igor
Sukhih <igor@virtuozzo.com>)

* Fri Oct 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.758
 - Do not verify real disk presence on destination #PSBM-75103 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Configure cache and io mode for RealDisks #PSBM-75103 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Fri Oct 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.757
 - bug #PSBM-75084 aka `prlctl set --nested-virt on` doesn't force 'vmx' flag on
VM (Sergey Galas <shrike@virtuozzo.com>)

* Thu Oct 12 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.756
 - bug #PSBM-75084 aka `prlctl set --nested-virt on` doesn't force 'vmx' flag on
VM (Sergey Galas <shrike@virtuozzo.com>)

* Mon Oct 09 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.755
 - bug #PSBM-73991 aka vzt-prlctl-centos-6.9-x86_64-extra: prlctl hung (Sergey
Galas <shrike@virtuozzo.com>)

* Thu Oct 05 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.754
 - bug #PSBM-73038 aka vzt-prlctl-suse-42.2-x86_64-advanced:
PRL_ERR_MERGE_XML_DOCUMENT_CONFLICT (Sergey Galas <shrike@virtuozzo.com>)
 - STYLE to fix style (bkbbkb <bkb@virtuozzo.com>)
 - STYLE fix formatting (bkbbkb <bkb@virtuozzo.com>)

* Sun Oct 01 2017 bkbbkb <bkb@virtuozzo.com> 7.0.753
 - MAJOR PSBM-73286 Keep custom (shared) VM path

* Fri Sep 29 2017 bkbbkb <bkb@virtuozzo.com> 7.0.752
 - MAJOR PSBM-73286 try to keep original VM path

* Tue Sep 26 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.751
 - start VNC server for a running VM in the run of a migration (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-72732 aka Unexpected rule is found (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 26 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.750-3
- Correct ghost nwfilter rules, see #PSBM-73022

* Mon Sep 25 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.750-2
- Mark libvirt nwfilter xml files as ghost, see #PSBM-39773

* Fri Sep 22 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.750
 - Process recreate disk image flags for CT #PSBM-71894

* Fri Sep 22 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.749
 - bug #PSBM-72714 aka Specify VIR_DOMAIN_XML_MIGRATABLE for
VIR_MIGRATE_PARAM_PERSIST_XML config too (Sergey Galas <shrike@virtuozzo.com>)

* Thu Sep 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.748
 - bug #PSBM-24425 aka Auto-detected VM and CT templates storage on pstorage
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-24425 aka Auto-detected VM and CT templates storage on pstorage
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-24425 aka Auto-detected VM templates storage on pstorage (Sergey
Galas <shrike@virtuozzo.com>)

* Tue Sep 19 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.747
 - migrate --clone --dst places CT into directory with UUID from source CT
\#PSBM-72419 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Sep 15 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.746
 - bug #PSBM-71879 aka prl_nettool not executed after snapshot switch (Sergey
Galas <shrike@virtuozzo.com>)

* Wed Sep 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.745
 - Try to connect to systemd up to 30 times, see #PSBM-64818 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Wed Sep 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.744
 - bug #PSBM-72017 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 12 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.743
 - bug #PSBM-69333 aka VM uses 'harddisk.hdd.pstorage-target' as HDD (Sergey
Galas <shrike@virtuozzo.com>)

* Tue Sep 12 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.742
 - Added debugging to vz_systemd script, see #PSBM-64818 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Tue Sep 12 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.741
 - Display human-readable message on CT migration with attached backup
\#PSBM-49934 (Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Mon Sep 11 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.740
 - bug #PSBM-71885 aka VA UI reports huge value of cpu usage during start of a
VM (Sergey Galas <shrike@virtuozzo.com>)

* Fri Sep 08 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.739
 - bug #PSBM-24425 aka Auto-detected VM templates storage on pstorage (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Sep 08 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.738
 - bug #PSBM-70840 aka VM suspend on storage may cause long IO on the node
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-71432 aka prl_nettool not executed after snapshot switch (Sergey
Galas <shrike@virtuozzo.com>)

* Wed Sep 06 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.737
 - Get security level on DispToDisp connections #PSBM-63986 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Tue Sep 05 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.736
 - bug #PSBM-71335 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Sep 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.735
 - bug #PSBM-71332 aka AttributeError: 'NoneType' object has no attribute 'id'
(Sergey Galas <shrike@virtuozzo.com>)

* Fri Sep 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.734
 - bug #PSBM-71223 aka prlctl report wrong hdd index on create (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Aug 31 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.733
 - bug #PSBM-70653 aka Unable to connect network adapter to a running VM: Device
or resource busy (Sergey Galas <shrike@virtuozzo.com>)

* Wed Aug 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.732
 - CVzHelper::get_env_disk_stat(): use cached config #PSBM-70857 (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Aug 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.731
 - bug #PSBM-70543 aka prlctl hung (Sergey Galas <shrike@virtuozzo.com>)

* Mon Aug 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.730
 - Can't add bridged Virtual Network by MAC-address #PSBM-52906 (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Aug 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.729
 - bug #PSBM-70128 aka VMs don't force stop after 300 seconds (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-24425 aka Auto-detected VM templates storage on pstorage (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-69935 aka After reconnect libvirt to dispatcher vm with status
suspended changed their status to stopped. (Sergey Galas <shrike@virtuozzo.com>)

* Thu Aug 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.728
 - bug #PSBM-69911 aka Console is not working for VMs: vzapi-vnc-proxy (Sergey
Galas <shrike@virtuozzo.com>)
 - PSBM-69885 Enable logging of virt-v2v by default (bkbbkb <bkb@virtuozzo.com>)
 - CDspHostInfo::GetHddUdevList((): remove unused variable (Igor Sukhih
<igor@virtuozzo.com>)
 - CDspHostInfo: use QFileInfo(dir, name) syntax (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Aug 07 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.727
 - Use multipath device name as friendly name #PSBM-67069 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-69686 aka VNC console stops working for vm created on U3 after
updating to the vz7-u5 from u4 (Sergey Galas <shrike@virtuozzo.com>)
 - Correct U4 prl-disp version trigger check (Konstantin Volkov
<wolf@virtuozzo.com>)

* Wed Aug 02 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.726
 - bump the version (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-69523 aka VNC console stops working for running vm after updating
to the vz7-u5 (Sergey Galas <shrike@virtuozzo.com>)

* Tue Aug 01 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.725-2
- Kill all socats on update from U4, see #PSBM-69523

* Tue Aug 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.725
 - bug #PSBM-69523 aka VNC console stops working for running vm after updating
to the vz7-u5 (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jul 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.724
 - bug #PSBM-69288 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)
 - Reverse autostart: auto logic to avoid vmprivate umounts before prl-disp
stop, see #PSBM-69248 (Konstantin Volkov <wolf@virtuozzo.com>)
 - Drop unneeded noautostart module, see #PSBM-69248 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Thu Jul 27 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.723-2
- Drop unneeded noautostart module, see #PSBM-69248

* Thu Jul 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.723
 - Use atomic to ensure only one instance of Guest Agent Watcher works on Vm
\#PSBM-69056 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Remove duplicates when adding new IP address #PSBM-64984 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Wed Jul 26 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.722
 - bug #PSBM-64920 aka VM failover picked wrong nodes (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jul 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.721
 - bug #PSBM-68989 aka disable iothread in configuration (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jul 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.720
 - Cannot change ha-enable and ha-prio for container: #PSBM-63214 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-68899 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)
 - .ve.xml is not regenerated on VZ6->VZ7 migration #PSBM-66074 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Jul 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.719
 - bug #PSBM-68718 aka VCMMD does not register VMs migrated from vz6 (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-68778 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jul 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.718
 - bug #PSBM-68634 aka backup hdd state=disconnected (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jul 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.717
 - explicitly instantiate the template (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-68676 aka PRL_ERR_BACKUP_RESTORE_PROHIBIT_WHEN_ATTACHED (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-68630 aka prlctl list -i reported wrong hdd size directly after
prl_disk_tool resize. (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jul 19 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.716
 - bug #PSBM-68676 aka PRL_ERR_BACKUP_RESTORE_PROHIBIT_WHEN_ATTACHED (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-68630 aka prlctl list -i reported wrong hdd size directly after
prl_disk_tool resize. (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jul 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.715
 - bug #PSBM-68206 aka prlctl list -i takes 35 seconds (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jul 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.714
 - bug #PSBM-68006 aka preserve <hostdev> devices in libvirt config (Sergey
Galas <shrike@virtuozzo.com>)

* Thu Jul 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.713
 - Drop requires for vstorage-fs.service (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Change systed unit stop order, add logging to postexec script, see
\#PSBM-68375 (Konstantin Volkov <wolf@virtuozzo.com>)

* Thu Jul 06 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.712
 - Regenerate CtId for migrate-cloned VMs #PSBM-68015 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - bug #PSBM-67871 aka prlctl device connect hung (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-67864 aka Harden /vz/vmprivate permissions only when it's created
by dispatcher (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jul 03 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.711
 - bug #PSBM-67871 aka prlctl device connect hung (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-67864 aka Harden /vz/vmprivate permissions only when it's created
by dispatcher (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jun 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.710

* Fri Jun 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.709
 - Set iolimit for container's migration PSBM-50652 (Inga Pyass
<ipyass@virtuozzo.com>)

* Wed Jun 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.708
 - Stop prl-disp service before umount target, see #PSBM-67659 (Konstantin
Volkov <wolf@virtuozzo.com>)

* Tue Jun 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.707
 - bug #PSBM-67666 aka unsupported configuration: CPU topology doesn't match
maximum vcpu count (Sergey Galas <shrike@virtuozzo.com>)

* Mon Jun 26 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.706
 - bug #PSBM-67157 aka prlctl disconnect/connect problems (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jun 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.705
 - bug #PSBM-66500 aka Support for CPU topology configuration (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-66500 aka Support for CPU topology configuration (Sergey Galas
<shrike@virtuozzo.com>)
 - Decode password according to new login scheme PSBM-55305 (Inga Pyass
<ipyass@virtuozzo.com>)

* Mon Jun 19 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.704
 - bug #PSBM-67373 aka VM config for Fdd changed after migration (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-67217 aka net adapter disconnected (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jun 15 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.703
 - use another command for atomic edit exclusive lock (Sergey Galas
<shrike@virtuozzo.com>)
 - Generate proper DEVICE for vlan adapters #PSBM-67278 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Thu Jun 15 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.702
 - bug #PSBM-66786 aka Degradation of total live migration time: 25% (Windows) /
50% (Linux) (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jun 14 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.701
 - Do not move VLAN-specific options to bridge config #PSBM-67183

* Wed Jun 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.700
 - bug #PSBM-67259 aka net0 disconnected after VM start (prlctl start) (Sergey
Galas <shrike@virtuozzo.com>)
 - GetPerformanceStatisticsVm: multiple /usr/sbin/cpufeatures call #PSBM-67112
(Igor Sukhih <igor@virtuozzo.com>)

* Tue Jun 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.699
 - bug #PSBM-67190 aka prl_disp_service killed by SIGSEGV after prlctl migrate
(Sergey Galas <shrike@virtuozzo.com>)

* Fri Jun 09 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.698
 - bug #PSBM-66950 aka vzt-pcs6upgrade-*: for all CDRom's attr Connected changed
from 0 to 1 (Sergey Galas <shrike@virtuozzo.com>)
 - Sync BasePort with remote_display_port_min #PSBM-67100 (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Jun 08 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.697
 - bug #PSBM-67105 aka PlsCtlTimeoutError: Failed waiting for prl_nettool. Exit
code: 1 (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jun 07 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.696
 - bug #PSBM-58084 aka prl_disp_service doesn't wipe secrets from memory (Sergey
Galas <shrike@virtuozzo.com>)

* Wed Jun 07 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.695
 - bug #PSBM-66881 aka vzt-sata-hotplug-centos-7.3-x86_64-virtio-tools: XML
error: target 'vdb' duplicated (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jun 02 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.694
 - bug #PSBM-66828 aka prlctl restore failed on: VM has not been stopped before
timeout (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-62895 aka unsupported configuration: Disk iothread '1' not defined
in iothreadid (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58084 aka prl_disp_service doesn't wipe secrets from memory (Sergey
Galas <shrike@virtuozzo.com>)
 - Preserver MTU parameter for bridged devices, see #PSBM-65225 (Konstantin
Volkov <wolf@virtuozzo.com>)

* Tue May 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.693
 - Switch systemd specific OOM adjustment mechanism #PSBM-56344 (Igor Sukhih
<igor@virtuozzo.com>)
 - bug #PSBM-65816 aka Failed to migrate the VM: Host CPU does not provide
required features: arat (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-66709 aka VM state != VMS_STOPPED after stop operation (SDK API)
(Sergey Galas <shrike@virtuozzo.com>)

* Mon May 29 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.692
 - bug #PSBM-64640 aka Harden /vz/vmprivate permissions (Sergey Galas
<shrike@virtuozzo.com>)
 - CT migration with name change #PSBM-66653 (Igor Sukhih <igor@virtuozzo.com>)

* Mon May 29 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.691
 - Send PET_DSP_EVT_VM_STATE_CHANGED event on CT state change #PSBM-57132 (Igor
Sukhih <igor@virtuozzo.com>)

* Fri May 26 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.690
 - Improved logging in prl_disp_reboot, see #PSBM-66416 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Fri May 26 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.689
 - Improved logging in prl_disp_reboot, see #PSBM-66416

* Thu May 25 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.688
 - correct restore of the vnc server proxy after a qemu upgrade (Sergey Galas
<shrike@virtuozzo.com>)
 - don't reset the manual vnc port value on stop of the socat (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-66465 aka VNC console doesn't work after "prlctl update-qemu" when
VNC is encrypted (Sergey Galas <shrike@virtuozzo.com>)
 - Can't replace root disk for Container #PSBM-65542 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon May 22 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.687
 - Failed to restore Container with shrinked disk (Igor Sukhih
<igor@virtuozzo.com>)

* Mon May 22 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.686
 - guest.fs* is reported in kilobytes for CTs and in bytes for VMs #PSBM-66445
(Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-65458 aka vz-generator failed with error code 1 (Sergey Galas
<shrike@virtuozzo.com>)

* Mon May 22 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.685
 - bug #PSBM-66449 aka 11Task_ExecVm was finished with PRL_ERR_OPERATION_FAILED
(Sergey Galas <shrike@virtuozzo.com>)

* Mon May 22 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.684
 - bug #PSBM-66478 aka prlctl set <vmid> --device-disconnect cdrom0 does not
disconnect cdrom (Sergey Galas <shrike@virtuozzo.com>)
 - Revert "revert iothreads support" (Sergey Galas <shrike@virtuozzo.com>)

* Thu May 18 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.683
 - bug #PSBM-66121 aka Cannot connect to VNC server (in case 5900 port is
selected) (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-66230 aka prlctl set {vmid} --device-disconnect doesn't work
(Sergey Galas <shrike@virtuozzo.com>)

* Wed May 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.682
 - Fix IssuerId value in an PET_DSP_EVT_VM_ADDED event for CT (required for
\#PP-362) (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Ioprio: pass weight value to libvirt instead of ioprio PSBM-65901 (Inga Pyass
<ipyass@virtuozzo.com>)

* Fri May 12 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.681
 - bug #PSBM-66280 aka Can not create the second container with custom private
(Sergey Galas <shrike@virtuozzo.com>)

* Thu May 11 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.680
 - Add validation for max port number in manual mode (65535) PSBM-66051 (Inga
Pyass <ipyass@virtuozzo.com>)

* Thu May 11 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.678
 - BUGFIX PSBM-66175 masked 'xsaves' cpu feature presents in qemu cmdline
(bkbbkb <bkb@virtuozzo.com>)

* Wed May 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.677
 - bug #PSBM-66145 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)
 - type-o (Sergey Galas <shrike@virtuozzo.com>)

* Wed May 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.676
 - bug #PSBM-66150 aka qemu-statefile.gz is empty in problem report (Sergey
Galas <shrike@virtuozzo.com>)

* Fri May 05 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.675
 - bug #PSBM-65987 aka "Not Used" list is empty after executing "--device-
bootorder" (Sergey Galas <shrike@virtuozzo.com>)

* Fri May 05 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.674
 - bug #PSBM-66027 aka Unable to commit VM configuration: The device cannot be
added or removed while the virtual machine is running. Exit code: 255 (Sergey
Galas <shrike@virtuozzo.com>)

* Thu May 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.673
 - bug #PSBM-65979 aka PlsCtlError: Unable to commit VM configuration: The
device cannot be added or removed while the virtual machine is running. Exit
code: 255 (Sergey Galas <shrike@virtuozzo.com>)

* Thu May 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.672
 - Allow ":" and " " in filePath and dirPath. PSBM-66007 (Inga Pyass
<ipyass@virtuozzo.com>)

* Thu May 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.671
 - bug #PSBM-65816 aka  Failed to migrate the VM: Operation failed. Failed to
execute the operation. (Details: the CPU is incompatible with host CPU: Hos
(Sergey Galas <shrike@virtuozzo.com>)

* Thu May 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.670
 - bug #PSBM-65819 aka other_cases.backup_several_vm_in_parallel FAIL: dump:
core-{80c9b2b8-1cef--1493639631.3515 (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-65816 aka  Failed to migrate the VM: Operation failed. Failed to
execute the operation. (Details: the CPU is incompatible with host CPU: Hos
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-65670 aka snapshot switch is stuck (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-54476 aka Enabling/disabling vnc encryption breaks vnc access to
existent VEs (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-64109 aka 'prlctl set VM --device-set hddN --disconnect' is not
synced for further 'prlctl' commands (Sergey Galas <shrike@virtuozzo.com>)

* Fri Apr 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.669
 - VNC  port validation in manual mode #PSBM-65734 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Apr 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.668

* Fri Apr 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.667

* Thu Apr 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.666
 - Fixed VNC port validation (Igor Sukhih <igor@virtuozzo.com>)

* Thu Apr 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.665
 - disable iothreads (Sergey Galas <shrike@virtuozzo.com>)
 - revert iothreads support (Sergey Galas <shrike@virtuozzo.com>)
 - Revert "bug #PSBM-62895 aka unsupported configuration: Disk iothread '1'"
(Sergey Galas <shrike@virtuozzo.com>)

* Thu Apr 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.664
 - revert iothreads support (Sergey Galas <shrike@virtuozzo.com>)
 - Revert "bug #PSBM-62895 aka unsupported configuration: Disk iothread '1'"
(Sergey Galas <shrike@virtuozzo.com>)

* Thu Apr 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.663
 - bug #PSBM-64981 aka virProcessKillPainfully:404 : Failed to terminate process
53988 with SIGKILL: Device or resource busy (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Apr 25 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.662
 - BUGFIX PSBM-65004 - return back 1MB cluster size (bkbbkb <bkb@virtuozzo.com>)
 - Drop cep-collector requires, see #PSBM-63866 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Tue Apr 25 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.661-2
- Drop cep-collector requires, see #PSBM-63866

* Tue Apr 25 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.661
 - bug #PSBM-65408 aka Deleting VM backup with --keep-chain failed due to
timeout (Sergey Galas <shrike@virtuozzo.com>)

* Tue Apr 25 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.660
 - bug #PSBM-65363 aka Internal Protocol Error on attempting to backup VM with
disabled hdd0 (Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.659
 - bug #PSBM-65346 aka Failed to backup VE after removing full backup with
--keep-chain (Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.658
 - BUGFIX PSBM-65317 lazy_refcounts should be specified for qcow2 images.
(bkbbkb <bkb@virtuozzo.com>)

* Fri Apr 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.657
 - MAJOR let temporary revert 1MB cluster size (bkbbkb <bkb@virtuozzo.com>) (#PSBM-64972)

* Fri Apr 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.656
 - Memory size is not applyed #PSBM-65011 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-54476 aka Enabling/disabling vnc encryption breaks vnc access to
existent VEs (Sergey Galas <shrike@virtuozzo.com>)

* Thu Apr 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.655
 - PSBM-65004 Unexpected cluster size of VM after restore (bkbbkb
<bkb@virtuozzo.com>)

* Wed Apr 19 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.654
 - Check for NULL in virConnectGetCapabilities PSBM-51019 (Inga Pyass
<ipyass@virtuozzo.com>)
 - prevent unhandled exceptions emission from the property_tree get calls.
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.653
 - bug #PSBM-64566 aka prl_disp_service killed by SIGABRT (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Apr 17 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.652
 - Autostart parameter=auto do not saved for Containers #PSBM-52707

* Fri Apr 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.651
 - Remove PerfCounter library PSBM-55159 (Inga Pyass <ipyass@virtuozzo.com>)

* Thu Apr 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.650
 - Recreate NVRAM file when restoring VM backup from VZ6 #PSBM-61439 (Pavel
Vokhmyanin <pvokhmyanin@virtuozzo.com>)
 - code cleanup (Sergey Galas <shrike@virtuozzo.com>)

* Tue Apr 11 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.649
 - Enabled vss fs freeze for newly added Microsoft Windows #PSBM-58309 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - code cleanup (Sergey Galas <shrike@virtuozzo.com>)
 - code cleanup (Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.648
 - bug #PSBM-62516 aka Incorrectly constructed PRL_ERR_COPY_VM_INFO_FILE error
message (Sergey Galas <shrike@virtuozzo.com>)

* Fri Apr 07 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.647
 - bug #PSBM-63944 aka prlctl returned error after trying to disconnect backup
disk. (Sergey Galas <shrike@virtuozzo.com>)

* Thu Apr 06 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.646
 - bug #PSBM-51748 aka prl-disp.log is flooded with errors "QEMU guest agent is
not connected" (Sergey Galas <shrike@virtuozzo.com>)

* Thu Apr 06 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.645
 - Limit VNC ports range #PSBM-63821 (Igor Sukhih <igor@virtuozzo.com>)

* Wed Apr 05 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.644
 - Do not consider "wheel" and "admins" administrative groups #PSBM-52210 (Pavel
Vokhmyanin <pvokhmyanin@virtuozzo.com>)
 - PSBM-63826 increase default cluster size for VM images (Konstantin Bukharov
<bkb@virtuozzo.com>)
 - Problem Report directory should not be accessible to Other user #PSBM-58087
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Tue Apr 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.642
 - Fixes a deadlock in edit vm (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-59178 aka Race if attaching multiple backups simultaneously (backup
was attached as regular disk without "backup" attribute) (Sergey Galas
<shrike@virtuozzo.com>)
 - Fixes exclusive operation waiting (Sergey Galas <shrike@virtuozzo.com>)

* Tue Apr 04 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.641
 - Fixes exclusive operation waiting (Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 03 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.640
 - bug #PSBM-58310 aka Not every VM starts on host boot if autostart is on
(Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 31 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.639
 - Task_UpdateVm: return lock specific error (Igor Sukhih <igor@virtuozzo.com>)

* Fri Mar 31 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.638
 - Failed to restore in clone mode #PSBM-63210 (Igor Sukhih
<igor@virtuozzo.com>)
 - Set boolean bVmWasRenamed to true if VM was renamed. PSBM-61822 (Inga Pyass
<ipyass@virtuozzo.com>)

* Fri Mar 31 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.637
 - bug #PSBM-56148 aka aka Slow VM recovery process from one node to another
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-56656 aka backup ERROR: Details: Error: Block job is failed (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Mar 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 7.0.636-2
 - Require cep-collector (#PSBM-62303)

* Thu Mar 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.636
 - CDspStatCollectingThread: acces to freed data (Igor Sukhih
<igor@virtuozzo.com>)

* Wed Mar 29 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.635
 - bug #PSBM-55015 aka Can't create backup VM in VZ7 if Node's hostname contains
upper letters (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-52862 aka allow to set and keep CPU model other than 'host' (Sergey
Galas <shrike@virtuozzo.com>)

* Tue Mar 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.634
 - PSBM-62940 PSBM-61474 Switch libvirt CPU model to host and do not disable
xsave* features by default (bkbbkb <bkb@virtuozzo.com>)
 - Add check to EditVm task if OS supports Hyper-V SCSI disks.PSBM-62584 (Inga
Pyass <ipyass@virtuozzo.com>)

* Tue Mar 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.633
 - Add check to EditVm task if OS supports Hyper-V SCSI disks.PSBM-62584 (Inga
Pyass <ipyass@virtuozzo.com>)

* Tue Mar 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.632
 - Add check to EditVm task if OS supports Hyper-V SCSI disks.PSBM-62584 (Inga
Pyass <ipyass@virtuozzo.com>)

* Tue Mar 28 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.631
 - Add check to EditVm task if OS supports Hyper-V SCSI disks.PSBM-62584 (Inga
Pyass <ipyass@virtuozzo.com>)

* Mon Mar 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.630
 - compilation fix (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-62366 aka second migration in chain host1->migrate->
host2->migrate->host1 failed (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-62239 aka VM preview screenshot doesn't show with VMs on VZ7u4
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Mar 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.629
 - bug #PSBM-62366 aka second migration in chain host1->migrate->
host2->migrate->host1 failed (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-62239 aka VM preview screenshot doesn't show with VMs on VZ7u4
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Mar 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.628
 - bug #PSBM-63007 aka VM online migration failed with 'connection error:
invalid argument: event callback already tracked' (Sergey Galas
<shrike@virtuozzo.com>)
 - CT resume #PSBM-56176 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Mar 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.627
 - bug #PSBM-62895 aka unsupported configuration: Disk iothread '1' not defined
in iothreadid (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.626
 - bug #PSBM-62806 aka VM can't migrate after cpu hotplug (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-60374 aka Dispatcher actions logging (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Mar 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.625
 - Failed to update CT disk #PSBM-62750 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-61880 aka all VMs must be configured with iothreads support (Sergey
Galas <shrike@virtuozzo.com>)

* Wed Mar 22 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.624
 - Add support for different subtypes of SCSI controllers in a single VM (Inga
Pyass <ipyass@virtuozzo.com>) (#PSBM-59030)
 - Unable to redefine a CT via libvirt interface #PSBM-55314 (Igor Sukhih
<igor@virtuozzo.com>)
 - Set SCSI bus by default for CT root disk (Mikhail Feoktistov
<mfeoktistov@virtuozzo.com>)

* Mon Mar 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.623
 - Backslash escaping #PSBM-61611 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - bug #PSBM-62487 aka PlsCtlError: Unexpected new reports: set([]. Exit code: 1
(Sergey Galas <shrike@virtuozzo.com>)

* Mon Mar 20 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.622
 - Fixed branding file names, see #PSBM-62488 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - wrong error text on CT resume #PSBM-62472 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Mar 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.621
 - Add support for Hyper-V paravirt storage devices (Inga Pyass
<ipyass@virtuozzo.com>) (#PSBM-59029)
 - Branding renaming, see #PSBM-58317 (Konstantin Volkov <wolf@virtuozzo.com>)

* Fri Mar 17 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.620
 - bug #PSBM-62445 aka The folder "/vz/vmprivate" used to store the virtual
machine files is not available. (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-61149 aka vzt-paci-migrate-ct-basic: Cannot brand .brand/virtuozzo-
release (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 16 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.619
 - bug #PSBM-62257 aka prlctl clone of a VM cannot be cancelled with Ctrl+C
(Sergey Galas <shrike@virtuozzo.com>)
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)
 - bug #PSBM-61158 aka vmprivate creation (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49777 aka Make CT restore backup task cancellable in time of "qemu-
img convert" (Sergey Galas <shrike@virtuozzo.com>)

* Wed Mar 15 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.618
 - Revert "bug #PSBM-61880 aka all VMs must be configured with iothreads
support" (Sergey Galas <shrike@virtuozzo.com>)
 - Revert "bug #PSBM-62004 aka unsupported configuration: IOThreads not
available" (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-61470 aka Console doesn't work after successfully VM migration
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Mar 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.617
 - Live VM update #PSBM-59325 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-62086 aka Cannot delete backup after interrupted restore - backup
is busy for reading (Sergey Galas <shrike@virtuozzo.com>)
 - style: remove unused code (Igor Sukhih <igor@virtuozzo.com>)

* Fri Mar 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.616
 - bug #PSBM-62004 aka unsupported configuration: IOThreads not available for
bus scsi target sda. (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-61986 aka backup not listed through prlctl backup-list (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Mar 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.615
 - bug #PSBM-61880 aka all VMs must be configured with iothreads support (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-61858 aka migration is failed with 'The file .brand/dispatcher-
build already exists on the destination node.' (Sergey Galas
<shrike@virtuozzo.com>)
 - drop ugly snippet (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.614
 - drop ugly snippet (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.613
 - bug #PSBM-60193 aka deleting VM backup with --keep-chain failed (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Mar 07 2017 Igor Sukhih <igor@virtuozzo.com> 7.0.612
 - Revert "Autostart parameter 'auto' do not stored for Containers" #PSBM-61630

* Thu Mar 02 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.611
 - bug #PSBM-61439 aka restore VM on vz7 node from backup on pcs6 node is failed
(Sergey Galas <shrike@virtuozzo.com>)
 - style: remove spaces in Task_VzManager.cpp (Igor Sukhih <igor@virtuozzo.com>)

* Wed Mar 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.610
 - reset doesn't work for Container #PSBM-61358 (Igor Sukhih
<igor@virtuozzo.com>)
 - Fix potential 32bit overflow. PSBM-58105 (Inga Pyass <ipyass@virtuozzo.com>)
 - Remove Etrace logging (Inga Pyass <ipyass@virtuozzo.com>) (#PSBM-58105)
 - Autostart parameter 'auto' do not stored for Containers #PSBM-52707 (Igor
Sukhih <igor@virtuozzo.com>)

* Tue Feb 21 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.609
 - Set same limits as RHEL/RHEV in dispatcher's defaults - PSBM-59184,
PSBM-60784 (Konstantin Bukharov <bkb@virtuozzo.com>)
 - bug #PSBM-60728 aka live_migrate ERROR virtuozzo-release already exists on
the destination node. (Sergey Galas <shrike@virtuozzo.com>)
 - PSBM-54950 Set max length limit on password (Inga Pyass
<ipyass@virtuozzo.com>)

* Wed Feb 15 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.608
 - bug #PSBM-60527 aka SDK.PrlVmDev_ResizeImage with PRIF_DISK_INFO returns no
data (Sergey Galas <shrike@virtuozzo.com>)
 - Task_RemoveVmBackup: fix VmDirUuid for CT (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Feb 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.607
 - Incorrect statistics for devices.hdd0.write_total (Igor Sukhih
<igor@virtuozzo.com>)
 - cleanup (Sergey Galas <shrike@virtuozzo.com>)
 - BUGFIX Increase timeout for VM guest conversion #PSBM-59905 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Tue Feb 14 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.606
 - need to use a common approach for both init, update and getConfig api
operations. let's have a model and a marshal to save/load into a vcmmd data
structure. (Sergey Galas <shrike@virtuozzo.com>)
 - BUGFIX Set correct location for NVRAM on Hardware Conversion #PSBM-54069
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Mon Feb 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.605
 - bug #PSBM-59896 aka Add dispatcher and build versions on creation moment to
config.pvs (Sergey Galas <shrike@virtuozzo.com>)

* Mon Feb 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.604
 - Apply cpu/node mask in runtime #PSBM-54533 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Feb 10 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.603
 - Report nodelist and cpulist change to vcmmd (Igor Sukhih
<igor@virtuozzo.com>)
 - PSBM-59895 Remove unnecessary code listening UDP (Inga Pyass
<ipyass@virtuozzo.com>)

* Mon Feb 06 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.602
 - Dispatcher doesn't send event when container state changes to suspended
\#PSBM-57132 (Igor Sukhih <igor@virtuozzo.com>)
 - Send PET_DSP_EVT_VM_STARTED on CT unpause (Igor Sukhih <igor@virtuozzo.com>)
 - libvirt: shrink dependency scope on libvirt (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Send Container state change events #PSBM-59372 (Igor Sukhih
<igor@virtuozzo.com>) (#PSBM-53912)
 - bug #PSBM-46570 aka PrlVm_GetSnapshotsTreeEx returns no snaphots if there is
no libvirt connection (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-59840 aka Applying VNC in VA breaks hot migration for CT (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-59723 aka Applying VNC in VA breaks hot migration (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Feb 01 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.601
 - Container pause #PSBM-55237 (Igor Sukhih <igor@virtuozzo.com>)
 - migration: fix success cancelling response (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>) (#PSBM-59381)

* Mon Jan 30 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.600
 - bug #PSBM-40882 aka PVE::DspCmdVmAuthWithGuestSecurityDb
(PrlVm_AuthWithGuestSecurityDb) (Sergey Galas <shrike@virtuozzo.com>)
 - Attach all cluster logs to problem reports (PSBM-59312) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - add a vmauth requirement (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jan 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.599
 - It is possible to set to set invalid S/N to CT's hdd #PSBM-58976 (Igor Sukhih
<igor@virtuozzo.com>)
 - style: use IsSerialNumberValid() from prlcommon (Igor Sukhih
<igor@virtuozzo.com>)
 - style: remove dupicate StringUtils (Igor Sukhih <igor@virtuozzo.com>)

* Fri Jan 27 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.598
 - BUGFIX Backup customized NVRAM path #PSBM-59015 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - BUGFIX Add NVRAM.dat file to the list of backed up files #PSBM-59015 (Pavel
Vokhmyanin <pvokhmyanin@virtuozzo.com>)

* Tue Jan 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.597
 - Container reinstall #PSBM-58698 (Igor Sukhih <igor@virtuozzo.com>)
 - Extend VM migration state machine with tuning state (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-56479)

* Tue Jan 24 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.587.5
 - Extend VM migration state machine with tuning state (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-56479)

* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.587.4
 - Extend VM migration state machine with tuning state (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-56479)

* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.596
 - Container reinstall #PSBM-58698 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.595
 - bug #PSBM-55907 aka Setting "--ipfilter yes/no" option with "--configure no"
does not work (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58674 aka backup id is not preserved after incremental chain
coalescing (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58791 aka Add new flag "TREAT_NAME_AS_VMUUID" to
SDK.PrlSrv_RestoreVmBackup (Sergey Galas <shrike@virtuozzo.com>)
 - update config simply (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58567 aka prlct "--on-crash restart" vm option does not change into
"paused" after 3 reboots (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58437 aka prlctl resume failed due to timeout (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jan 19 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.594
 - bug #PSBM-58674 aka backup id is not preserved after incremental chain
coalescing (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58791 aka Add new flag "TREAT_NAME_AS_VMUUID" to
SDK.PrlSrv_RestoreVmBackup (Sergey Galas <shrike@virtuozzo.com>)
 - update config simply (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58567 aka prlct "--on-crash restart" vm option does not change into
"paused" after 3 reboots (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58437 aka prlctl resume failed due to timeout (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jan 16 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.592
 - bug #PSBM-58567 aka prlct "--on-crash restart" vm option does not change into
"paused" after 3 reboots (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-58437 aka prlctl resume failed due to timeout (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Jan 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.591
 - use vcmmd API to set policy (PSBM-58244) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Impossible to create incremental backups of CT from VZ6 to VZ7 #PSBM-54345
(Igor Sukhih <igor@virtuozzo.com>)

* Fri Jan 13 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.590
 - use vcmmd API to set policy (PSBM-58244) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Impossible to create incremental backups of CT from VZ6 to VZ7 #PSBM-54345
(Igor Sukhih <igor@virtuozzo.com>)

* Wed Jan 11 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.589
 - preserve the oncrash section on update of a vm configuration from libvirt
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-54070 aka NUMA binding from libvirt live config is saved
permanently (Sergey Galas <shrike@virtuozzo.com>)
 - get rid of unused inheritance (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-54345 aka Impossible to create incremental backups of containers
from VZ6 to VZ7 (Sergey Galas <shrike@virtuozzo.com>)

* Thu Dec 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.588
 - Make it possible to get/set vcmmd memory policy (PSBM-55022) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - remove redundant locks in edit vm code (Sergey Galas <shrike@virtuozzo.com>)

* Mon Dec 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.586
 - Revert "Unable to redefine a CT via libvirt interface #PSBM-55314"
(PSBM-58010) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Revert "bug #PSBM-57615 aka Cannot restore VE" (PSBM-58010) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Revert "Workaround broken findDiskInList() (PSBM-57922, PSBM-58010)" (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Thu Dec 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.584
 - Workaround broken findDiskInList() (PSBM-57922) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - bug #PSBM-55018 aka Tune default VE memory guarantees in according to the
chosen policy (Sergey Galas <shrike@virtuozzo.com>)

* Thu Dec 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.583
 - bug #PSBM-57764 aka Set up iolimit: 1000697856, prlctl list shows 0 (Sergey
Galas <shrike@virtuozzo.com>)
 - bug #PSBM-57615 aka Cannot restore VE (Sergey Galas <shrike@virtuozzo.com>)

* Tue Dec 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.581
 - Set 'on crash pause' mode for legacy VM upgrade (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove size limit for vzreport archive #PSBM-52709 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Dec 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.580
 - Set discard pit tickpolicies by default #PSBM-56404 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Protection against continuos crashes (PSBM-55697) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Fri Dec 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.579
 - Proceed devices recursively to avoid unneeded bridges, see #PSBM-53996
(Konstantin Volkov <wolf@virtuozzo.com>)

* Fri Dec 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.578
 - Rewrite duplicate eths: bonding case, see #PSBM-53996 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Implement autostart-delay logic #PSBM-52160 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Rename ifcfg devices according to device name, see #PSBM-53943 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Unable to redefine a CT via libvirt interface #PSBM-55314 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Dec 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.577
 - Implement autostart-delay logic #PSBM-52160 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Rename ifcfg devices according to device name, see #PSBM-53943 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Unable to redefine a CT via libvirt interface #PSBM-55314 (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Dec 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.576
 - CPU features are set to current host settings on registration (Alexander
Burluka <aburluka@virtuozzo.com>) (#PSBM-56479)

* Thu Dec 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.575
 - return back possibility to obrain public ip addresses via SDK (PSBM-53561)
(Pavel Ganyushin <pganyushin@virtuozzo.com>)
 - store virtual network adapters in host info (PSBM-53561) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Add posibility to obtain virtual network devices (PSBM-53561) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Thu Dec 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.574
 - return back possibility to obrain public ip addresses via SDK (PSBM-53561)
(Pavel Ganyushin <pganyushin@virtuozzo.com>)
 - store virtual network adapters in host info (PSBM-53561) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Add posibility to obtain virtual network devices (PSBM-53561) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Wed Dec 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.573
 - return vzctl specific error code #PSBM-57274 (Igor Sukhih
<igor@virtuozzo.com>)
 - Fixed balloon size retrieval (Dmitry Mishin <dim@virtuozzo.com>)

* Tue Dec 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.572
 - VmConverter: disable 3d accceleration #PSBM-57144 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Vz6->Vz7 migration: preserve target VM state when failed to convert (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - limit pending connections count (PSBM-52204) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - simplify LoginLocal protocol (PSBM-52204) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Mon Dec 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.571
 - fix 'mount running VM' error msg (PSBM-53954) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Fri Dec 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.570
 - bug #PVA-35989 aka When "host cursor" leaves the area of the console, cursor
stops moving, even in Full screen mode (Sergey Galas <shrike@virtuozzo.com>)
 - Use problem report servers at *virtuozzo.com (#PSBM-56971) (Denis Silakov
<dsilakov@virtuozzo.com>)
 - EditVm: remove invalid check for network existence #PSBM-51332 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - PrlVmDevHd_GetSizeOnDisk always returns 0 for CT #PSBM-50962 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Dec 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.569
 - drop futile block (Sergey Galas <shrike@virtuozzo.com>)
 - Command::Future::wait: retry on error #PSBM-56476 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - migration: added PVMT_DONT_CREATE_DISK flag handling (Pavel Glushchak
<pglushchak@virtuozzo.com>)

* Mon Dec 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.568
 - Command::Future::wait: retry on error #PSBM-56476 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - migration: added PVMT_DONT_CREATE_DISK flag handling (Pavel Glushchak
<pglushchak@virtuozzo.com>)

* Mon Dec 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.567
 - Tranpsonster::Reverse: don't set zero CPU shares #PSBM-56017 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Dec 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.566
 - CVzHelper::get_net_stat(): skip collect net stat for stopped CT #PSBM-56398
(Igor Sukhih <igor@virtuozzo.com>)
 - CVzHelper::get_net_stat_by_dev(): collect veth stat from teh host (Igor
Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-55528 aka w2k12 installer doesn't see VM's hdd (Sergey Galas
<shrike@virtuozzo.com>)
 - make prl-disp-service dependancy on virt-guest-shutdown.target (Maxim
Nestratov <mnestratov@virtuozzo.com>)

* Thu Dec 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.565
 - Restore subscribers notification about changed guest Tools state (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-56359)
 - Style: merge two overloads of sendVmConfigChangedEvent() (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Nov 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.564
 - Fixed sending of updated VM configuration event on convertion to template.
(Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-56343)
 - Add firmware logs to a problem report #PSBM-54401 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Move a firmware log file outside from a VM home directory #PSBM-54401 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Nov 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.563
 - Add more debug argumets to qemu commandline #PSBM-54401 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - use common output format for venet0 (PSBM-56156) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Tue Nov 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.562
 - BootingOrder support for CTs #PSBM-56186 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Nov 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.561
 - Match unplugged backup by disk SN instead of index (PSBM-49900) (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Nov 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.560
 - get network statistics by dev (PSBM-55914) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - implement getter of netstat by dev for CT (PSBM-55914) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Fri Nov 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.559
 - Revert "return back possibility to obrain public ip addresses via SDK
(PSBM-53561)" (Sergey Galas <shrike@virtuozzo.com>)
 - requires libvcmmd (Konstantin Neumoin <kneumoin@virtuozzo.com>) (#PSBM-56068)

* Fri Nov 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.558
 - Add per disk IO statistics for CT #PSBM-55582 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Nov 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.557
 - implement a template for enumerable counters (Sergey Galas
<shrike@virtuozzo.com>)
 - set target device name for routed interface (PSBM-55457) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - return back possibility to obrain public ip addresses via SDK (PSBM-53561)
(Pavel Ganyushin <pganyushin@virtuozzo.com>)
 - Adding bridged interface bound to nonexisting network breaks CT networking
\#PSBM-55853 (Igor Sukhih <igor@virtuozzo.com>)

* Mon Nov 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.556
 - fix cpu statistics reporting (PSBM-51669) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - Fix problem report type for a guest crash #PSBM-55482 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix a screenshot creation in problem reports #PSBM-55482 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Nov 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.555
 - Create .ve.xml in not exists #PSBM-55360 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Nov 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.554
 - fixes crash on an application of network settings (Sergey Galas
<shrike@virtuozzo.com>)
 - Increase VNC server start timeout #PSBM-54601 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Nov 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.553
 - bug #PSBM-54935 aka usb contoller is still in listing (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Nov 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.552
 - bug #PSBM-54914 aka no ACPI-event inside VM (Sergey Galas
<shrike@virtuozzo.com>)
 - Prohibit backup to older backup storage (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-54413)

* Tue Nov 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.551
 - Allow to restore if a target is in 'suspended' state (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-53323)

* Mon Nov 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.550
 - removeUnshared: pass a disk list by reference #PSBM-54887 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Nov 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.548
 - bug #PSBM-54367 aka other_cases.second_restore TIMEDOUT: Function
call_sdk_function timeouted (Sergey Galas <shrike@virtuozzo.com>)
 - CVzOperationHelper::move_env: use normalized sNewPrivate (Igor Sukhih
<igor@virtuozzo.com>)
 - wrong HDD's path after twice prlctl move #PSBM-54253 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Nov 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.547
 - Diskonly snapshot creation #PSBM-54057 (Igor Sukhih <igor@virtuozzo.com>)
 - revert commit f6eeb5aa0de77430916ef1f27bf37132525a4670 (Igor Sukhih
<igor@virtuozzo.com>)
 - Diskonly snapshot creation #PSBM-54057 (Igor Sukhih <igor@virtuozzo.com>)
 - Use VIR_DOMAIN_UNDEFINE_KEEP_NVRAM flag in virDomainUndefineFlags (Maxim
Nestratov <mnestratov@virtuozzo.com>)
 - Fixed compilation (Igor Sukhih <igor@virtuozzo.com>)
 - Fixed compilation (Igor Sukhih <igor@virtuozzo.com>)
 - Task_VzManager::create_env_disk(): invalidate CT config #PSBM-54259 (Igor
Sukhih <igor@virtuozzo.com>)

* Thu Oct 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.546
 - Fixed compilation

* Thu Oct 27 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.545
 - Task_VzManager::create_env_disk(): invalidate CT config #PSBM-54259

* Thu Oct 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.544
 - libvcmmd api changes (Derbyshev Dmitry <dderbyshev@virtuozzo.com>) (#PSBM-51444)
 - prepare string for comparing (PSBM-54257) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - update vcmmd version requirement: strings as config values (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>) (#PSBM-53459)

* Wed Oct 26 2016 Derbyshev Dmitry' <dderbyshev@virtuozzo.com>
 - #PSBM-53459: dbus signature is expanded, ruining backward compatibility with
vcmmd (Derbyshev Dmitry <dderbyshev@virtuozzo.com>)

* Wed Oct 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.543
 - SCSI disks passthrough (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-41160)
 - CVzExecHelper::run_cmd: process PRPM_RUN_PROGRAM_IN_SHELL flag #PSBM-42726
(Igor Sukhih <igor@virtuozzo.com>)

* Mon Oct 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.542
 - Fabricate libvirt to prl error conversion for agent error codes #PSBM-53858
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Mon Oct 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.541
 - bug #PSBM-49228 aka Changing VM memory online corrupt 'configuration file'?
(Sergey Galas <shrike@virtuozzo.com>)

* Fri Oct 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.540
 - appendAdvancedParamsToCtConfig: set encryption flag for remote display
\#PVA-35619 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Oct 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.539
 - fix network type reconfiguration - part 2 #PSBM-53573 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Apply network changes to running VMs #PSBM-53711 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Oct 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.538
 - Add processing CCtResource parameters #PSBM-49527 (Igor Sukhih
<igor@virtuozzo.com>)
 - Refactor create_bridges.py, #PSBM-52941 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Turn off sending vzevent for CT #PSBM-53912 (Igor Sukhih
<igor@virtuozzo.com>)
 - Preserve NAME= attribute on bridge creation, #PSBM-53941 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add DEVICE= to ifcfg where it is absent, #PSBM-53941 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - bug #PSBM-53721 aka systemctl -n0 stop prl-disp.service returned 1 Exit code:
1 (Sergey Galas <shrike@virtuozzo.com>)

* Tue Oct 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.537
 - Reread VM's VNC address on VM start #PSBM-53953 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - fix network type reconfiguration #PSBM-53573 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Oct 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.536
 - Retry guest agent watcher for 5 minutes #PSBM-53668 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Add secure websocket support via stunnel, #PSBM-53289 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement creation of (read-only, auto-assigned) websocket VNC port,
\#PSBM-53289 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Oct 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.534
 - fix for incorrect vnc port reporting after deactivation of encryption (Sergey
Galas <shrike@virtuozzo.com>)

* Tue Oct 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.533
 - Revert back retry on unresponsive avent #PSBM-53492 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Tue Oct 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.532
 - Another cloud-config cdrom fix (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-51466)

* Mon Oct 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.531
 - restoreCtOverExisting: old CT data can be read #PSBM-53434 (Igor Sukhih
<igor@virtuozzo.com>)
 - Warn if nested virtualization is disabled on host (PSBM-50234) (Igor Sukhih
<igor@virtuozzo.com>)
 - remove virtuozzo.target then prl-disp.service goes down (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>) (#PSBM-48046)
 - Warn if nested virtualization is disabled on host (PSBM-50234) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Fri Oct 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.530
 - Use exponentially increasing timeout when get_fsinfo() failed instead of
completely disabled periodic timer. (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Restart collecting timer from reset() slot context. (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Limit fs info stat collecting period to 30 seconds #PSBM-53264 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - Stop periodic flood with errors from guest agent #PSBM-51748 #PSBM-51748
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Fri Oct 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.529
 - Failed to backup a Container with shrinked disk #PSBM-53201 (Igor Sukhih
<igor@virtuozzo.com>)
 - Image::updateDiskInformation: fill SizeInBytes field #PSBM-53201 (Igor Sukhih
<igor@virtuozzo.com>)
 - Rework PloopImage::Image::getEncryptionKeyid() (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Oct 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.528
 - Implement a debug mode for upgrade from VZ6 #PSBM-52526 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Check return code of FSThaw and retry operation if failed (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-53248)
 - Add resolver library initialization on start up (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-53164)

* Thu Oct 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.527
 - remove useless code with misleading logging (PSBM-52919) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - On-crash action implementation (PSBM-51080) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - BUGFIX Teach create_bridges.py to work with any bridge/team
name/configuration style #PSBM-53030 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Check CT state during encryption on libvzctl level (PSBM-52950) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Oct 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.526
 - transponster: set qemu's adapter type for PNT_PTL to 'rtl8139' (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix screenshot resize, #PSBM-52762 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Sep 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.525
 - Support attaching of encrypted CT backups as block devices (PSBM-52091) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Move BackupInfo to Task_AttachVmBackup.h (PSBM-52091) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Sep 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.524
 - arat feature should be disabled in Update1 (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-52808)

* Wed Sep 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.523
 - Increase limit of open files, see #PSBM-52816 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - New cloud-config cdrom should use free indexes (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-51466)

* Tue Sep 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.522
 - Minor fixes: parentheses, one-cycle write (Konstantin Volkov
<wolf@virtuozzo.com>)
 - bug #PSBM-52676 aka prl_disp_service killed by SIGTRAP (Sergey Galas
<shrike@virtuozzo.com>) (#PSBM-42634)
 - Implement autostart = auto mode for VMs and CTs, see #PSBM-51181 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Use existing and initialized server socket in qemu-nbd (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-51946)
 - Use subprocess32 python module as it is more stable (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Add missed break (Konstantin Volkov <wolf@virtuozzo.com>)
 - Implement VMs autosuspend on shutdown/reboot, see #PSBM-50860 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Implement VMs autosuspend on shutdown/reboot, see #PSBM-50860 Implement
autostart = auto mode for VMs and CTs, see #PSBM-51181 Spec part (Konstantin
Volkov <wolf@virtuozzo.com>)

* Tue Sep 27 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.521-2
- Implement VMs autosuspend on shutdown/reboot, see #PSBM-50860
- Implement autostart = auto mode for VMs and CTs, see #PSBM-51181

* Fri Sep 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.521
 - Sync disk images for cloned VM #PSBM-50044 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - ebtables rules not changed if set ip_filter=off on running CT #PSBM-52340
(Igor Sukhih <igor@virtuozzo.com>)
 - Remove cpu_reset logging option from default VM configuration (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Sep 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.520
 - Ignore RemoteHostClosedError for tunnel #PSBM-52486 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Sep 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.519
 - Allow changing encryption settings only when CT is stopped (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Don't ignore empty keyid when updating config (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Local virtual machine's backup optimization (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-51258)
 - Deactivate VM memory management before migration #PSBM-52315 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Temporarily disable addSysrqTriggerToReport call #PSBM-52089 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Sep 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.518
 - fix assert in qt (Sergey Galas <shrike@virtuozzo.com>)
 - Check hdd's serial number valid (PSBM-51713) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - improve error handling at the target side of the tunnel (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Sep 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.517
 - Preserve hdd serial number #PSBM-52322 (Igor Sukhih <igor@virtuozzo.com>)
 - Revert "fix VM autostart" and "restart vcmmd service after reaching virtuozzo
target" (Derbyshev Dmitry <dderbyshev@virtuozzo.com>)

* Thu Sep 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.516
 - Handle DspCmdVmCommitEncryption command (PSBM-51076) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - bug #PSBM-52064 aka second "prlctl pause" process hangs (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Sep 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.515
 - fix for assert in Qt (Sergey Galas <shrike@virtuozzo.com>)
 - Add an ability to restore Containers with encrypted disks (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-49431)

* Tue Sep 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.514
 - fix VM autostart (Derbyshev Dmitry <dderbyshev@virtuozzo.com>)
 - Add an ability to capture Vm screen (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-50870)
 - Fix prlctl set VMID --select-boot-device doesn't work (PSBM-51343) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)
 - bug #PSBM-51830 aka --no-tunnel option for backups & restore (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.513
 - revert 0caccdc53 "CVzHelper::get_env_config_from_file(): pass open flags"
(Igor Sukhih <igor@virtuozzo.com>)
 - CVzHelper.cpp: use 'const SmartPtr<CVmConfiguration>' (Igor Sukhih
<igor@virtuozzo.com>)
 - Load xml specific data on get_env_config_from_file() (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Sep 12 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.512
 - conf_add_disk_entry: fill disk enryption keyid
 - CVzHelper::get_env_config_from_file(): pass open flags

* Fri Sep 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.511
 - compilation fix in release build (Sergey Galas <shrike@virtuozzo.com>)
 - Temporarily disable hotplug for network devices (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - restart vcmmd service after reaching virtuozzo target (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>)
 - Enable hotplug for network adapters #PSBM-51857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT autostop functionality #PSBM-50873 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Sep 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.510
 - Temporarily disable hotplug for network devices (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - restart vcmmd service after reaching virtuozzo target (Derbyshev Dmitry
<dderbyshev@virtuozzo.com>)
 - Enable hotplug for network adapters #PSBM-51857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT autostop functionality #PSBM-50873 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Sep 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.509
 - Enable hotplug for network adapters #PSBM-51857 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT autostop functionality #PSBM-50873 (Igor Sukhih <igor@virtuozzo.com>)
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Sep 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.508
 - bug #PSBM-50514 aka Tunnel for Vm & Container restore (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50513 aka Tunnel for Vm & Container backup (Sergey Galas
<shrike@virtuozzo.com>)
 - introduce tunnels for backup/restore operations. (Sergey Galas
<shrike@virtuozzo.com>)
 - reduce the parameters number of the hub template (Sergey Galas
<shrike@virtuozzo.com>)
 - implement a new tunnel naming schema for migration. (Sergey Galas
<shrike@virtuozzo.com>)
 - hide the member body which depends on the migrate task interface. (Sergey
Galas <shrike@virtuozzo.com>)
 - move template member bodies to the header for reuse. (Sergey Galas
<shrike@virtuozzo.com>)
 - prevent abort in qt (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Sep 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.506

* Mon Sep 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.505
 - Refactor: CVmEvent*, BaseNode and ProtoSerializer are moved to prlcommon
 - Show 'stopped' state for templates by default #PSBM-51727 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Sep 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.504

* Sat Sep 03 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.503
 - bug #PSBM-51694 aka after online VM migration bridged net adapter is attached
to not existing network. (Sergey Galas <shrike@virtuozzo.com>)
 - Update encryption keyid in CVmConfiguration #PSBM-49431 (Igor Sukhih
<igor@virtuozzo.com>)
 - Get disk encryption keyid #PSBM-49431 (Igor Sukhih <igor@virtuozzo.com>)
 - Set disk encryption keyid #PSBM-49431 (Igor Sukhih <igor@virtuozzo.com>)

* Fri Sep 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.502
 - Wait for running state after snapshot running VM #PSBM-51597 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Sep 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.501
 - bug #PSBM-51283 aka Online migration fails with "internal error: early end of
file from monitor, possible problem: CPU Reset (CPU 0)" (Sergey Galas
<shrike@virtuozzo.com>)
 - Task_BackupHelper: wait for VM stopped state on VM kill #PSBM-51664 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Aug 31 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.500
 - Implement PNA_BRIDGE network type for CT #PSBM-51448

* Wed Aug 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.499
 - Enable/disable firewall rules on VM start/stop #PSBM-51559 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Wait for VM state event before finish VM clone #PSBM-51565 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Aug 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.497
 - Do not dispaly "unknown Ct state" error (Igor Sukhih <igor@virtuozzo.com>)
 - Skip template management on CT creation #PSBM-32832 (Igor Sukhih
<igor@virtuozzo.com>)
 - add PNA_BRIDGE network adapter type support (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - rename PNA_BRIDGED_ETHERNET to PNA_BRIDGED_NETWORK (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Fri Aug 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.496
 - Prepend forward rules in basic firewall #PSBM-51068 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Aug 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.495

* Fri Aug 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.494
 - Implemented fs.* perf counters via qga guest-fs-info #PSBM-49387 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Thu Aug 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.493
 - Run network action on snapshot switch #PSBM-44774 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Dispatcher's crash on app template installation #PSBM-51042 (Igor Sukhih
<igor@virtuozzo.com>)

* Wed Aug 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.492
 - Fix VM's stopping event #PSBM-51061 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Status waiting on VM pause #PSBM-51013 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Aug 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.491
 - Ignore tray open events for stopped VMs #PSBM-50980 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CT disk encryption #PSBM-28227 (Igor Sukhih <igor@virtuozzo.com>)

* Tue Aug 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.490
 - bug #PSBM-51028 aka prl_disp_service killed by SIGSEGV (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50744 aka ['ping6', '2001:db8::2d2e:299b', '-I',
'2001:db8:5b6d::2d2e:2901', '-s', '1016', '-c', '100', '-i', '0.2'] returned 1
Exit code: 1 (Sergey Galas <shrike@virtuozzo.com>)

* Mon Aug 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.489
 - BUGFIX Lock getMultiEditDispConfig with QMutexLocker to avoid hanging locks
(Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com>)
 - Apply "raw" CT parameters when applying new CT config. #PSBM-39266 (Anton
Sanarov <asanarov@virtuozzo.com>)
 - Improve logic of destination disk's format determination (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50153)

* Mon Aug 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.488
 - Add xsaveopt, xsavec, xgetbv1, xsaves cpufeatures (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-50970 #PSBM-50115 #PSBM-50966)
 - bug #PSBM-50955 aka Crash on PrlSrv_UpdateNetworkShapingConfig (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Aug 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.486
 - bug #PSBM-50923 aka backup disk couldn't be added on running VM (Sergey Galas
<shrike@virtuozzo.com>)
 - bug #PSBM-50367 aka Failed to migrate the VM (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Aug 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.485
 - bug #PSBM-50623 aka RempyError: [Errno 113] No route to host (Sergey Galas
<shrike@virtuozzo.com>)
 - Collect light coredumps for vz[a-z]* applications #PSBM-50895 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add proper eject signal handling within guest (Sergey Galas
<shrike@virtuozzo.com>) (#PSBM-49299 #PSBM-47958)
 - An ability to restore VEs from a remote server (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50512)

* Thu Aug 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.484
 - bug #PSBM--50623 aka prlctl: --autostop does not working (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Pass bandwidth value to the backup-client application #PSBM-47396 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Thu Aug 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.483
 - bug #PSBM-48772 aka Start local VM during restore on dst should be fail
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Aug 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.482
 - Generate new VM bundle name for cloned VM (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Aug 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.481
 - Remove unused redundant CDspVmDirHelper::getVmDirUuidByVmUuid(const QString&)
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - fillVmState: fix VM state for templates #PSBM-50762 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.480
 - bug #PSBM-49955 aka dump: core-prl_disp_servic (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.479
 - template migration: support switch to VM migration #PSBM-50579 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - An ability to make remote backups for virtual machines (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50510)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.478
 - An ability to create a Container's backup on remote servers (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50511)
 - Encrypted VNC for vms (Sergey Galas <shrike@virtuozzo.com>)

* Fri Aug 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.477
 - migration: fix VM template flag (Dmitry Andreev <dandreev@virtuozzo.com>)
 - migration: search PVMT_* flags in request flags #PSBM-50579 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - template migration: support switch to template migration #PSBM-50579 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Aug 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.476
 - Fix compilation: add dependencies for legacy migration (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Limit file copier speed by bandwidth #PSBM-47396 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Don't check VM state for templates in migration task #PSBM-49385 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Aug 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.475
 - Limit file copier speed by bandwidth #PSBM-47396 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Don't check VM state for templates in migration task #PSBM-49385 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Aug 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.474
 - Wrong struct Agent used as event state #PSBM-50348 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Fri Jul 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.473
 - Make --device-del remove attached backup data (PSBM-49729) (Sergey Galas
<shrike@virtuozzo.com>)
 - Fix double slash problem on linux guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-50251)
 - Changed user_config file format for Windows guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-50092)
 - vz6->vz7 migration: return error if prl_legacy_migration_app is missing
\#PSBM-49397 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-50228 aka testVmCpulimitType ERROR: dump: core-{cd98fd26-5364--
1469685783.12185 (Sergey Galas <shrike@virtuozzo.com>)
 - Notify all clients if failed to set network rates on VM start #PSBM-41865
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove unused nettool option from cloud_config_ctl (Alexander Burluka
<aburluka@virtuozzo.com>)
 - bug #PSBM-49317 aka Process reboot and agent started events (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Jul 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.472
 - bug #PSBM-50228 aka testVmCpulimitType ERROR: dump: core-{cd98fd26-5364--
1469685783.12185 (Sergey Galas <shrike@virtuozzo.com>)
 - Notify all clients if failed to set network rates on VM start #PSBM-41865
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-49317 aka Process reboot and agent started events (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jul 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.471
 - Change CT name on register action #PSBM-50026 (Igor Sukhih
<igor@virtuozzo.com>)
 - Preserve 'basic firewall', #PSBM-48131 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Wed Jul 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.470
 - Replace libtar with new libarchive interface for problem reports #PSBM-48887
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - default initializer (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49228 aka Changing VM memory online corrupt 'configuration file'
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49955 aka dump: core-prl_disp_servic-1469108018.12391 (Sergey Galas
<shrike@virtuozzo.com>)
 - VM template migration code cleanup #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support VM template migration #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jul 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.469
 - Replace libtar with new libarchive interface for problem reports #PSBM-48887
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - default initializer (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49228 aka Changing VM memory online corrupt 'configuration file'
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49955 aka dump: core-prl_disp_servic-1469108018.12391 (Sergey Galas
<shrike@virtuozzo.com>)
 - VM template migration code cleanup #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support VM template migration #PSBM-49385 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jul 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.468
 - Fix migration #PSBM-49972 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - vz6->vz7: finalize disk migration before convertion #PSBM-49875 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-49868 aka 33% performance degradation (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jul 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.467
 - bug #PSBM-49213 aka rate5_iter0 TIMEDOUT: Function readline timeouted (Sergey
Galas <shrike@virtuozzo.com>)
 - Fix quoting bugs on password instructions (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-49804 #PSBM-49133)
 - adjustClock: do not round offset #PSBM-49843 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - adjustClock: fix roundation for negative numbers #PSBM-49842 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Preserve original CT name on restore #PSBM-49691 (Igor Sukhih
<igor@virtuozzo.com>)
 - Set current VM home path to VM config after restore from backup #PSBM-49764
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Add ipv4 and ipv6 statistics filters, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Return ipv4 and ipv6 classful separately, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jul 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.466
 - bug #PSBM-49749 aka interrupted_suite.cancelled_backup ERROR: dump:
core-{112d2c45-1dd1--1468631960.11273 (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.19
 - Remove timeout for 'qemu-img convert' in restore backup #PSBM-49668 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.465
 - Remove timeout for 'qemu-img convert' in restore backup #PSBM-49668 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.17
 - Enable caching for backup's compressed NBD #PSBM-49709 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.16

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.464
 - Enable caching for backup's compressed NBD #PSBM-49709 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.463
 - bug #PSBM-49492 aka backup_restore_rsync FAIL: prlctl restore returned 255
(Sergey Galas <shrike@virtuozzo.com>)
 - Unicode fixup in cloud_config_ctl.py (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-49172 #PSBM-49133 #PSBM-42495)
 - Sort interfaces on bridge creation. (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Wait for suspended state if register suspended VM #PSBM-49573 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add requirement of virt-v2v to prl-disp-legacy #PSBM-49427 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jul 13 2016 Dmitry Andreeev <dandreev@virtuozzo.com> 7.0.462-2
 - Add requirement of virt-v2v to prl-disp-legacy #PSBM-49427

* Wed Jul 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.462
 - Set initial clock offset for windows #PSBM-49185 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Listen rtc_change event and update inactive configuration #PSBM-49185 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add a special builder to change adjustment #PSBM-49185 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Use StackIndex for interface slot number (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-49585)
 - Revert "Do not set device address for disks in Transponster #PSBM-49403"
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not rewrite clock offset on configuration update #PSBM-49185 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Jul 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.461
 - Fix compilation (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not set device address for disks in Transponster #PSBM-49403 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Use ' instead of " in power shell around user and password #PSBM-49462
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - get rid of ugly updater (Sergey Galas <shrike@virtuozzo.com>)
 - Rename dbus service for cpufeatures and remove superfluous QDBusInterface
\#PSBM-48757 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update confgurations for all VMs on changes in CPU features mask #PSBM-48757
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix quotes in cloud-init, #PSBM-49447 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jul 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.460
 - Do not set device address for disks in Transponster #PSBM-49403 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Use ' instead of " in power shell around user and password #PSBM-49462
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - get rid of ugly updater (Sergey Galas <shrike@virtuozzo.com>)
 - Rename dbus service for cpufeatures and remove superfluous QDBusInterface
\#PSBM-48757 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update confgurations for all VMs on changes in CPU features mask #PSBM-48757
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix quotes in cloud-init, #PSBM-49447 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Jul 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.9
 - bug #PSBM-49009 aka prl_disp should not overwrite memory stats update period
after vcmmd (Sergey Galas <shrike@virtuozzo.com>)
 - postpone perf stats polling for vms until completion of a previous one.
(Sergey Galas <shrike@virtuozzo.com>)

* Fri Jul 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.459
 - compilation fix (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-49009 aka prl_disp should not overwrite memory stats update period
after vcmmd (Sergey Galas <shrike@virtuozzo.com>)
 - Fix usb controller on PCS6 VM conversion, #PSBM-49363 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - vz6->vz7 migration: return conversion errors with a descripion #PSBM-49213
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Jul 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.458
 - bug #PSBM-49009 aka prl_disp should not overwrite memory stats update period
after vcmmd (Sergey Galas <shrike@virtuozzo.com>)
 - Fix usb controller on PCS6 VM conversion, #PSBM-49363 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - vz6->vz7 migration: return conversion errors with a descripion #PSBM-49213
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jul 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.457

* Mon Jul 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.456
 - cleanup: header and detached existance for CDspDBusHub (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add DBus hub (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-48757)
 - Ignore btrfs snapshots in mounter, #PSBM-49268 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jul 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.455
 - Adjust rtnl_talk's arguments to the new version of iproute (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add more logs for vz6->vz7 migration #PSBM-49158 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix network stats collection, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - postpone perf stats polling for vms until completion of a previous one.
(Sergey Galas <shrike@virtuozzo.com>)
 - Get CT running state helper (Igor Sukhih <igor@virtuozzo.com>)
 - vz6->vz7 migration: check if VNC port is busy #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Revert Makefile.version update (Igor Sukhih <igor@virtuozzo.com>)
 - Update disp config on cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - MERGE (Igor Sukhih <igor@virtuozzo.com>)
 - CVzHelper::set_rate: incorrect VM id (Igor Sukhih <igor@virtuozzo.com>)
 - Fix wrong isConverted check in VmConverter #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Compression on Container's backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48900)

* Fri Jul 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.454
 - Fix network stats collection, #PSBM-48219 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - postpone perf stats polling for vms until completion of a previous one.
(Sergey Galas <shrike@virtuozzo.com>)
 - Get CT running state helper (Igor Sukhih <igor@virtuozzo.com>)
 - vz6->vz7 migration: check if VNC port is busy #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Revert Makefile.version update (Igor Sukhih <igor@virtuozzo.com>)
 - Update disp config on cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - MERGE (Igor Sukhih <igor@virtuozzo.com>)
 - CVzHelper::set_rate: incorrect VM id (Igor Sukhih <igor@virtuozzo.com>)
 - Fix wrong isConverted check in VmConverter #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Compression on Container's backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48900)

* Fri Jul 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.8

* Wed Jun 29 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.451.7
 - Compression on Container's backup (#PSBM-48900)

* Wed Jun 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.6
 - Get CT running state helper (Igor Sukhih <igor@virtuozzo.com>)

* Wed Jun 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.5
 - Fix quotes and slash escaping in cloud_config_ctl.py (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-49080)

* Wed Jun 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.4
 - vz6->vz7 migration: check if VNC port is busy #PSBM-49060 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jun 28 2016 Igor Sukhih <igor@virtuozzo.com> 7.0.451.3
 - CVzHelper::set_rate: incorrect VM id
 - Update disp config on cmdRestartNetworkShaping #PSBM-42178
 - Get VM configurations from Registry for shaping update #PSBM-42178
 - Fix wrong isConverted check in VmConverter #PSBM-49060
 - Add log rotation for new libvirt client log PSBM-49061

* Tue Jun 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.452
 - Get VM configurations from Registry for shaping update #PSBM-42178 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add log rotation for new libvirt client log PSBM-49061 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Reset CT shaping parameters on shaperrestart action #PSBM-42178 (Igor Sukhih
<igor@virtuozzo.com>)
 - Add default system log to problem reports (Dmitry Mishin <dim@virtuozzo.com>)
 - Do log libvirt client library messages neither to syslog nor to libvirt's
daemon log (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-49061)
 - bug #PSBM-49054 aka Cannot set name (Sergey Galas <shrike@virtuozzo.com>)
 - code cleanup: CDspVmDirHelper::setNetworkRate() (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Jun 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451.2
 - fork version (Sergey Galas <shrike@virtuozzo.com>)
 - Reset CT shaping parameters on shaperrestart action #PSBM-42178 (Igor Sukhih
<igor@virtuozzo.com>)
 - Add default system log to problem reports (Dmitry Mishin <dim@virtuozzo.com>)
 - Do log libvirt client library messages neither to syslog nor to libvirt's
daemon log (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-49061)
 - bug #PSBM-49054 aka Cannot set name (Sergey Galas <shrike@virtuozzo.com>)
 - code cleanup: CDspVmDirHelper::setNetworkRate() (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Jun 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.451
 - Restart shaping in cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed ploop umount on stopped Container's case (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-49014)
 - Fix path to vz service binary #PSBM-42178 (Igor Sukhih <igor@virtuozzo.com>)
 - Reimplement cmdRestartNetworkShaping #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-48409 aka testStartStop TIMEDOUT: Function wait timeouted (Sergey
Galas <shrike@virtuozzo.com>)
 - Read shaping configuration from disp config #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Reset shaping if shaping was updated in disp config #PSBM-42178 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Jun 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.450
 - bug #PSBM-48823 aka Template switched back to VM could not be started (Sergey
Galas <shrike@virtuozzo.com>)
 - Store network shaping config and network classes in disp config #PSBM-42178
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Mon Jun 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.449
 - Fixed problem reporting in a case of failure (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48937)
 - Fix compilation after a recent merge (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove network shaping restart on vzctl event #PSBM-42178 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Added team network interfaces suppoer, see #PSBM-48962 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - merge bug #PSBM-33364 from the pcs6 tree (Sergey Galas
<shrike@virtuozzo.com>)

* Sat Jun 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.448
 - Additional cleanup after removing isServerMode[PSBM] (PSBM-48870) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Unicode password support for linux guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48640)
 - Cleanup isServerMode[PSBM] (PSBM-48870) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add uncompression flag for the vz_backup_client (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48503)
 - coverity-117394 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Disallow changing net device mac addess for running VM #PSBM-48846 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.447

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.446
 - bug #PSBM-48794 aka can't start the VNC (Sergey Galas <shrike@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.445
 - Report tools version from Vm config so it will work for both templates and
VM. Removed tools version from getToolsState() api since it is not used anymore.
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Change error text for online migration on clone mode #PSBM-48776 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Keep NVRAM on VM undefine. NVRAM is removed with VM bundle (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.444
 - Introduced Vm::Guest::Actor and Vm::Guest::Watcher without changes in
functionality. (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - run guest command out of config editor scope (out of atomic lock) (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - completely removed editvm offline personalization (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Run prl_nettool with full network condig when vm transits to RUNNING state
\#PSBM-44067 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.443
 - Prohibit "hypervisor" feature disabling (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48752)

* Thu Jun 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.442
 - bug #PSBM-48229 aka Pipe empty or closed (Sergey Galas
<shrike@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.441
 - coverity-117360 Out-of-bounds write (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Check whenever change sid is possible from vm config #PSBM-48716 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - Cleanup unused system events monitoring (Dmitry Mishin <dim@virtuozzo.com>)
 - coverity-117244 Buffer not null terminated (IFNAMSIZ) (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.440
 - Improve error messaging on hardware conversion, #PSBM-48183 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Use kvmclock timer in domain configuration by default #PSBM-48725 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Get rid of old disk encryption interface (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Ignore invalid cpu features masks (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48738)
 - VM migration: use src VM name in dst domain config #PSBM-48728 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.439
 - coverity-117353 Mixing enum types (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117405 Dereference before null check (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117455 Uninitialized pointer field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117457 Structurally dead code (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-126331 Uninitialized scalar field (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117393 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix VM first start on PCS6 restore, #PSBM-48559 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix race in migration tunnel #PSBM-48710 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - log libvirt error on virStreamSend failure #PSBM-44768 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Always update cpu features on PCS6 restore, #PSBM-48559 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Check event loop exit code, #PSBM-48559 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Long live for a cid counter in exec #PSBM-44768 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.438
 - Call cpufeatures binary only when mask was updated (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48697)
 - code cleanup: remove unused functionality adjustTotalRunningCtMemory (Igor
Sukhih <igor@virtuozzo.com>)
 - Fixed bitmask getter to work with domains with spaces in their names (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-48704)

* Tue Jun 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.437
 - CDspVzHelper::getCtConfigList(): fix deadlock #PSBM-48671 (Igor Sukhih
<igor@virtuozzo.com>)
 - Wait for a qemu process start (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48350)
 - Fixed compilation broken by commit 1bbef164 (Igor Sukhih
<igor@virtuozzo.com>)
 - CVzHelper: code cleanup (Igor Sukhih <igor@virtuozzo.com>)
 - Code cleanup CDspStarter (Igor Sukhih <igor@virtuozzo.com>)

* Tue Jun 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.436
 - bug #PSBM-48602 aka dump: core-Libvirt::Host-1466302973.24988 (Sergey Galas
<shrike@virtuozzo.com>)
 - coverity-117401 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117402 Resource leak (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117410 Uninitialized scalar variable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117459 code cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - coverity-117414 Uninitialized scalar variable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Real IP addresses are not shown for containers #PSBM-48176 (Igor Sukhih
<igor@virtuozzo.com>)

* Mon Jun 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.435
 - Fix backup/restore with UNCOMPRESSED flag (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48367)
 - coverity-117460 Wrapper object use after free (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Detect guest agent state changes asynchroneosly #PSBM-42667 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Mon Jun 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.434
 - Prohibit incremental backup if the last one was deleted (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48506)
 - coverity-117404 Wrong use of 'this' in place of 'true' (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Jun 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.433
 - coverity-117403 reference to a local object outside of it's scope (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - coverity-117391 Fix WRITE_TRACE message (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117396-117397 Resource leaks (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - coverity-117278 Drop redundant SaReFile support (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Jun 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.432
 - vz6->vz7 migration: prohibit clone mode (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-48538)
 - Return a specific error for old-styled backups (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47789)
 - Update error text for offline vz6->vz7 migration #PSBM-48332 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.431
 - Merge Agent::Configuration with Agent::Runtime #PSBM-45713 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support EFI Vm vz6->vz7 migration #PSBM-48417 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add network statistics for stopped VMs (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48219)
 - Update CPU limits for all VMs on disp config changed #PSBM-45713 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Emit signal about disp config changed (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.430
 - Keep-chain functionality for backup-delete (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47789)

* Fri Jun 17 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.429
 - Fixed lock dir for systemd generator
 - Do not start NBD devices for VM backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48250)

* Thu Jun 16 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.428
 - Fixed loggind in systemd-generator, see #PSBM-48456

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.427
 - Do not preallocate disk space on restoration from backup (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48366)

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.426
 - bug #PSBM-48399 aka ERROR: KeyError: u'' (Sergey Galas
<shrike@virtuozzo.com>)
 - Remove CT autostart functionality #PSBM-48380 (Igor Sukhih
<igor@virtuozzo.com>) (#PSBM-47648)

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.425
 - Select only autostart units (Konstantin Volkov <wolf@virtuozzo.com>)
 - Use constant to switch between VM/CT (Konstantin Volkov <wolf@virtuozzo.com>)
 - Added std GPL header (Konstantin Volkov <wolf@virtuozzo.com>)
 - Correct exception (Konstantin Volkov <wolf@virtuozzo.com>)
 - Added sdk errors parser (Konstantin Volkov <wolf@virtuozzo.com>)
 - Drop not autostart CT/VMs at sdk output (Konstantin Volkov
<wolf@virtuozzo.com>)
 - log error if sdk calls failed (Konstantin Volkov <wolf@virtuozzo.com>)
 - Some cleanup (Konstantin Volkov <wolf@virtuozzo.com>)
 - Use predefined constants for VM and CTs (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Implement systemd units generator which creates units for VMs and CTs and
autostart them, see #PSBM-47648 (Konstantin Volkov <wolf@virtuozzo.com>)
 - Install systemd generator, see #PSBM-47648 (Konstantin Volkov
<wolf@virtuozzo.com>)

* Wed Jun 15 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.424-2
- Install systemd generator, see #PSBM-47648

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.424
 - bug #PSBM-48260 aka Collect memory statistics for all guests by one request
in prl-disp (Sergey Galas <shrike@virtuozzo.com>)

* Wed Jun 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.423
 - Fix bad cpufeatures regexp in capabilities schema (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48043)
 - bug #PSBM-47402 aka SSL certs for VNC (Sergey Galas <shrike@virtuozzo.com>)
 - Do not check CPU compatibility for vz6->vz7 migration #PSBM-48337 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - vz6->vz7 migration: return error code to the source #PSBM-48265 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Bugfix in v2v calling sequence, #PSBM-47811 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Jun 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.422
 - Fixed crash during parallel VM backup (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48318)

* Tue Jun 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.421
 - Remove incorrect extended EDX features name (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48139)

* Tue Jun 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.420

* Mon Jun 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.419
 - Get and process containters states on disp start #PSBM-48262 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix statistics reporting for VMs #PSBM-48287 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-48233 aka offline.changesid FAIL: Cannot migrate (Sergey Galas
<shrike@virtuozzo.com>)

* Mon Jun 13 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.418-2
- Install virtuozzo.target, see #PSBM-47106

* Mon Jun 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.418
 - Implement the virtuozzo.target, see #PSBM-47106 (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Wrong argument for V2V ctor in Converter::getV2V #PSBM-48284 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jun 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.417
 - Wait for target completion in VM backup as well (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-48258)

* Fri Jun 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.416
 - Fixed backup without compression creation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48251)
 - Explicitly remove addresses if none present, #PSBM-48155 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Skip conversion of VMs w/o disks, #PSBM-47811 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Jun 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.415
 - Do not collect performance statistics for removed VM/CT #PSBM-48174 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Return error on an attempt to add non-supported hardware to a Container
PSBM-46190 (Dmitry Mishin <dim@virtuozzo.com>)

* Thu Jun 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.414
 - vz6->vz7 convertor: disable network ifaces for first start (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-48098 #PSBM-48099)
 - bug #PSBM-48163 aka PlsCtlError: prlctl returned 255 (Sergey Galas
<shrike@virtuozzo.com>)
 - Do first start after VM migration or backup restore from Vz6 (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-48099 #PSBM-48098)

* Thu Jun 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.413
 - Optimize disks restoration (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-48157)

* Wed Jun 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.412
 - Fix tunnel disable #PSBM-48074 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jun 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.411
 - Check that memguarantee value is <= 100% #PSBM-48023 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Return error on CT migration with PVMT_DIRECT_DATA_CONNECTION. Unimplemented
\#PSBM-47968 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Prohibit EFI bootloader migration from Vz6 to Vz7 #PSBM-48080 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make a reasonable error for OpenVZ users on backup attempt (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-39194)
 - Invert PVMT_TUNNELED and rename it to PVMT_DIRECT_DATA_CONNECTION #PSBM-47968
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Minor cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not replace invalid symbols in VM name on create/clone/rename #PSBM-48016
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.410
 - Invert PVMT_TUNNELED and rename it to PVMT_DIRECT_DATA_CONNECTION #PSBM-47968
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Minor cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not replace invalid symbols in VM name on create/clone/rename #PSBM-48016
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Jun 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.409
 - Disable another unimplemented in QEMU CPU features (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48052)
 - Active bitmap detection mechanism (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47796)
 - Add check to CT config validation to test that HDD images exist #PSBM-47483
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Allow scsi stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert adding PMU on pcs6 vm conversion, #PSBM-48027 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Consider stack index collision a critical error, #PSBM-47818 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in per-iface verification (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.408
 - Disable another unimplemented in QEMU CPU features (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-48052)
 - Active bitmap detection mechanism (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47796)
 - Add check to CT config validation to test that HDD images exist #PSBM-47483
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Allow scsi stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert adding PMU on pcs6 vm conversion, #PSBM-48027 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Consider stack index collision a critical error, #PSBM-47818 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in per-iface verification (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.407
 - Add check to CT config validation to test that HDD images exist #PSBM-47483
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Allow scsi stack index 7, #PSBM-48040 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert adding PMU on pcs6 vm conversion, #PSBM-48027 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Consider stack index collision a critical error, #PSBM-47818 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in per-iface verification (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Jun 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.406
 - Remove superfluous quotes around prl_nettool #PSBM-47987 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - MaxVmMemory may be defined by user, no need to rewrite it #PSBM-47890 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Sat Jun 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.405
 - Use tunnel for migration if PVMT_TUNNELED flag is set #PSBM-47968 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Set migration IO bandwidth equal to VZ_TOOLS_IOLIMIT value from vz.conf
\#PSBM-47396 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Do not remove MaxVCpu value on CpuFeatures reset #PSBM-47890 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Skip BOND attributes for bondinf device (Konstantin Volkov
<wolf@virtuozzo.com>)
 - Skip bonding slave interfaces on bridge creation, see #PSBM-39660 (Konstantin
Volkov <wolf@virtuozzo.com>)
 - Fixed restoration from vz6 backups (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47929)

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.404
 - Fix CT vz6->vz7 migration: ct package handling doesn't require to emit
\#PSBM-47815 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix cr8legacy feature name error in dispatcher (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47494)
 - Return an error if user tries to create internal snapshot when block device
is attached #PSBM-47660 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - set the memory statistics collection period for running vms only (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.403
 - Modify libvirt config "cpu" section (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47573)
 - Use current VM config to find snapshot metadata #PSBM-41518 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Start cloud_config_ctl.py using list of args #PSBM-44576 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Prohibit remote backup/restore (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47621)
 - bug #PSBM-47882 aka A few first performance statistics event for VMs are
empty (zero values) (Sergey Galas <shrike@virtuozzo.com>)

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.402
 - Insert guest tools cdrom on VM conversion, #PSBM-47722 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Limit VCpu number by the value from disp config #PSBM-47890 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Change default max VM memory size to 256G #PSBM-47890 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Rework Cdrom and floppy matching in configs, #PSBM-47722 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Jun 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.401
 - Store snapshot's metadata in VM home directory #PSBM-47883 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Jun 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.400
 - Allow multiple simultaneous migrations from Vz6 #PSBM-47741 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed restoration of Containers and VMs if it takes too long (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47652)

* Thu Jun 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.399
 - Disable unimplemented in QEMU feature mp (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47853)
 - Disable unimplemented in QEMU features sgx (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47864)
 - vz6->vz7 migration: create target directory before disk space check
\#PSBM-47740 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Cancel migration on write error #PSBM-47740 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.398
 - Backup clients error handling improvement (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47773)
 - Fix name of clflushopt CPU feature (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47840)
 - vz6->vz7 migration: remove temporary files on target #PSBM-47739 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.397
 - Allow attaching qcow-based backups to a VM (PSBM-47462) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Transponster: Direct: set default CPU params for empty CPU input #PSBM-47781
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.396
 - Allow attaching qcow-based backups to a VM (PSBM-47462) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Transponster: Direct: set default CPU params for empty CPU input #PSBM-47781
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Jun 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.395
 - Disable unsupported CPU features (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46985)
 - Reverted change in prlsdk tests which made ERR_UNIMPLEMENTED as success for
GetLicenseInfo #PSBM-47755 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.394
 - Reimplement performance statistics gathering using
virConnectGetAllDomainStats #PSBM-47669 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Set routes for subnets on routed interfaces, #PSBM-44285 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue May 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.393
 - Fixed crash on CT restore error path PSBM-47704 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Log backup client command line (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47743)
 - Log backup client command line PSBM-47693 (Dmitry Mishin <dim@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.392
 - Fix null pointer dereference #PSBM-47692 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - CPU pools management improvement (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-47369)
 - Use maximum frequency for cpu limits calculation, #PSBM-47613 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.391
 - Do not start legacy prl_backup_server for new backup mode (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47619)
 - Log backup client command line PSBM-47693 (Dmitry Mishin <dim@virtuozzo.com>)

* Mon May 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.390
 - Pass ostype to vcmmd on VE registration (Konstantin Neumoin
<kneumoin@virtuozzo.com>) (#PSBM-46796)
 - Prevent stack index collisions on device conversion, #PSBM-47453 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Refactoring: extract convertHardware into helper, #PSBM-47453 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Sat May 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.389
 - Handle attached backup hotplug cases (PSBM-44137) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Make vz progress reporting easier #PSBM-46042 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Use pipe for CT migration progress notification #PSBM-46042 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Enable attached backups on VM start/resume (PSBM-44137) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Directly pass ploop device instead of VD wrapper to VM config (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Disable attached backups on VM stop/suspend (PSBM-44137) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Distinguish attached backups from ordinary disks in guest by SN (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Partly revive the removed attach backup functionality for VMs (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Set device alias for floppies and HDDs during Direct transform (PSBM-44137)
(Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Preserve storage URL during Reverse/Direct conversion (PSBM-44137) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Sat May 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.388
 - bug #PSBM-47641 aka dispatcher crashed (Sergey Galas <shrike@virtuozzo.com>)
 - Reflect new backup mode archives paths in GetBackupTree (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-47594)
 - Fixed virtual machines' hdd suffix (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47618)

* Fri May 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.387
 - Fix progress notification from vzctl #PSBM-46042 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri May 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.386
 - Enable "prlctl delete" to delete invalid VMs. #PSBM-45622 (Anton Sanarov
<asanarov@virtuozzo.com>)
 - bug #PSBM-47531 aka dump: core-QThread-1464189365.12953 (Sergey Galas
<shrike@virtuozzo.com>)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.385
 - Fixed deadlock when cancelling guest-exec task #PSBM-46686 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)
 - Fix backup of stopped Containers (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47584)

* Thu May 26 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.384-2
- Removed requires to parallels-server-bm-release

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.384
 - Use a single PIT for full and incremental backups (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441 #PSBM-44473)

* Thu May 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.383
 - Containers restoration from new backups (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Update CpuFeatures on pcs6 VM restore over existing, #PSBM-47481 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fixed crash in backups listing, introduced by recent refactoring (Dmitry
Mishin <dim@virtuozzo.com>)
 - Reload config after directory moving, #PSBM-47481 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Update libvirt config on vm restore, #PSBM-47481 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Prohibit migration from PCS6.0 if VM has VNC port < 5900 #PSBM-40177 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Unify Container's Hdd path property with virtual machines (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44473)

* Wed May 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.382
 - 'Push' to NBD target for Container's backup (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44473)
 - Set virtuozzo specific parameters to domains that unexpectedly appeared
\#PSBM-45720 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed May 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.381
 - Remove gui from QT components list (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Add libvirt -> vz error code mapping #PSBM-41859 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - More logs about vstorage (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.380-2
 - add prl_legacy_migration_app to the spec file (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.380
 - Use a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)
 - Cleanup: clean up Backup::Archive struct (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Set <link state='down'> for disconnected network devices #PSBM-47459 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.379
 - they asked for a bigger timeout value for performance collecting. ok (Sergey
Galas <shrike@virtuozzo.com>)

* Tue May 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.378
 - Legacy migration code cleanup (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Implement a task for Vz6->Vz7 VM migration and an auxiliary migration app.
(Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-40857)
 - bug #PSBM-47441 aka prl_disp eats 18% cpu (Sergey Galas
<shrike@virtuozzo.com>)
 - Revert "Use a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427" (Sergey Galas
<shrike@virtuozzo.com>)
 - Use a specific error for cases when a new private path is given when
restoring backup over an existing VM. #PSBM-45427 (Anton Sanarov
<asanarov@virtuozzo.com>)
 - Check per-interface number of devices on PCS6 VM restore, #PSBM-47251 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon May 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.377
 - Source part of new Container's backup scheme (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44473)
 - Do not check access for disabled and disconnectd devices #PSBM-47125 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Clean up unused code chunk (Dmitry Mishin <dim@virtuozzo.com>)
 - Enhance checking for IP conflicts. #PSBM-33726 (Anton Sanarov
<asanarov@virtuozzo.com>)

* Sat May 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.376
 - Refactor: unify Container's & Vm create backup tasks where possible (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Translate VIR_ERR_OPERATION_INVALID libvirt error to
PRL_ERR_INVALID_ACTION_REQUESTED #PSBM-46282 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Style: clean up unused functions (Dmitry Mishin <dim@virtuozzo.com>)
 - Style: no "local" operations mode for VMs backup, clean up code (Dmitry
Mishin <dim@virtuozzo.com>)

* Sat May 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.375
 - bug #PSBM-47322 aka Error occurred while edit VM with code
[0x80000105][PRL_ERR_VM_UUID_NOT_FOUND] (Sergey Galas <shrike@virtuozzo.com>)
 - Enable PMU on converted from PCS6 VM, #PSBM-47240 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Pass PMU virtualization to/from libvirt config, #PSBM-47240 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri May 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.374
 - Implemented call to guest-exec-terminate #PSBM-45383 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Fix device lookup in Fixup::Device #PSBM-46266 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri May 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.373
 - No need to set currentMemory (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-47270)

* Fri May 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.372
 - Implemented keeplive message for guest exec #PSBM-44027 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - bug #PSBM-44767 aka We should prihibit --device-add cdrom on runned VMs
untill (and if) hotplug implemented (Sergey Galas <shrike@virtuozzo.com>)

* Thu May 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.371
 - bug #PSBM-46184 aka prlctl: --autostart does not working (Sergey Galas
<shrike@virtuozzo.com>)
 - Style: clean up unused functions (Dmitry Mishin <dim@virtuozzo.com>)

* Thu May 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.370
 - Fix wrong processing of short IPv6 masks as IPv4, #PSBM-47255 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Bugfix in IPv6 netmask calculation, #PSBM-47255 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu May 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.369
 - Style: no "local" operations mode for VMs backup, clean up code (Dmitry
Mishin <dim@virtuozzo.com>)

* Wed May 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.368
 - Close i/o devices when AuxChannel detects error or eof #PSBM-44027 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Wed May 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.367
 - Fixed backup of stopped virtual machines (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)

* Wed May 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.366
 - bug #PSBM-47271 aka pcs-validation: install_psbm TIMEDOUT: Function wait
timeouted (Sergey Galas <shrike@virtuozzo.com>)

* Tue May 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.365
 - Cleanup: a couple of vzfs-related functions is cleaned (Dmitry Mishin
<dim@virtuozzo.com>)
 - Using HostUtils::RunCmdLineUtilityEx with getStderr() Changed interface for
CDspVzLicense to use QString when appropriate. (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Implemented PVE::DspCmdUserUpdateLicense for #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Tue May 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.364
 - Using HostUtils::RunCmdLineUtilityEx with getStderr() Changed interface for
CDspVzLicense to use QString when appropriate. (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Implemented PVE::DspCmdUserUpdateLicense for #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)

* Mon May 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.363
 - Implemented PVE::DspCmdUserGetLicenseInfo #PSBM-46768 (Yuriy Pudgorodskiy
<yur@virtuozzo.com>)
 - Fixed incremental Vm backup & restore (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Store backup protocol version in backup metadata (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.362
 - bug #PSBM-47029 aka Failed to migrate the VM: Invalid argument. An invalid
argument was passed. (Sergey Galas <shrike@virtuozzo.com>) (#PSBM-46447)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.361
 - Fix compilation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix policy-based image creation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Tune guest synchronization mechanism for 'push' scheme (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441 #PSBM-46906)
 - Detect version of backup archives (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47123)
 - Run script on libvirt connection, #PSBM-46448 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement quick-and-dirty linked clone, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - bug #PSBM-44755 aka migration hangs in dispatcher if libvirt connection
keepalive triggers (Sergey Galas <shrike@virtuozzo.com>)

* Sat May 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.360
 - Fix policy-based image creation, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Tune guest synchronization mechanism for 'push' scheme (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441 #PSBM-46906)
 - Detect version of backup archives (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-47123)
 - Run script on libvirt connection, #PSBM-46448 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement quick-and-dirty linked clone, #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri May 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.358
 - Add error in getVmSize function if VM wasn't found (Alexander Burluka
<aburluka@virtuozzo.com>)
 - Fix free size check on clone operation (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47124)

* Fri May 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.357
 - Fix our CPU features to fit QEMU/libvirt naming (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-46746)
 - Restore vz6 code for default backup path specification PSBM-46813 (Dmitry
Mishin <dim@virtuozzo.com>)

* Fri May 13 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.356
 - Use max value for migration timeout #PSBM-46969 (Dmitry Andreev
   <dandreev@virtuozzo.com>)
 - Adjust subtype for SCSI hdd, #PSBM-46795 (Maxim Perevedentsev
   <mperevedentsev@virtuozzo.com>)
 - allow to not tunnel qemu traffic during migration (Sergey Galas
   <shrike@virtuozzo.com>)
 - Style: remove unused environment parameter
 - Fixed guest synchronization libvirt calls (#PSBM-44441)
 - Revert old prl-disp service behavior. (Alexander Burluka
   <aburluka@virtuozzo.com>) (#PSBM-47049)
 - Added memory manager log file to problem reports PSBM-46986

* Thu May 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.355
 - Vm restoration from new backups (#PSBM-44441)
 - bug #PSBM-33132 aka Fix virtual cdrom names (Sergey Galas
<shrike@virtuozzo.com>)
 - need a backslash before character code in a regular expression (Sergey Galas
<shrike@virtuozzo.com>)

* Wed May 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.353
 - Fix deadlock (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46919)
 - Fix of VM restoration if VM contains only external disks

* Tue May 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.352
 - bug #PSBM-46715 aka vzt-downtime-vm-hdd-lin-16tb: rate5_iter0 ERROR:
PlsCtlError: prlctl returned 255 (Sergey Galas <shrike@virtuozzo.com>)

* Sat May 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.351
 - Implement some templates operation (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-46550 #PSBM-46044)

* Sat May 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.350
 - Refactor: use Backup::Model::Product instead of Backup::Perspective (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Style: move Task_RestoreVmTarget to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - Style: move Task_RestoreVmTarget to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - An ability to do not compress data during migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-46784)
 - Clean up obsoleted technologies from VE restoration code (Dmitry Mishin
<dim@virtuozzo.com>)

* Thu May 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.349
 - Incremental virtual machines backup & proper suffix (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - Revert "Revert "Enable  hv-vpindex, hv-runtime, hv-synic, hv-stimer, hv-reset
for win2008+ guests"" (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-45926)
 - Fix parameters specification at target side (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)

* Wed May 04 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.348
 - Add new mode of backup_client calling (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Fixed mistype in assert (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Apr 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.347
 - bug #PSBM-46654 aka DateTime element of VM snapshots has invalid format
(Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-46678 aka checkSiteToSite2CTCT ERROR: Exception: prlsrvctl returned
255 (Sergey Galas <shrike@virtuozzo.com>)
 - bug #PSBM-45266 aka switching to snapshot doesn't truncate HDD image (Sergey
Galas <shrike@virtuozzo.com>)
 - Fix function to get network statistic. #PSBM-46103 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Thu Apr 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.346
 - bug #PSBM-46652 aka missing event on snapshot actions in vz7 (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Apr 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.345
 - Simplify environ handling (Dmitry Mishin <dim@virtuozzo.com>)
 - Fixed number of arguments calculations (Dmitry Mishin <dim@virtuozzo.com>)
 - style: move build archives logic to a single method (Dmitry Mishin
<dim@virtuozzo.com>)
 - Removed forgotten unused vzwin chunk (Dmitry Mishin <dim@virtuozzo.com>)
 - Added an ability to customize environment for backup clients (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - typeo (Sergey Galas <shrike@virtuozzo.com>)
 - Call new client tool for vz7 backups (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Skeleton of disk images archives creation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44441)
 - Get rid off "local" mode for VM backup creation (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)

* Wed Apr 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.344
 - bug #PSBM-46447 aka Live VM migration hangs (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Apr 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.343
 - disable sdk tests again (Sergey Galas <shrike@virtuozzo.com>)
 - Fix set of cpu mask from libvirt to virtuozzo config. #PSBM-46540 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Extend config read/write functions to work with nodemask. #PSBM-39268
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - drop the pipeline machine (Sergey Galas <shrike@virtuozzo.com>)
 - Add include to sdk headers and remove irrelevant tests. #PSBM-46547
(Alexander Pisarev <apisarev@virtuozzo.com>)

* Tue Apr 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.342
 - drop the pipeline machine (Sergey Galas <shrike@virtuozzo.com>)
 - Add include to sdk headers and remove irrelevant tests. #PSBM-46547
(Alexander Pisarev <apisarev@virtuozzo.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.341
 - typeo in a slot name (Sergey Galas <shrike@virtuozzo.com>)
 - use abstract base class like approach for join state machine entries (Sergey
Galas <shrike@virtuozzo.com>)
 - move progress reports to another thread (Sergey Galas <shrike@virtuozzo.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.340
 - Added explicit support for Virtuozzo Linux - recognize "vzlinux" and
"vzlinux-7" values for '--distribution' option (Denis Silakov
<dsilakov@gmail.com>)
 - bug #PSBM-46447 aka Live VM migration hangs (Igor Sukhih
<igor@parallels.com>)
 - Templates initial handling (Igor Sukhih <igor@parallels.com>) (#PSBM-46127)
 - Fix templates listing conditioning (Igor Sukhih <igor@parallels.com>)
 - Use external snapshot for VM shared migration on pstorage #PSBM-45183 (Igor
Sukhih <igor@parallels.com>)
 - Add external snapshot and blockcommit #PSBM-45183 (Igor Sukhih
<igor@parallels.com>)
 - Fix exit state in Pipeline::Frontend (Igor Sukhih <igor@parallels.com>)
 - Fixed logrotate for new log names PSBM-45125 (Igor Sukhih
<igor@parallels.com>)
 - Unable to add physical disk to CT #PSBM-39610 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-46346 aka Cannot change floppy (guest OS shows previous contents)
(Igor Sukhih <igor@parallels.com>)
 - Restored container's EnvID is not equal to UUID after restore new CT
\#PSBM-46347 (Igor Sukhih <igor@parallels.com>)
 - CTID is empty if PGVLF_GET_ONLY_IDENTITY_INFO is specified #PSBM-46348 (Igor
Sukhih <igor@parallels.com>)
 - Add support for first start script execution, see #PSBM-32944 (Igor Sukhih
<igor@parallels.com>)
 - Allow only one network per interface, #PSBM-35306 (Igor Sukhih
<igor@parallels.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.339
 - Added explicit support for Virtuozzo Linux - recognize "vzlinux" and
"vzlinux-7" values for '--distribution' option (Denis Silakov
<dsilakov@gmail.com>)
 - bug #PSBM-46447 aka Live VM migration hangs (Igor Sukhih
<igor@parallels.com>)
 - Templates initial handling (Igor Sukhih <igor@parallels.com>) (#PSBM-46127)
 - Fix templates listing conditioning (Igor Sukhih <igor@parallels.com>)
 - Use external snapshot for VM shared migration on pstorage #PSBM-45183 (Igor
Sukhih <igor@parallels.com>)
 - Add external snapshot and blockcommit #PSBM-45183 (Igor Sukhih
<igor@parallels.com>)
 - Fix exit state in Pipeline::Frontend (Igor Sukhih <igor@parallels.com>)
 - Fixed logrotate for new log names PSBM-45125 (Igor Sukhih
<igor@parallels.com>)
 - Unable to add physical disk to CT #PSBM-39610 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-46346 aka Cannot change floppy (guest OS shows previous contents)
(Igor Sukhih <igor@parallels.com>)
 - Restored container's EnvID is not equal to UUID after restore new CT
\#PSBM-46347 (Igor Sukhih <igor@parallels.com>)
 - CTID is empty if PGVLF_GET_ONLY_IDENTITY_INFO is specified #PSBM-46348 (Igor
Sukhih <igor@parallels.com>)
 - Add support for first start script execution, see #PSBM-32944 (Igor Sukhih
<igor@parallels.com>)
 - Allow only one network per interface, #PSBM-35306 (Igor Sukhih
<igor@parallels.com>)

* Sat Apr 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.338
 - bug #PSBM-46447 aka Live VM migration hangs (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Apr 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.337
 - Templates initial handling (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-46127)
 - Fixed logrotate for new log names PSBM-45125 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Use external snapshot for VM shared migration on pstorage #PSBM-45183 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix templates listing conditioning (Alexander Burluka
<aburluka@virtuozzo.com>)
 - Add external snapshot and blockcommit #PSBM-45183 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix exit state in Pipeline::Frontend (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Apr 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.336
 - bug #PSBM-46346 aka Cannot change floppy (guest OS shows previous contents)
(Sergey Galas <shrike@virtuozzo.com>)
 - Restored container's EnvID is not equal to UUID after restore new CT
\#PSBM-46347 (Igor Sukhih <igor@parallels.com>)
 - CTID is empty if PGVLF_GET_ONLY_IDENTITY_INFO is specified #PSBM-46348 (Igor
Sukhih <igor@parallels.com>)

* Tue Apr 19 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.335
 - Add support for first start script execution, see #PSBM-32944
 - Allow only one network per interface, #PSBM-35306 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue Apr 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.334
 - bug #PSBM-46043 aka changesid FAIL: SID isn't changed (Sergey Galas
<shrike@virtuozzo.com>)

* Tue Apr 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.333
 - Lock CT before restore #PSBM-46259 (Igor Sukhih <igor@parallels.com>)
 - Corrected changelog (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.332
 - reincarnate the cancel migration command (Sergey Galas
<shrike@virtuozzo.com>)
 - Fixed typo which missplaced stderr into stdout for VM exec. (Yuriy
   Pudgorodskiy <yur@virtuozzo.com>) (PSBM-46182)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.331
 - Fixed compression migration parameters PSBM-43480 (Dmitry Mishin
<dim@virtuozzo.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.330
 - compilation fix (Sergey Galas <shrike@virtuozzo.com>)
 - make migration code to require less resources for compilation (Sergey Galas
<shrike@virtuozzo.com>)
 - Style: cleanup obsoleted VZFS and VZWIN-related backup creation code (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Style: Move source task of Container backup creation to a separate file
(Dmitry Mishin <dim@virtuozzo.com>)
 - Revive the removed attach backup functionality for CTs (PSBM-45496) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - fixes race in pull pump (Sergey Galas <shrike@virtuozzo.com>)
 - Style: Move Target task to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - Utilize ploop_get_base_delta_fname() (PSBM-45496) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Cpu/Memory hotplug is always enabled for CT #PSBM-39835 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-43935 aka Organize a secure tunnel for disks & memory data (Sergey
Galas <shrike@virtuozzo.com>)
 - cpu features masking was redesigned: - missing code setting cpu features mask
for dispatcher was restored - cpu features mask is set for all existing VMs in
the same time as for dispatcher (it was set on VM's start in PSBM6) - cpu
features mask is stored in VM's config (is hasn't been stored in VM config in
PSBM6 except for suspended VM) - cpu features mask is set for VM even in case
old mask is valid (valid mask in config meant that VM is in suspended state and
it shouldn't be changed in PSBM 6 but it is not possible to update mask if at
least 1 VM is not in stopped state so this check is excessive) - cpu features
mask set for any new VM, cloned VM, newly registered VM in both libvirt and
parallels configs but if VM is migrated or it was created using virsh then it is
set in parallels config only - CCpuHelper code was moved into separate library
CpuFeatures to get rid of Virtuozzo dependency in Transponster PSBM-39894
(imoiseev <imoiseev@virtuozzo.com>)
 - Add advanced compression options for faster performance (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43480)
 - Return error if user tries to rename running VM #PSBM-46207 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Allow to start backup without snapshot creation (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - Fix device interface conversion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Regenerate CTID as well during "clone" migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42371)
 - Bump release (Dmitry Mishin <dim@virtuozzo.com>)
 - Temporary disable parallel compilation (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Apr 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.329
 - make migration code to require less resources for compilation (Sergey Galas
<shrike@virtuozzo.com>)
 - Style: cleanup obsoleted VZFS and VZWIN-related backup creation code (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-44473)
 - Style: Move source task of Container backup creation to a separate file
(Dmitry Mishin <dim@virtuozzo.com>)
 - Revive the removed attach backup functionality for CTs (PSBM-45496) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - fixes race in pull pump (Sergey Galas <shrike@virtuozzo.com>)
 - Style: Move Target task to a separate file (Dmitry Mishin
<dim@virtuozzo.com>)
 - Utilize ploop_get_base_delta_fname() (PSBM-45496) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Cpu/Memory hotplug is always enabled for CT #PSBM-39835 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-43935 aka Organize a secure tunnel for disks & memory data (Sergey
Galas <shrike@virtuozzo.com>)
 - cpu features masking was redesigned: - missing code setting cpu features mask
for dispatcher was restored - cpu features mask is set for all existing VMs in
the same time as for dispatcher (it was set on VM's start in PSBM6) - cpu
features mask is stored in VM's config (is hasn't been stored in VM config in
PSBM6 except for suspended VM) - cpu features mask is set for VM even in case
old mask is valid (valid mask in config meant that VM is in suspended state and
it shouldn't be changed in PSBM 6 but it is not possible to update mask if at
least 1 VM is not in stopped state so this check is excessive) - cpu features
mask set for any new VM, cloned VM, newly registered VM in both libvirt and
parallels configs but if VM is migrated or it was created using virsh then it is
set in parallels config only - CCpuHelper code was moved into separate library
CpuFeatures to get rid of Virtuozzo dependency in Transponster PSBM-39894
(imoiseev <imoiseev@virtuozzo.com>)
 - Add advanced compression options for faster performance (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43480)
 - Return error if user tries to rename running VM #PSBM-46207 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Allow to start backup without snapshot creation (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-44441)
 - Fix device interface conversion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Regenerate CTID as well during "clone" migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42371)
 - Bump release (Dmitry Mishin <dim@virtuozzo.com>)
 - Temporary disable parallel compilation (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Apr 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.328
 - bug #PSBM-43935 aka Organize a secure tunnel for disks & memory data (Sergey
Galas <shrike@virtuozzo.com>)
 - cpu features masking was redesigned: - missing code setting cpu features mask
for dispatcher was restored - cpu features mask is set for all existing VMs in
the same time as for dispatcher (it was set on VM's start in PSBM6) - cpu
features mask is stored in VM's config (is hasn't been stored in VM config in
PSBM6 except for suspended VM) - cpu features mask is set for VM even in case
old mask is valid (valid mask in config meant that VM is in suspended state and
it shouldn't be changed in PSBM 6 but it is not possible to update mask if at
least 1 VM is not in stopped state so this check is excessive) - cpu features
mask set for any new VM, cloned VM, newly registered VM in both libvirt and
parallels configs but if VM is migrated or it was created using virsh then it is
set in parallels config only - CCpuHelper code was moved into separate library
CpuFeatures to get rid of Virtuozzo dependency in Transponster PSBM-39894
(imoiseev <imoiseev@virtuozzo.com>)
 - Return error if user tries to rename running VM #PSBM-46207 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix device interface conversion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Regenerate CTID as well during "clone" migration (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42371)

* Wed Apr 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.326
 - Rename log file to reflect component's name (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-45125)

* Tue Apr 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.325
 - Allow IPv6 multicast mac, #PSBM-45992 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Guest synchronization implementation (#PSBM-44124)

* Tue Apr 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.324
 - Use config from snapshot to find snapshot metadata #PSBM-41518 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Added compatibility CTID retrieval (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-45982)
 - Store snapshot name in snapshot metadata (Stash) #PSBM-41518 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Apr 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.323
 - Revert "Enable  hv-vpindex, hv-runtime, hv-synic, hv-stimer, hv-reset for
win2008+ guests" (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-46048)
 - Preserve storageurl disk parameter on CT creation #PSBM-45615 (Igor Sukhih
<igor@parallels.com>)

* Sat Apr 09 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.322
 - Unregister VMs that are already registered on other nodes in the cluster
(PSBM-45516) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Do not create problem report in old format #PSBM-17742 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed crash if prl_backup_client is absent (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-45934)
 - VM migration: don't change bundle name #PSBM-17943 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Apr 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.321
 - Allow bridges with names other than br*, #PSBM-45986 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement bonding parsing, #PSBM-45986 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add VLAN to network list and bridge search, #PSBM-45986 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add memory actual balloon counter. #PSBM-43134 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Enhance harddisk images validation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-43732)
 - Fix VmHome if needed, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add call to virt-v2v on pcs6->vz7 restore, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix hardware types and interfaces on pcs6 backup restore, #PSBM-44123 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Detect pcs6 backup by AppVersion, #PSBM-44123 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Added version param for BackupRestoreFirstReply command, #PSBM-44123 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Apr 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.320
 - Enable  hv-vpindex, hv-runtime, hv-synic, hv-stimer, hv-reset for win2008+
guests (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-45926)
 - Return empty snapshot list if there is no snapshots #PSBM-45891 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Apr 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.319
 - Parse absent libvirt filter as disabled, #PSBM-45864 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Update libvirt network interface only if changed, #PSBM-40694 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Allow to attach/detach block devices #PSBM-45844 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add debug logs for attach, detach and update devices (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - #PSBM-42725 push prl_disp_service logs to journald too (Alexander Stefanov-
Khryukin <astefanov@virtuozzo.com>)

* Tue Apr 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.318
 - Restore IP filter from config if it is unset in libvirt, #PSBM-40851 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Add memory counters except balloon and cache. #PSBM-43134 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Refactoring of performance collector (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Add hard disk usage counters. #PSBM-43138 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Vm template listing #PSBM-18408 (Ivlev <pivlev@virtuozzo.com>)
 - Additional check on disconnectCd (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-45799)

* Tue Apr 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.317
 - Enable ipfilter on static auto-applied IPs only, #PSBM-45752 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix asserts (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix subscription to guest output events (#PSBM-45754)
 - Fixed deadlock in readData path

* Sat Apr 02 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.316
 - Compilation fixed

* Sat Apr 02 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.315
 - Enable bonding in mac filters, #PSBM-5969 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Apr 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.314
 - Add guest vcpu time counters. #PSBM-43133 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Sat Apr 02 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.313
 - Add guest cpu counter. #PSBM-43131 (Alexander Pisarev
<apisarev@virtuozzo.com>)
 - Send default bridged network first, #PSBM-45619 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Apr 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.312
 - bug #PSBM-45715 (Sergey Galas <shrike@virtuozzo.com>)
 - Add support for traffic filtering by mac/ip, #PSBM-40694 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Move parseAdapterType, #PSBM-40694 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix schema for nwfilter, #PSBM-40694 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Apr 01 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.311
 - Update Tranpsonster's schema (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Update Tranpsonster's schema (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-45618)
 - Vm template listing #PSBM-18408 (Ivlev <pivlev@virtuozzo.com>)
 - bump libprlsdk-devel build requirement version (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Mar 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.310
 - Avoid additional overhead on exec action (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-44737)
 - bug #PSBM-45551 (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 31 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.309
 - Add cancellation of running inside guests commands (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-45383 #PSBM-45482)
 - Use qcow2 format for NVRAM image #PSBM-40704 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Update Transposter's schema: add nvram image format #PSBM-40704 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Mar 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.308
 - Pass VM's video RAM size to Vcmmd (Vladimir Davydov <vdavydov@virtuozzo.com>)
 - Switch to the new libvcmmd API (Vladimir Davydov <vdavydov@virtuozzo.com>)

* Mon Mar 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.307
 - Use 'host-model' cpu type by default in Transponster #PSBM-45114 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Save VM state in the ClusterOptions part of the VM config (PSBM-45400) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Preserve ClusterOptions during Direct/Reverse transitions (PSBM-45400) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Sat Mar 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.306
 - Ignore getState error in Task_DeleteVm (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add timeout to start/resume commands #PSBM-45307 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove Vcmmd::activate from CDspVmManager (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove cdroms from host harddisk list #PSBM-44808 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Mar 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.305
 - use booking approach on discovering vms after libvirt reconnect (Sergey Galas
<shrike@virtuozzo.com>)

* Fri Mar 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.304
 - Use Registry::Public::declare in Task_CloneVm #PSBM-45416 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix NVRAM file path in migrated VM configuration #PSBM-40704 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make ctid & uuid equal on CT registertion #PSBM-45387 (Igor Sukhih
<igor@parallels.com>)
 - Use Registry::Public::declare in Task_MigrateVmTarget (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Mar 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.303
 - Use Registry::Public::declare in Task_RegisterVm (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44822)
 - restrict --efi-boot for old windows guests #PSBM-41153 (Ivlev
<pivlev@virtuozzo.com>)

* Thu Mar 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.302
 - bug #PSBM-44822 (Sergey Galas <shrike@virtuozzo.com>)

* Wed Mar 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.301
 - Use VIR_MIGRATE_PARAM_PERSIST_XML migration param #PSBM-44874 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Mar 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.300
 - Collect network statistics #PSBM-43136 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Use uuid format for CTID #PSBM-32810 (Igor Sukhih <igor@parallels.com>)
 - use in-memory storage for performance counters. nobody uses ipc sharing
anymore. use function names and separated storages for every kind of counters.
(Sergey Galas <shrike@virtuozzo.com>)

* Tue Mar 22 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.299
 - cloud_config_ctl.py now works with unicode (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-44320)

* Mon Mar 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.298
 - Remove obsoleted performance storage management (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43132)
 - Reimplement statistics collection routine (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43137)
 - Introduce dedicated registry to store Vm data (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43132)
 - LibvirtAgent: harvest domain perf statistics (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43134)
 - Storage for performance counters (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43132)

* Mon Mar 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.297
 - force 100% progress only if the operation finishes successfully. (Sergey
Galas <shrike@virtuozzo.com>)
 - report 100% progress in the end of operation if 100% is not reported yet
(Sergey Galas <shrike@virtuozzo.com>)

* Sat Mar 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.296
 - Update transponster cpu schema (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Generate destination xml based on libvirt xml (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-45160)
 - Cleanup commented out Hdd-related code in HostInfo (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup sound-related code - not needed in server environment (Dmitry Mishin
<dim@virtuozzo.com>)

* Sat Mar 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.295
 - Ignore from-snapshot state events because there is defined-from-snapshot one
\#PSBM-43088 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-45222 (Sergey Galas <shrike@virtuozzo.com>)
 - Preserve high availability settings during Direct/Reverse conversions
(PSBM-43443) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Fri Mar 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.294
 - Move prl_backup_* binaries out of binaries lookup paths - they are internal
tools (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Mar 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.293
 - Unable to create CT backup (Igor Sukhih <igor@parallels.com>)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.292
 - turn migration options that help live migration to succeed (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-45091)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.291
 - bug #PSBM-44789 (Sergey Galas <shrike@virtuozzo.com>)
 - set maximum vcpu number to 32 on hotplug as in pcs6 (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>) (#PSBM-44355)
 - mem change: detect actual CVmConfiguration change if vcmmd status update
failed (Maxim Nestratov <mnestratov@virtuozzo.com>)

* Wed Mar 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.290
 - bug #PSBM-44443 (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.289
 - sync diagrams with the code (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.288
 - Change rename in EditVM #PSBM-13361 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Change default path scheme for VMs #PSBM-13361 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Remove CDspVm object from Task_MigrateVmTarget (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Fix bad cases of snapshot restoring (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-43607)

* Thu Mar 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.287
 - make compiler happy (Sergey Galas <shrike@virtuozzo.com>)
 - Implement CPU limit per VM (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-40823)
 - transponster: schema: sync absFilePath regex (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44283)
 - Massive CDspVm cleanup (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup communication with Vms (Dmitry Mishin <dim@virtuozzo.com>)
 - Check for vmHome path in every command using it (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-44581)
 - Cleanup Task_CreateSnapshot (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix a race between first 'define' and VM state change (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Drop unneeded variables setup (Denis Silakov <dsilakov@gmail.com>)
 - Add install target to Makefile (Andrei Bondrov <abondrov@parallels.com>)
 - Added top-level Makefile (Denis Silakov <dsilakov@gmail.com>)
 - bump libprlxmlmodel-devel version (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.286
 - Implement CPU limit per VM (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-40823)
 - transponster: schema: sync absFilePath regex (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44283)
 - Massive CDspVm cleanup (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup communication with Vms (Dmitry Mishin <dim@virtuozzo.com>)
 - Check for vmHome path in every command using it (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-44581)
 - Cleanup Task_CreateSnapshot (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix a race between first 'define' and VM state change (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Drop unneeded variables setup (Denis Silakov <dsilakov@gmail.com>)
 - Add install target to Makefile (Andrei Bondrov <abondrov@parallels.com>)
 - Added top-level Makefile (Denis Silakov <dsilakov@gmail.com>)
 - bump libprlxmlmodel-devel version (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.285
 - Implement CPU limit per VM (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-40823)
 - Massive CDspVm cleanup (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup communication with Vms (Dmitry Mishin <dim@virtuozzo.com>)
 - Check for vmHome path in every command using it (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-44581)
 - Cleanup Task_CreateSnapshot (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix a race between first 'define' and VM state change (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-44718)
 - Drop unneeded variables setup (Denis Silakov <dsilakov@gmail.com>)
 - Add install target to Makefile (Andrei Bondrov <abondrov@parallels.com>)
 - Added top-level Makefile (Denis Silakov <dsilakov@gmail.com>)
 - bump libprlxmlmodel-devel version (Sergey Galas <shrike@virtuozzo.com>)

* Fri Mar 04 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.284
 - Cleanup SwitchToSnapshot
 - Cleanup code responsible for dispatcher communication with vm_app
 - Cleanup desktop ConfirmMode functionality
 - Cleanup legacy desktop features UndoDisks and SafeMode
 - Cleanup DeleteSnapshot and forgotten hunk for CommitUnfinished
 - Remove WIN specific VzHelper (Igor Sukhih <igor@parallels.com>)
 - Cleanup CommitUnfinished feature
 - Fix condition in Task_VmMigrationTarget::isSharedDisk(...) (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Mar 02 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.283
 - Fix files coping in online migration (Dmitry Andreev
   <dandreev@virtuozzo.com>) (#PSBM-44793)
 - Remove startVNCServer in migration task. Qemu already has VNC (Dmitry Andreev
   <dandreev@virtuozzo.com>)
 - Unlock Vm after migration (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44792)

* Tue Mar 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.282
 - Store and do not remove HomePath from vm config in Task_VmMigrateTarget
   (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44731)
 - Wait for QProcess start #PSBM-44721 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Cleanup Start-As-User feature (#PSBM-29952)
 - Fix: dispatcher always saved vm config readed from libvirt in /vz/vmprivate
   /<vm-name>.pvm (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44731)

* Tue Mar 01 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.281
 - Support TCP and UDP emulation types for serial device #PSBM-43039 (Dmitry
   Andreev <dandreev@virtuozzo.com>)
 - Reread VNC port from active configuration on defined event (#PSBM-44752)
 - edit vm: use system path to detect the same hard disks (#PSBM-44615)
 - Utilize ParallelsDispToDispProto.h from libprlcommon (Igor Bazhitov
   <ibazhitov@virtuozzo.com>)
 - Add debug logs for #PSBM-44712 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix windows key to net user command generation in cloud_config_ctl.py
   (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-44665)
 - Change default gateway to an address from APIPA range. #PSBM-44516 (Alexander
   Pisarev <apisarev@virtuozzo.com>)
 - Don't ignore XML parsing errors (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Avoid using implicit copy constructor T(T*) (Dmitry Andreev
   <dandreev@virtuozzo.com>)

* Sat Feb 27 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.280
 - Fixed degradation introduced by configs manipulation refactoring for
   migration (#PSBM-44647)
 - Device constructor argument has been fixed PSBM-44174 (Ivan Moiseev
   <imoiseev@virtuozzo.com>)
 - Transporster Reverse: choose source type even if there is not image path
   (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-44609)
 - Fix disconnected floppy addition problem (Alexander Burluka
   <aburluka@virtuozzo.com>) (#PSBM-44563)
 - Cdroms should be added in both connected and disconnected state (Alexander
   Burluka <aburluka@virtuozzo.com>)
 - Fix cdrom connection/disconnection problems (Alexander Burluka
   <aburluka@virtuozzo.com>) (#PSBM-44556 #PSBM-44568)
 - fix config on migration (Sergey Galas <shrike@virtuozzo.com>) (#PSBM-43764)
 - need to set 2d acceleration explicitly as well because libvirt requires
   identical values in source and destination configs on migration (Sergey Galas
   <shrike@virtuozzo.com>)
 - Added debug output of xml definitions
 - Fixed gateway specification for routed networking PSBM-44519
 - Fix error with cloud config cd removal/disconnection (Alexander Burluka
   <aburluka@virtuozzo.com>)
 - mem change: a new formula to set maxNuma and maxTotal memory size (Maxim
   Nestratov <mnestratov@virtuozzo.com>) (#PSBM-44269)
 - Switch to release compilation mode

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.279
 - Guest CDROM massive update (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-44240
   #PSBM-44365 #PSBM-41445 #PSBM-44485)
 - mem change: don't block the whole edit chain if vcmmd connection fails (Maxim
Nestratov <mnestratov@virtuozzo.com>)
 - Remove QtGui and QtService from dependencies for prl-disp-service,
\#PSBM-42417 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.278
 - Drop obsoleted ws.reclaimable counter (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43140 #PSBM-43125)
 - Fixed return code in case of failure, broken by commit 6c4a96ebcf PSBM-41555
(Dmitry Mishin <dim@virtuozzo.com>)

* Mon Feb 22 2016 Sergey Galas' <shrike@odin.com> 7.0.277
 - Register VM in VCMMD on snapshot-switch #PSBM-43736 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed crash if exec was called form stopped guest (or somehow aux channel was
not created successfully). #PSBM-44027 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)
 - Transponster: allow to use <source/> without attributes (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Avoid exception throw to upper frames from read_json #PSBM-44431 (Yuri
Pudgorodskiy <yur@virtuozzo.com>)
 - Style: make Usb::List constructor explicit (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Allow to add network adapters to boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show network devices in boot oder of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show floppy devices in boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)

* Sat Feb 20 2016 Sergey Galas' <shrike@odin.com> 7.0.275
 - Fixed crash if exec was called form stopped guest (or somehow aux channel was
not created successfully). #PSBM-44027 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - bug #PSBM-44149 (Sergey Galas <shrike@odin.com>)
 - Transponster: allow to use <source/> without attributes (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Avoid exception throw to upper frames from read_json #PSBM-44431 (Yuri
Pudgorodskiy <yur@virtuozzo.com>)
 - Style: make Usb::List constructor explicit (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Allow to add network adapters to boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show network devices in boot oder of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show floppy devices in boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)

* Sat Feb 20 2016 Sergey Galas' <shrike@odin.com> 7.0.273.3
 - Transponster: allow to use <source/> without attributes (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.273.2
 - Avoid exception throw to upper frames from read_json #PSBM-44431 (Yuri
Pudgorodskiy <yur@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.273.1
 - version for beta3 branch (Sergey Galas <shrike@odin.com>)
 - Style: make Usb::List constructor explicit (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Allow to add network adapters to boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show network devices in boot oder of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)
 - Show floppy devices in boot order of a VM (Alexander Kurbatov
<alkurbatov@virtuozzo.com>)

* Fri Feb 19 2016 Sergey Galas' <shrike@odin.com> 7.0.273
 - Transponster: use CdRomImage emulation type for CD-ROMs without DiskSource
\#PSBM-44366 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Use environment for guest exec #PSBM-43997 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Avoid double construction of Libvirt::Failure (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Thu Feb 18 2016 Sergey Galas' <shrike@odin.com> 7.0.272
 - Added global lock for serializing boost::read_json operations #PSBM-44190
(Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - memory change: compare new memory parameters with actual ones (Sergey Galas
<shrike@odin.com>)

* Thu Feb 18 2016 Sergey Galas' <shrike@odin.com> 7.0.271
 - Transponster: do not set VDiskSource for CD-ROM with empty image path
\#PSBM-44341 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Propagate write error to exec caller PSBM-44158 (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Feb 17 2016 Sergey Galas' <shrike@odin.com> 7.0.270
 - Transponster: fix <disk><source> type detection #PSBM-44283 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 17 2016 Sergey Galas' <shrike@odin.com> 7.0.269
 - Add installtools command implementation on stopped VM (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-44238)
 - fix source migration check precondition fail (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>) (#PSBM-43668)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Tue Feb 16 2016 Sergey Galas' <shrike@odin.com> 7.0.268
 - Online migration: create empty images only for non-shared disks #PSBM-43990
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - BUGFIX Save nameserver and searchdomain in network interface. #PSBM-43663
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - Fix EditVm: change serial port socket path on VM rename #PSBM-43670 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Drop debug message (Denis Silakov <dsilakov@gmail.com>)
 - bug #PSBM-43514 (Sergey Galas <shrike@odin.com>)
 - Allow picking up build dependencies from non-system locations (Denis Silakov
<dsilakov@gmail.com>)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Tue Feb 16 2016 Sergey Galas' <shrike@odin.com> 7.0.267
 - Drop debug message (Denis Silakov <dsilakov@gmail.com>)
 - bug #PSBM-43514 (Sergey Galas <shrike@odin.com>)
 - Allow picking up build dependencies from non-system locations (Denis Silakov
<dsilakov@gmail.com>)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Mon Feb 15 2016 Sergey Galas' <shrike@odin.com> 7.0.266
 - Add ability to set up users passwd on windows guests (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41445)
 - Return running state for VM that is being shutdown but not yet stopped
\#PSBM-44103 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Implement updating VM disk info, #PSBM-41602 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Remove obsoleted implementation of DropSuspendedState for VMs (Dmitry Mishin
<dim@virtuozzo.com>)
 - Clean up DspVm continues (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup basic operations in DspVm (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup unused functionality in VmManager (Dmitry Mishin <dim@virtuozzo.com>)

* Sat Feb 13 2016 Sergey Galas' <shrike@odin.com> 7.0.265
 - Fixed InstallTools command in stopped VMs (Dmitry Mishin <dim@virtuozzo.com>)
 - report correct vm state #PSBM-43442 (Ivlev <pivlev@virtuozzo.com>)

* Thu Feb 11 2016 Sergey Galas' <shrike@odin.com> 7.0.264
 - fix migration of external disks wrt to they are not dirs anymore (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>)
 - prepareNewCdrom: set correct StackIndex #PSBM-44040 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Check RAM size before enabling memory hot-plugging (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-43554)
 - fix direct conversion of video acceleration (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - bump libprlsdk-devel dependency version (Sergey Galas <shrike@odin.com>)

* Thu Feb 11 2016 Sergey Galas' <shrike@odin.com> 7.0.263
 - Delete VM: do not check VM state for template #PSBM-44049 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 10 2016 Sergey Galas' <shrike@odin.com> 7.0.262
 - VM state info in fillVmInfo is taken from dispatcher cache (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-43955)
 - Fixed script that generates initialization data for VMs. (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-4365 #PSBM-41445)
 - Save config with relative paths #PSBM-43670 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 10 2016 Sergey Galas' <shrike@odin.com> 7.0.261
 - VM state info in fillVmInfo is taken from dispatcher cache (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-43955)
 - Fixed script that generates initialization data for VMs. (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-4365 #PSBM-41445)
 - Save config with relative paths #PSBM-43670 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 10 2016 Sergey Galas' <shrike@odin.com> 7.0.260
 - Delete VM: check VM state before delete #PSBM-41439 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix interface name substitution for non-bridged interface message,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Notify systemd on dispatcher initialization finish, #PSBM-43933 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start VM: return error if VM is already running #PSBM-43877 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - add systemd-devel build requirement (Sergey Galas <shrike@odin.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.259
 - Fix interface name substitution for non-bridged interface message,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Notify systemd on dispatcher initialization finish, #PSBM-43933 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start VM: return error if VM is already running #PSBM-43877 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.258
 - Fix interface name substitution for non-bridged interface message,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start VM: return error if VM is already running #PSBM-43877 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.257
 - Fix: use connected device configuration as argument for unplag(..)
\#PSBM-43965 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Feb 09 2016 Sergey Galas' <shrike@odin.com> 7.0.256
 - bug #PSBM-43948 (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.255
 - Force snapshot-switch operation to wait correct VM state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix: use intermediate state when switching to snapshot with VMS_PAUSED state
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - make stack index and hint name correpondence consistent (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - strip non-printable characters (Sergey Galas <shrike@odin.com>)
 - bump libprlsdk-devel version (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.254
 - Force snapshot-switch operation to wait correct VM state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix: use intermediate state when switching to snapshot with VMS_PAUSED state
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - make stack index and hint name correpondence consistent (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bump libprlsdk-devel version (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.253
 - Force snapshot-switch operation to wait correct VM state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Fix: use intermediate state when switching to snapshot with VMS_PAUSED state
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - make stack index and hint name correpondence consistent (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bump libprlsdk-devel version (Sergey Galas <shrike@odin.com>)

* Mon Feb 08 2016 Sergey Galas' <shrike@odin.com> 7.0.252
 - Fix: use StackIndex and InterfaceType for CD-ROM look up in findDevice
\#PSBM-43880 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return specific error on adding network over interface without bridge,
\#PSBM-43909 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix: wrong condition in getAvailable (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix: getAvailable should be used once per object (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - a vm shutdown with status waiting and fallback (Sergey Galas
<shrike@odin.com>)
 - Force suspend operation to wait VMS_SUSPENDED state #PSBM-43109 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Sat Feb 06 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.251
 - Temporary replace shutdown with kill because shutdown API will be changed
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - don't kill a vm after timeout if it is already down (Sergey Galas
<shrike@odin.com>)
 - more detailed commands decomposition to stress individual traits of each one.
(Sergey Galas <shrike@odin.com>)

* Sat Feb 06 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.250
 - Style: remove unnecessary & in ctor
 - Move cleanup of AuxChannel to the end of simultaneous exec actions (#PSBM-43835)
 - Fix: add routes on VM start (Dmitry Andreev <dandreev@virtuozzo.com>)
 - BUGFIX Drop unprintable character (Konstantin <wolf@parallels.com>)

* Fri Feb 05 2016 Sergey Galas' <shrike@odin.com> 7.0.249
 - Move updateConfig action into VM state machine #PSBM-41215 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Support host serial port passthrough, #PSBM-43614 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Feb 05 2016 Sergey Galas' <shrike@odin.com> 7.0.248
 - Change taget device naming schema #PSBM-43833 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Beautify VM state machine logging (Dmitry Andreev <dandreev@virtuozzo.com>)

* Thu Feb 04 2016 Sergey Galas' <shrike@odin.com> 7.0.247
 - Rework activation and deactivation of memory guarantees #PSBM-43106 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-42622 (Sergey Galas <shrike@odin.com>)
 - Panicked VM state is similar to VMS_PAUSED #PSBM-41615 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Feb 04 2016 Sergey Galas' <shrike@odin.com> 7.0.246
 - bug #PSBM-42622 (Sergey Galas <shrike@odin.com>)
 - Panicked VM state is similar to VMS_PAUSED #PSBM-41615 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Feb 03 2016 Sergey Galas' <shrike@odin.com> 7.0.245
 - Make asynchronous device type explicit (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-43223)
 - Require creation of bridge from user, #PSBM-38503 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Revert "Require bridged network creation from user, #PSBM-38503", #PSBM-43691
(Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Change log level for libvcmmd call errors (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Always add route to default gateway IP for routed network #PSBM-43673 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - create a snapshot of paused VM with internal memory attribute (Maxim Kudrin
<mku@virtuozzo.com>) (#PSBM-43659)
 - Polishing async exec code PSBM-43223 (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup channels if libvirt is disconnected PSBM-43223 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Style fixes PSBM-43223 (Dmitry Mishin <dim@virtuozzo.com>)
 - Style: empty lines before access modifiers (Dmitry Mishin
<dim@virtuozzo.com>)
 - Move exec channel binding to ctor PSBM-43223 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Simplify asynchronous exec model removing excessive ExecMessage object
(Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-43223)
 - Reset link at exec channels after reconnect #PSBM-43223 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Asynchronous guest command exec via an auxiary channel (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43223)

* Tue Feb 02 2016 Sergey Galas' <shrike@odin.com> 7.0.244
 - VM State Machine implementation (Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Feb 02 2016 Sergey Galas' <shrike@odin.com> 7.0.243
 - Retry guest exec command for unsynced error, #PSBM-43318 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Set CT ID in VM configuration for API compatibility #PSBM-43672 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - revert to snapshot with different vm configuration (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>) (#PSBM-43116)
 - Require bridged network creation from user, #PSBM-38503 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Jan 30 2016 Sergey Galas' <shrike@odin.com> 7.0.242
 - Fix VM configuration load on snapshot-switch #PSBM-43658 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Jan 30 2016 Sergey Galas' <shrike@odin.com> 7.0.241
 - Fix snapshot rollback file-list in Stash (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jan 29 2016 Sergey Galas' <shrike@odin.com> 7.0.240
 - Ignore errors of graceful shutdown #PSBM-43586 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jan 29 2016 Sergey Galas' <shrike@odin.com> 7.0.239
 - Fix function call (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Rework Stash to use QDir (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Drop state file before snapshot-switch (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Increase login timeout to prevent fails due to network config change,
\#PSBM-43498 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Jan 28 2016 Sergey Galas' <shrike@odin.com> 7.0.238
 - Apply full network configuration by cloud-init (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43428)
 - Implement config.pvs and config.sav save near libvirt snapshot data
(Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-43101)
 - Set autodeflate enabled in default VM config #PSBM-41794 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jan 27 2016 Sergey Galas' <shrike@odin.com> 7.0.237
 - Update memballoon schema and transponster #PSBM-43456 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Another unsigned<<20 overflow #PSBM-43119 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Vm migration diagrams (Sergey Galas <shrike@odin.com>)

* Tue Jan 26 2016 Sergey Galas' <shrike@odin.com> 7.0.236
 - Fix ramsize<<20 overflow #PSBM-43481 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Allow to call InstallTools on stopped VM (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41445)
 - Get VM state for problem report directly from libvirt #PSBM-43323 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Jan 26 2016 Sergey Galas' <shrike@odin.com> 7.0.235
 - Fixed path to generated iso in SetUserPasswd action (Dmitry Mishin
<dim@virtuozzo.com>)
 - Support memory guarantees for CTs #PSBM-43142 (Igor Sukhih
<igor@parallels.com>)
 - per countersf: read CT config from cache (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-41481)
 - bump libvzctl version (Sergey Galas <shrike@odin.com>)

* Mon Jan 25 2016 Sergey Galas' <shrike@odin.com> 7.0.234
 - Unregister VM from vcmmd on "vm stopped" event (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-43383)
 - Use MemGuarantee in place of MaxBalloon #PSBM-42535 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Do not lock CT templates during Clone operation (Alexander Kurbatov
<alkurbatov@virtuozzo.com>) (#PSBM-34952)

* Mon Jan 25 2016 Sergey Galas' <shrike@odin.com> 7.0.233
 - Register VM in VCMMD with force #PSBM-43383 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Set VMS_SUSPENDED state if stopped VM has state file #PSBM-43251 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Paused VM should be unpause for reset #PSBM-41615 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Set VMS_PAUSED state in case guest panicked #PSBM-41615 Panicked VM behaves
like paused (Dmitry Andreev <dandreev@virtuozzo.com>)

* Sat Jan 23 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.232
 - Remove MaxBalloon check (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-41963)

* Fri Jan 22 2016 Sergey Galas' <shrike@odin.com> 7.0.231
 - Secondary channel for async I/O with guest programs (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43223)
 - offline vm migration aka bug #PSBM-42560 (Sergey Galas <shrike@odin.com>)
 - Style: Rename "Libvirt::Tools" to "Libvirt::Instrument" to avoid confuse with
guest tools in namings (Dmitry Mishin <dim@virtuozzo.com>)
 - mem management: interact with vcmmd to check memory policy when VMs
start/stop (Sergey Galas <shrike@odin.com>)
 - mem hotplug: add VcmmdInterface class implementation (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - check MaxBalloon parameter to be less than 100 (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Fri Jan 22 2016 Sergey Galas' <shrike@odin.com> 7.0.230
 - Style: Rename "Libvirt::Tools" to "Libvirt::Instrument" to avoid confuse with
guest tools in namings (Dmitry Mishin <dim@virtuozzo.com>)
 - mem management: interact with vcmmd to check memory policy when VMs
start/stop (Sergey Galas <shrike@odin.com>)
 - mem hotplug: add VcmmdInterface class implementation (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - check MaxBalloon parameter to be less than 100 (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Thu Jan 21 2016 Sergey Galas' <shrike@odin.com> 7.0.229
 - Treat "guest agent not available" as not an error in active polling loops
(query-status, guest-exec-status). (Yuri Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-43042)

* Wed Jan 20 2016 Sergey Galas' <shrike@odin.com> 7.0.228
 - Ignore StackIndex duplicates for disconnected HDDs #PSBM-41064 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Jan 20 2016 Sergey Galas' <shrike@odin.com> 7.0.227
 - Add vm name to error message #PSBM-43235 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix Connect and Disconnect operations #PSBM-41064 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jan 19 2016 Sergey Galas' <shrike@odin.com> 7.0.226
 - Add ability to set CPU limit in Mhz (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41669)

* Mon Jan 18 2016 Sergey Galas' <shrike@odin.com> 7.0.225
 - Move DirItem update before any libvirt actions in EditVm #PSBM-42950 (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Implement PVE::DspCmdVmDevDisconnect and PVE::DspCmdVmDevConnect for HDDs
#PSBM-41064 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Change return value to false for error case in EditVm actions (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jan 15 2016 Sergey Galas' <shrike@odin.com> 7.0.224
 - Restore VmUptimeStartDateTime value #PSBM-43148 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix Enable3DAcceleration value in Transponster Direct (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Restore HDD UUID #PSBM-43148 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Return error if the user tries to rename not stopped VM #PSBM-42883 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Thu Jan 14 2016 Sergey Galas' <shrike@odin.com> 7.0.223
 - Wait for shutdown completition in change_sid, for PCS6 compatibility. Fixed
#PSBM-43055 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - CPU hotplug flag check fixed (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-41893)
 - Fixed error code propagation to caller on EditConfig action (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add warning about reboot requirement to match PCS6 (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41893)
 - Hide all personality information in cpp file (Alexander Burluka
<aburluka@virtuozzo.com>)

* Thu Jan 14 2016 Sergey Galas' <shrike@odin.com> 7.0.222
 - CPU hotplug flag check fixed (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-41893)
 - Add warning about reboot requirement to match PCS6 (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-41893)
 - Hide all personality information in cpp file (Alexander Burluka
<aburluka@virtuozzo.com>)

* Wed Jan 13 2016 Sergey Galas' <shrike@odin.com> 7.0.221
 - Handle libvirt's snapshot events #PSBM-42031 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jan 13 2016 Sergey Galas' <shrike@odin.com> 7.0.220
 - Handle libvirt's snapshot events #PSBM-42031 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.219
 - Switch to standalone XmlModel usage (Dmitry Mishin <dim@virtuozzo.com>)
 - Use custom uuid if specified on CT clone action #PSBM-40385 (Igor Sukhih
<igor@parallels.com>)

* Tue Jan 12 2016 Sergey Galas' <shrike@odin.com> 7.0.218
 - Add <driver> in HDD configuration for device hotplug #PSBM-42993 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Jan 11 2016 Sergey Galas' <shrike@odin.com> 7.0.217
 - Switch dispatcher to use Interfaces from libprlcommon (Dmitry Mishin
<dim@virtuozzo.com>)
 - Fixed path for prl_newsid, #PSBM-40814 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Handle unix socket mode for serial port device (PSBM-39637) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Refactor relative <-> absolute device path conversion (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Completely get rid of shadow VM functionality (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Dec 31 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.216
 - Create Container's default template cache in advance The problem is that if
this cache is created during CT create stage, we could hit default 1h timeout
sometimes. #PSBM-42074

* Thu Dec 31 2015 Sergey Galas' <shrike@odin.com> 7.0.215
 - Fixed creation of iso in NoCloud datasource format #PSBM-42828 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Inform libvirt about new device appearance #PSBM-42828 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup atomicEdit from other products' remains (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 30 2015 Sergey Galas' <shrike@odin.com> 7.0.214
 - Remove excessive quoting since it is now done in guest agent. For #PSBM-42857
and #PSBM-42495 (Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - Switch to external prlcommon libraries (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Dec 28 2015 Konstantin Volkov <wolf@virtuozzo.com> 7.0.213-2
- Added requires for PyYAML, see #PSBM-42743

* Mon Dec 28 2015 Sergey Galas' <shrike@odin.com> 7.0.213
 - Run prl_newsid and prl_nettool with full path on Windows For #PSBM-40814
(Yuriy Pudgorodskiy <yur@virtuozzo.com>)
 - mem hotplug: BUGFIX PSBM-42761 (Maxim Nestratov <mnestratov@virtuozzo.com>)

* Mon Dec 28 2015 Sergey Galas' <shrike@odin.com> 7.0.212

* Mon Dec 28 2015 Sergey Galas' <shrike@odin.com> 7.0.211
 - Fix Task_CopyImage #PSBM-40878 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Fri Dec 25 2015 Sergey Galas' <shrike@odin.com> 7.0.210
 - Implementation of PVE::DspCmdVmDropSuspendedState #PSBM-41829 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - schema sources & code generator (Sergey Galas <shrike@odin.com>)
 - Preserve serial file output on VM restart #PSBM-41423 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Fix domain xml merging (device lists merging) (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-42708)

* Fri Dec 25 2015 Sergey Galas' <shrike@odin.com> 7.0.209
 - append attribute for serial device (Sergey Galas <shrike@odin.com>)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.208
 - compilation is fixed (Sergey Galas <shrike@odin.com>)
 - Add ability to configure guest's settings on stopped VM (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41445)
 - Add domain config merging on update (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-41966)
 - Process NewVmUuid parameter for Vm clone action #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)
 - Add necessary dependencies on prl-disp-service (Alexander Burluka
<aburluka@odin.com>) (#PSBM-42495)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.207
 - Add ability to configure guest's settings on stopped VM (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41445)
 - Add domain config merging on update (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-41966)
 - Process NewVmUuid parameter for Vm clone action #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)
 - Add necessary dependencies on prl-disp-service (Alexander Burluka
<aburluka@odin.com>) (#PSBM-42495)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.206
 - Process NewVmUuid parameter for Vm clone action #PSBM-42554 (Igor Sukhih
<igor@parallels.com>)

* Thu Dec 24 2015 Sergey Galas' <shrike@odin.com> 7.0.205
 - bug #PSBM-42004 (Sergey Galas <shrike@odin.com>)

* Wed Dec 23 2015 Sergey Galas' <shrike@odin.com> 7.0.204
 - bug #PSBM-42579 (Sergey Galas <shrike@odin.com>)
 - fix operator precedence issue (Nick Shyrokovskiy <nshyrokovskiy@gmail.com>)

* Tue Dec 22 2015 Sergey Galas' <shrike@odin.com> 7.0.203
 - bug #PSBM-42235 (Sergey Galas <shrike@odin.com>)

* Mon Dec 21 2015 Sergey Galas' <shrike@odin.com> 7.0.202
 - Add NVRAM to Vm config XmlModel (Dmitry Andreev <dandreev@virtuozzo.com>) (#PSBM-42089)

* Fri Dec 18 2015 Sergey Galas' <shrike@odin.com> 7.0.201
 - Restore Virtuozzo 6 behaviour on CPU unplug (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-42287)

* Fri Dec 18 2015 Sergey Galas' <shrike@odin.com> 7.0.200
 - fixes compilation. Libvirt::Error moved to a libvrary. it is not in the
Libvirt namespace anymore (Sergey Galas <shrike@odin.com>)
 - New implementation for guest agent version and state. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-41461 #PSBM-40814)

* Thu Dec 17 2015 Sergey Galas' <shrike@odin.com> 7.0.199
 - New implementation for guest agent version and state. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-41461 #PSBM-40814)

* Wed Dec 16 2015 Sergey Galas' <shrike@odin.com> 7.0.198
 - Fixed tests compilation broken by recent XmlModel cleanup (Dmitry Mishin
<dim@virtuozzo.com>)
 - leave single Error::Simple version (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-40717 (Sergey Galas <shrike@odin.com>)
 - Revert "ConfigCache do stat() on every get config action" (PSBM-42420) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Fixed build version incorporation to binaries #PSBM-42351 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Added crypted passwords processing for VMs #PSBM-42148 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup XmlModel headers from external headers (Dmitry Mishin
<dim@virtuozzo.com>)
 - Get rid off ParallelsDir dependency in XmlModel (Dmitry Mishin
<dim@virtuozzo.com>)
 - mem hotplug: improvements (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Synchronise XmlModel with libprlsdk (Dmitry Mishin <dim@virtuozzo.com>)
 - Switch to relative paths in XmlModel (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup XmlModel from other products stuff (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 16 2015 Sergey Galas' <shrike@odin.com> 7.0.197
 - Fixed build version incorporation to binaries #PSBM-42351 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Added crypted passwords processing for VMs #PSBM-42148 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Cleanup XmlModel headers from external headers (Dmitry Mishin
<dim@virtuozzo.com>)
 - Get rid off ParallelsDir dependency in XmlModel (Dmitry Mishin
<dim@virtuozzo.com>)
 - mem hotplug: improvements (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Synchronise XmlModel with libprlsdk (Dmitry Mishin <dim@virtuozzo.com>)
 - Switch to relative paths in XmlModel (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup XmlModel from other products stuff (Dmitry Mishin
<dim@virtuozzo.com>)

* Tue Dec 15 2015 Sergey Galas' <shrike@odin.com> 7.0.196
 - Reverted back reamVmToolsStateString() to deal with it later in #PSBM-41461
(Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Fix CT migration with "--keep-src" option, #PSBM-42226 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - typo fixed (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Style changes: - long lines - s/guestAgent/Agent/ - get rid of
VMS_STARTING/STOPPING states (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Style fixes, error reporting via CDspTaskFailure. (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Run prl_newsid via libvirt guest-exec API. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-40814)
 - Fix PVE::DspCmdDirVmMove #PSBM-40880 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Dec 11 2015 Sergey Galas' <shrike@odin.com> 7.0.195
 - Update VM network interfaces in runtime #PSBM-42131 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fix writing being allowed in read-only mount, #PSBM-42236 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Do not set disconnected device state based on file path (PSBM-41676) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Add VmName parameter to error message PRL_ERR_DISP_VM_IS_NOT_STOPPED (Maxim
Nestratov <mnestratov@virtuozzo.com>)

* Fri Dec 11 2015 Sergey Galas' <shrike@odin.com> 7.0.194
 - Fix writing being allowed in read-only mount, #PSBM-42236 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Do not set disconnected device state based on file path (PSBM-41676) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)
 - Add VmName parameter to error message PRL_ERR_DISP_VM_IS_NOT_STOPPED (Maxim
Nestratov <mnestratov@virtuozzo.com>)

* Thu Dec 10 2015 Sergey Galas' <shrike@odin.com> 7.0.193
 - Restore gateway v4 specification if IPv6 address is specified #PSBM-42188
(Dmitry Mishin <dim@virtuozzo.com>)

* Thu Dec 10 2015 Sergey Galas' <shrike@odin.com> 7.0.192
 - Fix memory size changing for stopped VMs (Maxim Nestratov
<mnestratov@virtuozzo.com>) (#PSBM-42200)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.191
 - Fix: 'prlctl --applyconfig' doesn't set IoLimit per disk #PSBM-42144 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Dec 09 2015 Sergey Galas' <shrike@odin.com> 7.0.190
 - mem hotplug: memory related Task_EditVm implementation (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - mem hotplug: add MemoryOptions to untranslatable types (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - mem hotplug: implement Libvirt runtime setMemory methods (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - mem hotplug: direct/reverse libvirt/dispatcher memory parameters translation
(Maxim Nestratov <mnestratov@virtuozzo.com>)
 - Fix task apply (Maxim Nestratov <mnestratov@virtuozzo.com>)
 - mem hotplug: modify VmConfig xml schema (Maxim Nestratov
<mnestratov@virtuozzo.com>)
 - cleanup: remove commented out include (Maxim Nestratov
<mnestratov@virtuozzo.com>)

* Tue Dec 08 2015 Sergey Galas' <shrike@odin.com> 7.0.189
 - Generate SN for HDDs if not set already (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add serial number field to HDD XML model (PSBM-40247) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Remove editor comments from schema (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Remove used device from the search list because we don't want to find them
again (Dmitry Andreev <dandreev@virtuozzo.com>)

* Mon Dec 07 2015 Sergey Galas' <shrike@odin.com> 7.0.188
 - memory device schema (Sergey Galas <shrike@odin.com>)
 - Handle disconnected and disabled devices (PSBM-41463) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Make TargetDeviceName available for CDROM and FDD (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Mon Dec 07 2015 Sergey Galas' <shrike@odin.com> 7.0.187
 - Fixed cpulimit setup (Alexander Burluka <aburluka@odin.com>) (#PSBM-42000)
 - Prohibit parallel devices as not needed in datacenters environments
#PSBM-41567 (Dmitry Mishin <dim@virtuozzo.com>)

* Fri Dec 04 2015 Sergey Galas' <shrike@odin.com> 7.0.185
 - Refactor Guest::Exec interface to use Request placeholder class (Yuri
Pudgorodskiy <yur@virtuozzo.com>)
 - Refactored to use mode member in Exec class (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Implemented RUN_PROGRAM_IN_SHELL via QGA extension. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-41590)
 - Fixed prl_disk_tool args in ConvertDisks, #PSBM-41831 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Removed conversion to split/merged disks, #PSBM-41831 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Dec 04 2015 Sergey Galas' <shrike@odin.com> 7.0.184
 - Configure routes for routed network #PSBM-35173 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Fixed wrong parameters type (Alexander Burluka <aburluka@odin.com>) (#PSBM-42002)
 - bug #PSBM-39448 (Sergey Galas <shrike@odin.com>)
 - Limit a size of 'prlctl exec' stdin #PSBM-41599 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Added requires for libvirt with VIR_DOMAIN_CREATE_USER flag - for #PSBM-41708
(Yuri Pudgorodskiy <yur@virtuozzo.com>)

* Fri Dec 04 2015 Sergey Galas' <shrike@odin.com> 7.0.183
 - Change os version required for Hyper-V crash #PSBM-41914 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Display error mesage on CT action failure #PSBM-41864 (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-41877 (Sergey Galas <shrike@odin.com>)
 - Use VIR_DOMAIN_CREATE_USER for setPassword (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Thu Dec 03 2015 Sergey Galas' <shrike@odin.com> 7.0.182
 - Move Eroor::Simple class to Libraries (Igor Sukhih <igor@parallels.com>)

* Thu Dec 03 2015 Sergey Galas' <shrike@odin.com> 7.0.181
 - Fixed lost during function refactoring join We need to pass list of IP
addresses as a single argument to prl_nettool. #PSBM-41930 (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.180
 - bug #PSBM-41871 (Sergey Galas <shrike@odin.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.179
 - !empty || means empty. cannot call front on empty vector. fix test condition.
(Sergey Galas <shrike@odin.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.178
 - refine indexes patch code (Sergey Galas <shrike@odin.com>)
 - Preserve gw, dhcp and "autoapply" settings in untranslatable types (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Dec 02 2015 Sergey Galas' <shrike@odin.com> 7.0.177
 - CD-ROM's and NetAdapter's indexes will not be changed by libvirt #PSBM-41676
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Dec 02 2015 Konstantin <wolf@parallels.com> 7.0.176
 - Added vm.overcommit_memory into 99-prl-disp.conf, see #PSBM-41862
 - CVzHelper::get_env_status_by_ctid: use fast mount check #PSBM-41777 (Igor
Sukhih <igor@parallels.com>)
 - Added 99-prl-disp.conf to /etc/sysctl.d, see #PSBM-41862
 - Update BuildRequires: libvzctl-devel >= 7.0.137 (Igor Sukhih
<igor@parallels.com>)

* Tue Dec 01 2015 Sergey Galas' <shrike@odin.com> 7.0.175
 - Add routed network type implemented with bridge "host-routed" (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-35173)
 - Add ip address to network devices in Transponster #PSBM-41769 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-41816 (Sergey Galas <shrike@odin.com>)

* Tue Dec 01 2015 Sergey Galas' <shrike@odin.com> 7.0.174
 - bug #PSBM-39783 (Sergey Galas <shrike@odin.com>)
 - Fixed bug with wrong IP addresses protocol recognition The problem is caused
by the fact, that we are working with non-parsed IP/IP_mask tuples here.
#PSBM-41756 (Dmitry Mishin <dim@virtuozzo.com>)

* Mon Nov 30 2015 Sergey Galas' <shrike@odin.com> 7.0.173
 - Fix maximum vcpu count determine bug (Alexander Burluka <aburluka@odin.com>) (#PSBM-41764)

* Mon Nov 30 2015 Sergey Galas' <shrike@odin.com> 7.0.172
 - Adapted Task_MountVm to use libguestfs, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fixed long VM names in tests (Alexander Burluka <aburluka@odin.com>) (#PSBM-41691)
 - Cleaned up Task_MountVm, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - add both devel and general dependencies on libguestfs. it is required for
mounting vms. (Sergey Galas <shrike@odin.com>)

* Mon Nov 30 2015 Sergey Galas' <shrike@odin.com> 7.0.171
 - Adapted Task_MountVm to use libguestfs, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fixed long VM names in tests (Alexander Burluka <aburluka@odin.com>) (#PSBM-41691)
 - Cleaned up Task_MountVm, #PSBM-40879 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.170
 - Enable Hyper-V crash feature in domain xml for Windows guests #PSBM-40209
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove unused CDspVzHelper::toCtId function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Return back get_env_status_by_ctid function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add parse_ctid function to CVzHelper (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Added call to quest-ping via Libvirt from LoginInGuest to get error if guest
agent is not available. For #PSBM-41555 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - dependency on Direct.h is required (Sergey Galas <shrike@odin.com>)
 - Remove unused CDspVzHelper::toCtId function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - make more panic (Sergey Galas <shrike@odin.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Return back get_env_status_by_ctid function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Add parse_ctid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.169
 - Enable Hyper-V crash feature in domain xml for Windows guests #PSBM-40209
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Remove unused CDspVzHelper::toCtId function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Return back get_env_status_by_ctid function (Yuri Pudgorodskiy
<yur@virtuozzo.com>)
 - Add parse_ctid function to CVzHelper (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Added call to quest-ping via Libvirt from LoginInGuest to get error if guest
agent is not available. For #PSBM-41555 (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - dependency on Direct.h is required (Sergey Galas <shrike@odin.com>)
 - Remove unused CDspVzHelper::toCtId function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - fix prlctl migrate command for containers, #PSBM-41362 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - make more panic (Sergey Galas <shrike@odin.com>)
 - Add build_ctid_from_uuid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Return back get_env_status_by_ctid function (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Add parse_ctid function to CVzHelper (Nikita Spiridonov
<nspiridonov@odin.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.168
 - Small refactoring for better maintainability (Dmitry Mishin
<dim@virtuozzo.com>)
 - This is a combination of 2 commits. (Sergey Galas <shrike@odin.com>) (#PSBM-41636 #PSBM-20830)
 - Cleanup unused function (Dmitry Mishin <dim@virtuozzo.com>)
 - Cleanup a couple of useless functions (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix test that use too long vm_name (Alexander Burluka <aburluka@odin.com>) (#PSBM-41539)
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.167
 - This is a combination of 2 commits. (Sergey Galas <shrike@odin.com>) (#PSBM-41636 #PSBM-20830)
 - Fix test that use too long vm_name (Alexander Burluka <aburluka@odin.com>) (#PSBM-41539)
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Fri Nov 27 2015 Sergey Galas' <shrike@odin.com> 7.0.166
 - This is a combination of 2 commits. (Sergey Galas <shrike@odin.com>) (#PSBM-41636 #PSBM-20830)
 - Fix test that use too long vm_name (Alexander Burluka <aburluka@odin.com>) (#PSBM-41539)
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Nov 26 2015 Sergey Galas' <shrike@odin.com> 7.0.165
 - Fixed copy routine in clone task (Alexander Burluka <aburluka@odin.com>) (#PSBM-41512 #PSBM-40874)
 - #PSBM-40879 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Thu Nov 26 2015 Sergey Galas' <shrike@odin.com> 7.0.164
 - Wrong error check #PSBM-41497 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.163
 - Remove optional QString parameter and use Expected<QString, ...> (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add conversion constructor Expected<void,E>::Expected(const Expected<T,E>&)
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-41519 (Sergey Galas <shrike@odin.com>)
 - Attach screenshot to problem report if VM is running #PSBM-41052 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.162
 - Remove optional QString parameter and use Expected<QString, ...> (Dmitry
Andreev <dandreev@virtuozzo.com>)
 - Add conversion constructor Expected<void,E>::Expected(const Expected<T,E>&)
(Dmitry Andreev <dandreev@virtuozzo.com>)
 - Attach screenshot to problem report if VM is running #PSBM-41052 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.161
 - Remove obsoleted check of CD-ROM's system name (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Nov 25 2015 Sergey Galas' <shrike@odin.com> 7.0.160
 - Compilation fix (Alexander Burluka <aburluka@odin.com>)
 - Add libvirt VM registration in clone routine (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41512)
 - actions code recures. need to move common parts to a single place and use
library tools for custom ones. (Sergey Galas <shrike@odin.com>)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.159
 - bug #PSBM-40910, #PSBM-40758 (Sergey Galas <shrike@odin.com>)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.158
 - Maximum vm name should be limited to 40 chars due to libvirt limit. (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-41464)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.157
 - Hardcode new name of guest tools iso for windows #PSBM-27606 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Fix flagset in cdrom media update libvirt call (Alexander Burluka
<aburluka@odin.com>) (#PSBM-41441)

* Tue Nov 24 2015 Sergey Galas' <shrike@odin.com> 7.0.156
 - Fix vlan interfaces lookup and network creation #PSBM-38601 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - bug #PSBM-41438 (Sergey Galas <shrike@odin.com>)

* Mon Nov 23 2015 Sergey Galas' <shrike@odin.com> 7.0.155
 - Change HDD/CD-ROM/FD target device naming policy (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-41341)
 - Add qemu state information to problem report #PSBM-27756 (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-40140)
 - Remove deprecated parameters setup (Alexander Burluka <aburluka@odin.com>)

* Fri Nov 20 2015 Sergey Galas' <shrike@odin.com> 7.0.154
 - prlctl mount --info for CT, #PSBM-28733 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Nov 20 2015 Sergey Galas' <shrike@odin.com> 7.0.153
 - rework online application of network settings to a vm (Sergey Galas
<shrike@odin.com>)
 - Remove check of guest tools state for network settings change (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-41376)
 - merge maxmemory (Sergey Galas <shrike@odin.com>)

* Thu Nov 19 2015 Sergey Galas' <shrike@odin.com> 7.0.152
 - GetNetworkSettings() call implementation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41376)
 - Restore HDD indexes #PSBM-41299 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Fix segfault (Alexander Burluka <aburluka@odin.com>) (#PSBM-41395)
 - Set network interface device name if it is empty in EditVM #PSBM-41108
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Thu Nov 19 2015 Sergey Galas' <shrike@odin.com> 7.0.150
 - GetNetworkSettings() call implementation (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-41376)
 - Fix segfault (Alexander Burluka <aburluka@odin.com>) (#PSBM-41395)
 - Set network interface device name if it is empty in EditVM #PSBM-41108
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Nov 18 2015 Sergey Galas' <shrike@odin.com> 7.0.149
 - Moved wakeUp() for "stdin finished" event to variant (optionally). (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-41201)
 - Change network settings of guest on the fly, via qga (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-41376)
 - ConfigCache do stat() on every get config action (Igor Sukhih
<igor@parallels.com>)
 - Collect 15s QEMU event trace for problem report #PSBM-38957 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Nov 18 2015 Sergey Galas' <shrike@odin.com> 7.0.148
 - Wait for response processor to finish before reporting Task_Exec as
completed. (Yuri Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-41322)
 - Single-call API for guest exec (combined start and waiti for result). (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-39325)

* Tue Nov 17 2015 Sergey Galas' <shrike@odin.com> 7.0.147
 - bug #PSBM-40777 (Sergey Galas <shrike@odin.com>)
 - minor code improvements (Sergey Galas <shrike@odin.com>)

* Tue Nov 17 2015 Sergey Galas' <shrike@odin.com> 7.0.146
 - Refactor guest-exec api to provide future result. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-39325)

* Mon Nov 16 2015 Sergey Galas' <shrike@odin.com> 7.0.145
 - bug #PSBM-41319 (Sergey Galas <shrike@odin.com>)
 - make expected implicitly constructable. use variant version of boost::get.
(Sergey Galas <shrike@odin.com>)

* Mon Nov 16 2015 Sergey Galas' <shrike@odin.com> 7.0.144
 - bug #PSBM-41152 (Sergey Galas <shrike@odin.com>)
 - Reflect recent changes in guest tools paths in tests #PSBM-41192 (Dmitry
Mishin <dim@virtuozzo.com>)
 - Preserve RATE and RATEBOUND values in our config (PSBM-41182) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Nov 13 2015 Sergey Galas' <shrike@odin.com> 7.0.143
 - Add libvirt text error to response package (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39113)
 - move dispatcher related stuff into Vm model. protect a vm directory item
insertion with the general lock just like other parts of dispatcher do in the
same case. (Sergey Galas <shrike@odin.com>)
 - rename View namespace into Model (Sergey Galas <shrike@odin.com>)
 - move agents to a separate source file (Sergey Galas <shrike@odin.com>)
 - Do not add USB keyboard (PSBM-41240) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Fix empty <serial></serial> #PSBM-41173 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Enable problem directory cleaning after problem report sent #PSBM-41204
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.142
 - Added workaround for stdin timeout when running non-interactive prlctl exec
(Yuri Pudgorodskiy <yur@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.140
 - Revert "workaround for bug #PSBM-32774" (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Added recent libvirt as dependency, #PSBM-32774 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.139
 - Fix compilation with updated vzkernel-headers (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.138
 - bug #PSBM-41194 (Sergey Galas <shrike@odin.com>)
 - fixes style of exec vm (Sergey Galas <shrike@odin.com>)
 - Prohibit sound devices #PSBM-41159 This type of devices is not typically used
in datacenters deployments and thus we do not support it. (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add input devices (PSBM-40423) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Configure USB controllers (PSBM-40423) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Nov 12 2015 Sergey Galas' <shrike@odin.com> 7.0.137
 - fixes style of exec vm (Sergey Galas <shrike@odin.com>)
 - Prohibit sound devices #PSBM-41159 This type of devices is not typically used
in datacenters deployments and thus we do not support it. (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add input devices (PSBM-40423) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Configure USB controllers (PSBM-40423) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.136
 - Refactored Task_ExecVm::execCt with template variant/visitor pattern (Yuri
Pudgorodskiy <yur@virtuozzo.com>) (#PSBM-39325)
 - Guest exec functionality via libvirt and qemu guest agent. (Yuri Pudgorodskiy
<yur@virtuozzo.com>) (#PSBM-39325)
 - Compile fixes for ignored fgets() return value (Yuri Pudgorodskiy
<yur@virtuozzo.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.135
 - bug #PSBM-41139 (Sergey Galas <shrike@odin.com>)
 - multiple ip addresses inside domain interface options (Sergey Galas
<shrike@odin.com>)

* Tue Nov 10 2015 Sergey Galas' <shrike@odin.com> 7.0.134
 - Do not send reply in InstallTools in case of not found config because
getConfig() does it (Dmitry Mishin <dim@virtuozzo.com>)
 - Use dump in kdump-compressed format, with zlib compression (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-40579)
 - Change path to Linux guest tools #PSBM-27605 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Handle DspCmdVmInstallTools command #PSBM-41060 (Dmitry Mishin
<dim@virtuozzo.com>)
 - Add 'Reset' command forwarding to libvirt #PSBM-41062 (Dmitry Mishin
<dim@virtuozzo.com>)

* Mon Nov 09 2015 Sergey Galas' <shrike@odin.com> 7.0.133
 - Send valid information about virtual networks #PSBM-40873 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Nov 06 2015 Sergey Galas' <shrike@odin.com> 7.0.132
 - Change regexp for disk's serial string (Dmitry Andreev
<dandreev@virtuozzo.com>) (#PSBM-41056)
 - Add VM IO priority support (Alexander Burluka <aburluka@odin.com>) (#PSBM-40909)

* Fri Nov 06 2015 Sergey Galas' <shrike@odin.com> 7.0.131
 - Fix incorrect condition #PSBM-41047 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - style fixes. (Sergey Galas <shrike@odin.com>)

* Thu Nov 05 2015 Sergey Galas' <shrike@odin.com> 7.0.130
 - IO limits are now set per VM disk (Alexander Burluka <aburluka@odin.com>) (#PSBM-27716)
 - Fixed prl_disk_tool call for resizing. (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Cleaned up Task_DiskImageResizer. (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Nov 05 2015 Sergey Galas' <shrike@odin.com> 7.0.129
 - Cosmetic changes to setUserPasswd (Dmitry Mishin <dim@virtuozzo.com>)
 - Implementation of "set user password" functionality for VMs (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-40811)
 - MERGE -c 1189922 from psbm6-u11. Consider template flag when calculating
shaman resources, see #PSBM-32613 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.128
 - bug #PSBM-40974 (Sergey Galas <shrike@odin.com>)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.127
 - Fix compilation (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Setup traffic accounting and shaping for VMs (#PSBM-40439) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Change Task_NetworkShapingManagement::setNetworkRate() argument from
SmartPtr& to reference (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Set dispatcher's coredump size limit to 256mb. (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make Uuid::toVzid() produce the same veid as ctid2veid() from libvzctl
(#PSBM-40439) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Tue Nov 03 2015 Sergey Galas' <shrike@odin.com> 7.0.126
 - Setup traffic accounting and shaping for VMs (#PSBM-40439) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Change Task_NetworkShapingManagement::setNetworkRate() argument from
SmartPtr& to reference (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Set dispatcher's coredump size limit to 256mb. (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Make Uuid::toVzid() produce the same veid as ctid2veid() from libvzctl
(#PSBM-40439) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Nov 02 2015 Sergey Galas' <shrike@odin.com> 7.0.125
 - bug #PSBM-40958 (Sergey Galas <shrike@odin.com>)

* Mon Nov 02 2015 Sergey Galas' <shrike@odin.com> 7.0.124
 - make Address type default constructible and reusable. (Sergey Galas
<shrike@odin.com>)
 - make Address type default constructible and reusable. (Sergey Galas
<shrike@odin.com>)
 - bug #PSBM-40767 (Sergey Galas <shrike@odin.com>)
 - Set disk size in our VM config (#PSBM-40259) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Oct 30 2015 Sergey Galas' <shrike@odin.com> 7.0.123
 - Set target number for SCSI devices because only first unit is bootable
#PSBM-40826 (Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Oct 28 2015 Sergey Galas' <shrike@odin.com> 7.0.122
 - Prevent from loosing of an OS version in VM config after conversion from
libvirt's xml #PSBM-40209 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - Check VM name length in VM configuration validation #PSBM-39975 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Wed Oct 28 2015 Sergey Galas' <shrike@odin.com> 7.0.121
 - Ignore port changes for VNC with auto mode #PSBM-40768 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Enable relaxed, spinlocks and vapic Hyper-V features and add hypervclock
timer for VMs with 'windows' guest OS version > win-2008 #PSBM-40209 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Tue Oct 27 2015 Sergey Galas' <shrike@odin.com> 7.0.120
 - Use system's libnetlink rather than own copy (#PSBM-33556) (Dmitry Mishin
<dim@virtuozzo.com>)
 - Remove deprecated VM shutdown functions #PSBM-38688 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - update build requirements (Sergey Galas <shrike@odin.com>)

* Tue Oct 27 2015 Sergey Galas' <shrike@odin.com> 7.0.119
 - bug #PSBM-40529 (Sergey Galas <shrike@odin.com>)
 - Show valid VNC status in "prlctl list -i" #PSBM-40340 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Disable VM stopping on service stop #PSBM-38688 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Move MPL vector size definition in compiler's flags (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Begin type is redundant. it's only purpose is to trigger shutdown. it is
better to move that logic into the activity class to have everything in a single
place. (Sergey Galas <shrike@odin.com>)
 - Add installation of environment file #PSBM-40347 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Sat Oct 24 2015 Sergey Galas' <shrike@odin.com> 7.0.117
 - Identify Containers by their native UUIDs, rather than UUIDs, generated by a
dispatcher (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-34267)
 - bug #PSBM-35301 (Sergey Galas <shrike@odin.com>)
 - SATA is now no valid iface type for any guest (Alexander Burluka
<aburluka@odin.com>) (#PSBM-40485)
 - schema contains duplicates of pod types. fortunatelly, we process data
declarations during the parsing stage only. then we could add only these types
for which the registry doesn't have entry of the same name and c++ data type.
(Sergey Galas <shrike@odin.com>)

* Fri Oct 23 2015 Sergey Galas' <shrike@odin.com> 7.0.116
 - Send VM problem report on guest panicked #PSBM-27754 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Oct 22 2015 Sergey Galas' <shrike@odin.com> 7.0.115
 - Run VM internal commands in separate thread #PSBM-40579 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Include libvirt's logging environment variables in prl-disp service
configuration and attach libvirt's log file to a problem report #PSBM-40347
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.114
 - bug #PSBM-40534 (Sergey Galas <shrike@odin.com>)
 - Libvirt has a special xml namespace for qemu commandline aguments, we use
commandline to pass logging parameters #PSBM-40323 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.113
 - Fix condition for #PSBM-40356 (Dmitry Andreev <dandreev@virtuozzo.com>)
 - bug #PSBM-40515 (Sergey Galas <shrike@odin.com>) (#PSBM-40515)

* Wed Oct 21 2015 Sergey Galas' <shrike@odin.com> 7.0.112
 - bug #PSBM-40419 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-40085 (Sergey Galas <shrike@odin.com>)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.111
 - Handle PMS_VIRTIO_BLOCK_DEVICE storage controller type (#PSBM-39893) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.110
 - clear call results in av if the object is in uninitalized state. check state
and quit if it is already clean. (Sergey Galas <shrike@odin.com>)

* Mon Oct 19 2015 Sergey Galas' <shrike@odin.com> 7.0.109
 - bug #PSBM-39899 (Sergey Galas <shrike@odin.com>) (#PSBM-39899 #PSBM-39899)

* Thu Oct 15 2015 Sergey Galas' <shrike@odin.com> 7.0.108
 - Attach libvirt's VM log to a problem report #PSBM-40347 (Dmitry Andreev
<dandreev@odin.com>)
 - Add QGA channel to the devices list (PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Since we use qemu only port numbers greater than 5899 are possible
#PSBM-39807 (Dmitry Andreev <dandreev@odin.com>)

* Tue Oct 13 2015 Sergey Galas' <shrike@odin.com> 7.0.107
 - Remove auto filling veth interface names for prlctl -i #PSBM-40342 (Dmitry
Andreev <dandreev@odin.com>)
 - Do not set empty disk serial number (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Handle SCSI controller model (#PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Mon Oct 12 2015 Sergey Galas' <shrike@odin.com> 7.0.106
 - Do not set empty disk serial number (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Handle SCSI controller model (#PSBM-34880) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Mon Oct 12 2015 Sergey Galas' <shrike@odin.com> 7.0.105
 - Change default scheme of host veth interface name generation and save default
name in VM config #PSBM-39735 (Dmitry Andreev <dandreev@odin.com>)

* Mon Oct 12 2015 Sergey Galas' <shrike@odin.com> 7.0.104
 - bug #PSBM-38901 (Sergey Galas <shrike@odin.com>)

* Wed Oct 07 2015 Sergey Galas' <shrike@odin.com> 7.0.103
 - Do not use deprecated ploop_read_disk_descr()/ ploop_free_diskdescriptor()
(Igor Sukhih <igor@parallels.com>)

* Fri Oct 02 2015 Sergey Galas' <shrike@odin.com> 7.0.101
 - Add implementation of DspCmdVmInternal "dbgdump" command #PSBM-27758 The
implementation is based on Qemu HMP command "dump-guest-memory". Usage: prlctl
internal <VM> dbgdump --path <file-path> Result: full guest memory dump. (Dmitry
Andreev <dandreev@odin.com>)
 - Bugfix: unable to add hdd to new VM #PSBM-39869 Fixed: transponster Direct
didn't set correct StackIndex in disk configuration. Fixed: transponster/reverse
didn't set correct controller/bus/unit ids for disks. Fixed:
transponster/reverse didn't configure SCSI disks and didn't create additional
SCSI controllers. (Dmitry Andreev <dandreev@odin.com>)
 - Set default cpu mode in libvirt domain to host-passthrough for #PSBM-39355
<cpu mode='host-passthrough'/> (Dmitry Andreev <dandreev@odin.com>)

* Wed Sep 30 2015 Sergey Galas' <shrike@odin.com> 7.0.100
 - XML model for snapshots (Sergey Galas <shrike@odin.com>)

* Mon Sep 28 2015 Sergey Galas' <shrike@odin.com> 7.0.99
 - compilation is fixed (Sergey Galas <shrike@odin.com>)
 - Removed all unused platform ifdefs (Alexander Burluka <aburluka@odin.com>)
 - Change default VM director to /vz/vmprivate (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39772)
 - bump version (Sergey Galas <shrike@odin.com>)
 - Enable lazy refcounts by default for VM's HDD when creating image #PSBM-39901
(Dmitry Andreev <dandreev@odin.com>)

* Mon Sep 28 2015 Sergey Galas' <shrike@odin.com> 7.0.98
 - Removed all unused platform ifdefs (Alexander Burluka <aburluka@odin.com>)
 - Change default VM director to /vz/vmprivate (Alexander Burluka
<aburluka@odin.com>) (#PSBM-39772)
 - bump version (Sergey Galas <shrike@odin.com>)
 - Enable lazy refcounts by default for VM's HDD when creating image #PSBM-39901
(Dmitry Andreev <dandreev@odin.com>)

* Thu Sep 24 2015 Sergey Galas' <shrike@odin.com> 7.0.97
 - bug #PSBM-35322 (Sergey Galas <shrike@odin.com>)
 - Fix disk IO mode in domain #PSBM-39896 (Dmitry Andreev <dandreev@odin.com>)
 - Load unhandled CT parameter to xml config to raw section #PSBM-34051 (Igor
Sukhih <igor@parallels.com>)

* Mon Sep 21 2015 Sergey Galas' <shrike@odin.com> 7.0.96
 - Add register VM testcase (Alexander Burluka <aburluka@odin.com>) (#PSBM-34681)

* Thu Sep 17 2015 Sergey Galas' <shrike@odin.com> 7.0.95
 - EFI boot support #PSBM-37908 (Dmitry Andreev <dandreev@odin.com>)
 - Update Libvirt's schemas support to 1.2.9. #PSBM-39778 (Dmitry Andreev
<dandreev@odin.com>)
 - Remove google-breakpad #PSBM-39388 (Dmitry Andreev <dandreev@odin.com>)

* Tue Sep 15 2015 Sergey Galas' <shrike@odin.com> 7.0.94
 - bug #PSBM-39745 (Sergey Galas <shrike@odin.com>)
 - Feature: Attach libvirt domain config to problem report #PSBM-39687 * Add
CurrentVmDomain field for libvirt domain config to problem report xml scheme. *
Add libvirt domain config getter. * Attach libvirt domain config to problem
report using CurrentVmDomain field. (Dmitry Andreev <dandreev@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.93
 - Fix VM registration #PSBM-39732 (Alexander Burluka <aburluka@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.92
 - data and temlate data sockets in CT migration must be non blocked (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-39292)
 - Feature: guest panic detection #PSBM-27754 (Dmitry Andreev
<dandreev@odin.com>)
 - Support custom name of veth pair host end, #PSBM-39513 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fix race in Task_VzMigrate and some other minor troubles #PSBM-34986
(Alexander Burluka <aburluka@odin.com>)
 - Remove Crash Report Monitor and report generation on VM dissconnect.
(dandreev <dandreev@odin.com>) (#PSBM-39297)
 - remote display configuration can be in disable state. don't create a libvirt
device in that case (Sergey Galas <shrike@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.91
 - data and temlate data sockets in CT migration must be non blocked (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-39292)
 - Feature: guest panic detection #PSBM-27754 (Dmitry Andreev
<dandreev@odin.com>)
 - Support custom name of veth pair host end, #PSBM-39513 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fix race in Task_VzMigrate and some other minor troubles #PSBM-34986
(Alexander Burluka <aburluka@odin.com>)
 - Remove Crash Report Monitor and report generation on VM dissconnect.
(dandreev <dandreev@odin.com>) (#PSBM-39297)
 - remote display configuration can be in disable state. don't create a libvirt
device in that case (Sergey Galas <shrike@odin.com>)

* Mon Sep 14 2015 Sergey Galas' <shrike@odin.com> 7.0.90
 - data and temlate data sockets in CT migration must be non blocked (Nikolay
Shirokovskiy <nshirokovskiy@virtuozzo.com>) (#PSBM-39292)
 - Feature: guest panic detection #PSBM-27754 (Dmitry Andreev
<dandreev@odin.com>)
 - Support custom name of veth pair host end, #PSBM-39513 (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Fix race in Task_VzMigrate and some other minor troubles #PSBM-34986
(Alexander Burluka <aburluka@odin.com>)
 - Remove Crash Report Monitor and report generation on VM dissconnect.
(dandreev <dandreev@odin.com>) (#PSBM-39297)
 - remote display configuration can be in disable state. don't create a libvirt
device in that case (Sergey Galas <shrike@odin.com>)

* Wed Aug 26 2015 Sergey Galas' <shrike@odin.com> 7.0.90
 - the prev code tries to schedule multiple child tasks for a single
CDspTaskHelper object which is prohibited. the overall design is also wrong
because we first schedule a thread for every container and then schedule another
one. this is a whole waste of resources. a VzHelper task ends in a single call
to CVzOperationHelper instance. that's all we need here actually. replace the
second task schedule with a direct call to vzctl (Sergey Galas
<shrike@odin.com>)
 - bug #PSBM-38748 @110345 Fix length of control message (Inga Pyass
<ipyass@virtuozzo.com>)
 - Auto start CTs in parallel #PSBM-34836 (Igor Sukhih <igor@parallels.com>)
 - Attach ploop and pcompact log files to problem report #PSBM-38724 (Dmitry
Andreev <dandreev@odin.ru>)

* Wed Aug 12 2015 Sergey Galas' <shrike@odin.com> 7.0.89
 - Add network adapter type converting to/from libvirt format, #PSBM-38658
(Maxim Perevedentsev <mperevedentsev@parallels.com>)
 - bug #PSBM-37910 (Sergey Galas <shrike@odin.com>)
 - MERGE Implement detach and reattach for the client side of the
IOCommunication connection (#PSBM-29120) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - bug #PSBM-35301 (Sergey Galas <shrike@odin.com>)

* Thu Jul 30 2015 Sergey Galas' <shrike@odin.com> 7.0.88
 - reboot event requires virConnectDomainEventGenericCallback (Sergey Galas
<shrike@odin.com>)

* Tue Jul 28 2015 Sergey Galas' <shrike@odin.com> 7.0.87
 - Dispatcher doesn't send event after CT changed state, #PSBM-35119 Reviewed-
by: shrike Observers: myakhin, ibazhitov Adopt
CDspClientManager::getSessionsListSnapshot() to work with CT. (Igor Sukhih
<igor@parallels.com>)
 - bug #PSBM-35048 (Sergey Galas <shrike@odin.com>)

* Tue Jul 28 2015 Sergey Galas' <shrike@odin.com> 7.0.86
 - bug #PSBM-35048 (Sergey Galas <shrike@odin.com>)

* Wed Jul 22 2015 Sergey Galas' <shrike@odin.com> 7.0.84
 - - Set STP=off (according to shrike@ it fix Netwotk Manager DELAY invalid when
STP is disabled message) - Skip ifaces with ONBOOT != yes (them are useless for
dispatcher) - Use prefix for backup files instead of suffix due to
NetworkManager glob, see #PSBM-35100 (Konstantin <wolf@parallels.com>)
 - CVzExecHelper::run_cmd: Use ctid to manage CT (Igor Sukhih
<igor@parallels.com>)
 - Dispatcher can now return VM config with autogenerated params (Alexander
Burluka <aburluka@odin.com>) (#PSBM-34906)

* Wed Jul 22 2015 Konstantin <wolf@parallels.com> 7.0.83
 - Set STP=off (according to shrike@ it fix Netwotk Manager DELAY invalid when
   STP is disabled message)
 - Skip ifaces with ONBOOT != yes (them are useless for
   dispatcher)
 - Use prefix for backup files instead of suffix due to
   NetworkManager glob, see #PSBM-35100
 - CVzExecHelper::run_cmd: Use ctid to manage CT (Igor Sukhih
   <igor@parallels.com>)
 - Dispatcher can now return VM config with autogenerated params (Alexander
   Burluka <aburluka@odin.com>) (#PSBM-34906)

* Wed Jul 22 2015 Sergey Galas' <shrike@odin.com> 7.0.82
 - Dispatcher can now return VM config with autogenerated params (Alexander
Burluka <aburluka@odin.com>) (#PSBM-34906)

* Tue Jul 21 2015 Sergey Galas' <shrike@odin.com> 7.0.81
 - bug #PSBM-35052 (Sergey Galas <shrike@odin.com>)
 - Add DELAY=2 to every bridge due to kernel maillist howto (Konstantin
<wolf@parallels.com>)

* Mon Jul 20 2015 Konstantin <wolf@parallels.com> 7.0.80
 - Check for parameters parsign failure, see #PSBM-34912

* Mon Jul 20 2015 Konstantin <wolf@parallels.com> 7.0.79
 - Added bridge creation script. (Maxim Perevedentsev
<mperevedentsev@parallels.com>), see #PSBM-34912
 - Add create_bridges.py ro dispatcher rpm, see #PSBM-34912

* Thu Jul 16 2015 Sergey Galas' <shrike@odin.com> 7.0.78
 - bug #PSBM-34945 (Sergey Galas <shrike@odin.com>)
 - MERGE Collect CT statistics asynchronously in Dispatcher (#PSBM-34186) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.77
 - bug #PSBM-34922 (Sergey Galas <shrike@odin.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.76
 - Fix CT move to existing destination scenario, #PSBM-34188 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Report filesystem statistics from linux containers (#PSBM-33065, #PSBM-33066,
#PSBM-33069) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.75
 - Fix CT move to existing destination scenario, #PSBM-34188 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Report filesystem statistics from linux containers (#PSBM-33065, #PSBM-33066,
#PSBM-33069) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Wed Jul 15 2015 Sergey Galas' <shrike@odin.com> 7.0.75
 - bug #PSBM-29503 (Sergey Galas <shrike@odin.com>)

* Tue Jul 14 2015 Sergey Galas' <shrike@odin.com> 7.0.74
 - bug #PSBM-34885 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34763 (Sergey Galas <shrike@odin.com>)

* Tue Jul 14 2015 Sergey Galas' <shrike@odin.com> 7.0.73
 - bug #PSBM-34885 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34763 (Sergey Galas <shrike@odin.com>)

* Tue Jul 14 2015 Sergey Galas' <shrike@odin.com> 7.0.73
 - bug #PSBM-33359 (Sergey Galas <shrike@odin.com>)

* Mon Jul 13 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.72
 - Fix gitignore for XmlModels (#PSBM-34018)

* Fri Jul 10 2015 Sergey Galas' <shrike@odin.com> 7.0.71
 - bug #PSBM-34851 (Sergey Galas <shrike@odin.com>)
 - Set SystemName section in Serial/Parallel Port VM config equal to
UserFriendlyName section while converting from libvirt configuration. Set
correct EmulatedType. (Dmitry Andreev <dandreev@odin.ru>)
 - Only SerialPort OutputFile type is currently allowed because of libvirt.
(Dmitry Andreev <dandreev@odin.ru>)
 - Serial ports in VM are often used for debug output. This code attaches serial
ports output file to VM problem report. #PSBM-34029 (Dmitry Andreev
<dandreev@odin.ru>)

* Fri Jul 10 2015 Sergey Galas' <shrike@odin.com> 7.0.70
 - bug #PSBM-34851 (Sergey Galas <shrike@odin.com>)

* Fri Jul 10 2015 Sergey Galas' <shrike@odin.com> 7.0.69
 - Do not start CT on prl-disp.service restart, #PSBM-34778 (Igor Sukhih
<igor@parallels.com>)

* Fri Jul 10 2015 Igor Sukhih <igor@parallels.com> 7.0.68
 - Fix incorrect QByteArray comparison in tests
 - Added device StackIndex and Interface Type support for CT
 - prl-disp.service: move vcmmd.service requires to vz.service

* Wed Jul 08 2015 Igor Sukhih <igor@parallels.com> 7.0.67
 - Move vz_pre_sart logic from prl-disp.service to vz.service
 - If dev:class is not in RATEMPU, then packet rate limit is disabled.

* Tue Jul 07 2015 Sergey Galas' <shrike@odin.com> 7.0.66
 - Fix test_parallels_dir (Alexander Burluka <aburluka@odin.com>)
 - #PSBM-34745 (Alexander Burluka <aburluka@odin.com>)

* Mon Jul 06 2015 Sergey Galas' <shrike@odin.com> 7.0.65
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Unable to register CT by uuid, PSBM-34685 (Igor Sukhih <igor@parallels.com>)

* Mon Jul 06 2015 Sergey Galas' <shrike@odin.com> 7.0.64
 - bug #PSBM-34701. get rid of unused sparse bitmap (Sergey Galas
<shrike@odin.com>)
 - Fixed minor lacks in test archivation (Alexander Burluka <aburluka@odin.com>)
 - Fixed mistype (Alexander Burluka <aburluka@odin.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.63
 - bug #PSBM-34549 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)
 - Unittests should be built in single thread (Alexander Burluka
<aburluka@odin.com>)
 - #PSBM-34695 (Alexander Burluka <aburluka@odin.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.62
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.61
 - bug #PSBM-34674 (Sergey Galas <shrike@odin.com>)
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Sergey Galas' <shrike@odin.com> 7.0.60
 - Add more memory guest counters (Nikolay Shirokovskiy
<nshirokovskiy@virtuozzo.com>)

* Fri Jul 03 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.59
 - Switch to Container creation in registerVM test #PSBM-34655
 - OpenStack needs to create a virtual network attached to an existing bridge. ok.
(Sergey Galas <shrike@odin.com>)

* Thu Jul 02 2015 Sergey Galas' <shrike@odin.com> 7.0.58
 - bug #PSBM-34666 (Sergey Galas <shrike@odin.com>)
 - CVzOperationHelper::apply_env_config: use CTID to open CT config (Igor Sukhih
<igor@parallels.com>)

* Thu Jul 02 2015 Sergey Galas' <shrike@odin.com> 7.0.57
 - CVzOperationHelper::apply_env_config: use CTID to open CT config (Igor Sukhih
<igor@parallels.com>)

* Thu Jul 02 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.57
 - Restored Containers auto-start functionality #PSBM-34651

* Thu Jul 02 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.56
 - Fix pls-sdk-unit #PSBM-34515 (Alexander Burluka <aburluka@odin.com>)
 - bug #PSBM-34328 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-34328 (Sergey Galas <shrike@odin.com>)

* Wed Jul 01 2015 Sergey Galas' <shrike@odin.com> 7.0.54
 - bug #PSBM-34328 (Sergey Galas <shrike@odin.com>)

* Mon Jun 29 2015 Sergey Galas' <shrike@odin.com> 7.0.53
 - bug #PSBM-34476 (Sergey Galas <shrike@odin.com>)
 - Unable to register Container #PSBM-33769 (Igor Sukhih <igor@parallels.com>)
 - DspCmdDirReg3rdPartyVm now generated PRL_ERR_UNIMPLEMENTED #PSBM-13737
(Alexander Burluka <aburluka@odin.com>)
 - vz_pre_start: Update default allow syfs list, #PSBM-34435 #PSBM-34436 (Igor
Sukhih <igor@parallels.com>)
 - Changed faulty constant name (NPM_*) to correct (NRM_*). (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Added RateMPU param to Xml schema. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Added packet rate limitation (RateMPU) tests. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)
 - Added RATEMPU conversion to/from vz.conf param. (Maxim Perevedentsev
<mperevedentsev@parallels.com>)

* Fri Jun 26 2015 Sergey Galas' <shrike@odin.com> 7.0.52
 - Unable to register Container #PSBM-33769 (Igor Sukhih <igor@parallels.com>)
 - DspCmdDirReg3rdPartyVm now generated PRL_ERR_UNIMPLEMENTED #PSBM-13737
(Alexander Burluka <aburluka@odin.com>)
 - vz_pre_start: Update default allow syfs list, #PSBM-34435 #PSBM-34436 (Igor
Sukhih <igor@parallels.com>)

* Mon Jun 22 2015 Sergey Galas' <shrike@odin.com> 7.0.51
 - vz_pre_start: Update default allow syfs list (Igor Sukhih
<igor@parallels.com>)

* Mon Jun 22 2015 Sergey Galas' <shrike@odin.com> 7.0.50
 - Fix unittests build (Alexander Burluka <aburluka@odin.com>)
 - Fixed test deps files so qmake will work (Alexander Burluka
<aburluka@odin.com>)
 - Export collected VM guest filesystem statistics via performance counters
(#PSBM-33065, #PSBM-33066, #PSBM-33069) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Add README (Sergey Bronnikov <sergeyb@openvz.org>)
 - Add internal tests rpm build instructions (Alexander Burluka
<aburluka@odin.com>)

* Fri Jun 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.49-2
 - Removed cpupools dependency, see #PSBM-34393

* Thu Jun 11 2015 Sergey Galas' <shrike@odin.com> 7.0.49
 - Fix clone operation for containers, #PSBM-34141 (Nikita Spiridonov
<nspiridonov@odin.com>)

* Wed Jun 10 2015 Sergey Galas' <shrike@odin.com> 7.0.48
 - bug #PSBM-34155 (Sergey Galas <shrike@odin.com>)
 - Fix containers move operation if destination already exists, #PSBM-34076
(Nikita Spiridonov <nspiridonov@odin.com>)
 - Fix containers move operation if destination already exists, #PSBM-34076
(Nikita Spiridonov <nspiridonov@odin.com>)
 - Unable to work with CT by VEID (Igor Sukhih <igor@parallels.com>)

* Mon Jun 08 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.47
 - Added forgoten during commit 92c3c07649d hunk (#PSBM-34083)

* Mon Jun 08 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.46
 - Fixed listing of Containers identified by UUIDs only #PSBM-34075

* Fri Jun 05 2015 Igor Sukhih <igor@parallels.com> 7.0.45
 - prl-disp SIGSEGV on CT create, #PSBM-34069

* Fri Jun 05 2015 Sergey Galas' <shrike@odin.com> 7.0.44
 - Fix containers move operation, #PSBM-33992 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Remove unused variable (Nikita Spiridonov <nspiridonov@odin.com>)
 - Use dynamic linking with libvzctl (Igor Sukhih <igor@parallels.com>)
 - Unable to work with CT by VEID (Igor Sukhih <igor@parallels.com>)
 - #PSBM-33986 (Igor Sukhih <igor@parallels.com>)
 - Fix CT rename during clone, #PSBM-33982 (Nikita Spiridonov
<nspiridonov@odin.com>)

* Thu Jun 04 2015 Sergey Galas' <shrike@odin.com> 7.0.43
 - unused (Sergey Galas <shrike@odin.com>)
 - Updated git source URL (Daniil Guzanov <dguzanov@odin.com>)

* Tue Jun 02 2015 Sergey Galas' <shrike@odin.com> 7.0.42
 - Unconditionally set QSettings file permissions (Igor Bazhitov
<ibazhitov@odin.com>)
 - Make QSettings file accessible only for root (#PSBM-26090) (Igor Bazhitov
<ibazhitov@odin.com>)

* Sat May 30 2015 Konstantin Volkov <wolf@parallels.com> 7.0.41
 - Use less strong requires for prl-disp.service, see #PSBM-32779

* Sat May 30 2015 Dmitry Mishin <dim@parallels.com> 7.0.40
 - set/get serial ports of libvirt backed vms. (Sergey Galas <shrike@odin.com>)

* Thu May 28 2015 Igor Sukhih <igor@parallels.com> 7.0.39-2
- Added requires to bm-release package, see #PSBM-33861

* Thu May 28 2015 Igor Sukhih <igor@parallels.com> 7.0.39
 - Fixed compilation
 - Added requires to vcmmd.service, see #PSBM-33830
 - Unable to register CT, #PSBM-33769

* Thu May 28 2015 Konstantin Volkov <wolf@parallels.com> 7.0.38
 - Added requires to vcmmd.service, see #PSBM-33830
 - Unable to register CT (Igor Sukhih <igor@parallels.com>)

* Thu May 28 2015 Konstantin Volkov <wolf@odin.com> 7.0.37-2
- Removed default preset creation, see #PSBM-33830

* Tue May 26 2015 Igor Sukhih <igor@parallels.com> 7.0.37
 - Change EnvId type from integer to string, #PSBM-33779
 - Cleanup not used in vz conversion functionality
 - Remove unattended guest installation support
 - Remove all backup-related functionality from a dispatcher
 - Proper name for Libraries directory in COPYING statement
 - Added proper .gitignore for the repository
 - restore network statistics for win

* Wed May 20 2015 Sergey Galas' <shrike@odin.com> 7.0.36
 - app per vcpu counter (Nikolay Shirokovskiy <nshirokovskiy@parallels.com>)
 - Remove unused/unimplemented Vz specific code (Igor Sukhih <igor@parallels.com>)

* Tue May 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.35
 - Try to start bridge without LibVirt interface
 - Cleanup CEP report tester conf example (Dmitry Mishin <dim@parallels.com>)
 - Merge branch 'master' of ssh://git.sw.ru/vzs/prl-disp-service (Dmitry Mishin <dim@parallels.com>)
 - Cleanup PD-related code from BugPatcher (Dmitry Mishin <dim@parallels.com>)
 - Delete code related to SmartGuard functionality (Dmitry Mishin <dim@parallels.com>)
 - Merge branch 'master' of ssh://git.sw.ru/vzs/prl-disp-service (Dmitry Mishin <dim@parallels.com>)
 - Delete current AutoStatistics logic (Dmitry Mishin <dim@parallels.com>)
 - Try to start bridge before common start

* Tue May 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.34
 - Try to start bridge before common start
 - Delete code related to SmartGuard functionality (Dmitry Mishin <dim@parallels.com>)
 - Merge branch 'master' of ssh://git.sw.ru/vzs/prl-disp-service (Dmitry Mishin <dim@parallels.com>)
 - Delete current AutoStatistics logic (Dmitry Mishin <dim@parallels.com>)

* Tue May 19 2015 Konstantin Volkov <wolf@parallels.com> 7.0.33
 - Do restart main bridge interface before bridge start

* Tue May 19 2015 Sergey Galas' <shrike@odin.com> 7.0.32
 - don't stop bridge because its slave cannot start (Sergey Galas <shrike@odin.com>)
 - need to stop slave interface of a new bridge so that start of the bridge would inject it properly. have to stop the bridge itself to workaround the NetworkManager background activity. (Sergey Galas <shrike@odin.com>)
 - Removed commented code (Igor Sukhih <igor@parallels.com>)

* Tue May 19 2015 Sergey Galas' <shrike@odin.com> 7.0.31
 - need to stop slave interface of a new bridge so that start of the bridge would inject it properly. have to stop the bridge itself to workaround the NetworkManager background activity. (Sergey Galas <shrike@odin.com>)
 - Removed commented code (Igor Sukhih <igor@parallels.com>)

* Fri May 15 2015 Sergey Galas' <shrike@odin.com> 7.0.30
 - bug #PSBM-33121 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Fri May 15 2015 Sergey Galas' <shrike@odin.com> 7.0.29
 - bug #PSBM-33121 (Sergey Galas <shrike@odin.com>)
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Fri May 15 2015 Sergey Galas' <shrike@odin.com> 7.0.28
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Thu May 14 2015 Konstantin Volkov <wolf@parallels.com> 7.0.27
 - Depends back on network.target, revert, see #PSBM-33121
 - Add libnl symlink, needed for dlopen, see #PSBM-33121

* Thu May 14 2015 Sergey Galas' <shrike@odin.com> 7.0.26
 - bug #PSBM-33520 (Sergey Galas <shrike@odin.com>)

* Thu May 14 2015 Konstantin Volkov <wolf@parallels.com> 7.0.25
 - Depends on network-online.target, see #PSBM-33121

* Tue May 12 2015 Sergey Galas' <shrike@odin.com> 7.0.24
 - bug #PSBM-33296 (Sergey Galas <shrike@odin.com>)
 - qt signal and slot macros require parentheses as well (Sergey Galas <shrike@odin.com>)
 - DEVNODES parameter isn't applied for a new CT from sample config (Igor Sukhih <igor@parallels.com>)

* Wed May 06 2015 Igor Sukhih <igor@parallels.com> 7.0.23
 - Remove Virtuozzo specific network management logic
 - Do not trigger CEP report creation whenAutoStatisticReport is canceled, see #PSBM-32510

* Wed May 06 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.22-2
 - Dropped deps and build-deps on vznetcfg

* Tue May 05 2015 Igor Sukhih <igor@parallels.com> 7.0.22
 - switch to new libvzctl API
 - veth adapter removed in case iface readd
 - on config update venet0 iface deleted as veth device

* Mon Apr 20 2015 Sergey Galas' <shrike@odin.com> 7.0.21
 - remove offline management stuff, see #PSBM-32946 (Igor Bazhitov <ibazhitov@odin.com>)

* Wed Apr 15 2015 Sergey Galas' <shrike@odin.com> 7.0.20
 - keep tray open for cdrom and floppy devices. (Sergey Galas <shrike@odin.com>)

* Tue Apr 14 2015 Sergey Galas' <shrike@odin.com> 7.0.19
 - fixes the network availability aka bug #PSBM-32893. (Sergey Galas <shrike@odin.com>)
 - start a new bridge after creation (Sergey Galas <shrike@odin.com>)
 - use proper units for video memory in both xml models (Sergey Galas <shrike@odin.com>)
 - copy dhcp settings from a physical device to a bridge (Sergey Galas <shrike@odin.com>)

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.18
 - Updated license #PSBM-26802

* Thu Apr 09 2015 Sergey Galas' <shrike@odin.com> 7.0.17
 - disable stp for bridges (Sergey Galas <shrike@odin.com>)

* Wed Apr 08 2015 Sergey Galas' <shrike@odin.com> 7.0.16
 - workaround for bug #PSBM-32774 (Sergey Galas <shrike@odin.com>)

* Wed Apr 08 2015 Konstantin Volkov <wolf@parallels.com> 7.0.15
 - Revert venet startup from prl_disp, see #PSBM-32775

* Wed Apr 08 2015 Sergey Galas' <shrike@odin.com> 7.0.14
 - workaround network issues (Sergey Galas <shrike@odin.com>)

* Tue Apr 07 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.13
 - rebuild with ploop 7.0.x #PSBM-32811

* Mon Apr 06 2015 Igor Sukhih <igor@parallels.com> 7.0.12
 - configure venet0 iface from vz_pre_start #PSBM-32775

* Thu Apr 02 2015 Sergey Galas' <shrike@odin.com> 7.0.11
 - bug #PSBM-32757
 - quit from context without freeing resources is bad. always close on error paths. (Sergey Galas <shrike@odin.com>)
 - libvirt doesn't report mac addresses for interaces in default pcs configuration. but we still need them to identify devices reliably. use the prlnet facility to workaround. (Sergey Galas <shrike@odin.com>)
 - mac address is optional. libvirt doesn't report it for interfaces from default pcs installation. do not even try to set unavailable value. (Sergey Galas <shrike@odin.com>)

* Wed Apr 01 2015 Sergey Galas' <shrike@odin.com> 7.0.10
 - sdk headers are in different place now. use correct include path (Sergey Galas <shrike@odin.com>)
 - all the logic for the network management moves to the dao class. use it to preform the network related tasks (Sergey Galas <shrike@odin.com>)
 - we hide all the details of how to access networks inside the dao type. use it to list the local networks. (Sergey Galas <shrike@odin.com>)
 - extract common network management operations into the dao class (Sergey Galas <shrike@odin.com>)
 - 1. implement libvirt agents for networks and interfaces. 2. create parallels networks inside the libvirt right after connect. (Sergey Galas <shrike@odin.com>)
 - we are always in server mode. nobody calls this code (Sergey Galas <shrike@odin.com>)
 - 1. libvirt mappings are in different namespaces now. use fqn to address entities. 2. add translation of the libvirt xml format for networks and interfaces to and from the dispatcher xml model. (Sergey Galas <shrike@odin.com>)
 - tags and labels of new mappings (Sergey Galas <shrike@odin.com>)
 - build new mappings (Sergey Galas <shrike@odin.com>)
 - network and interfaces mappings are introduced. move related stuff into separate data, enum and type sources. wrap with namespaces to prevent name clashes. (Sergey Galas <shrike@odin.com>)
 - all the domain specific enum declarations move to a dedicated header. leave the one of a general template only. (Sergey Galas <shrike@odin.com>)
 - Merge pull request #9 in VZS/prl-disp-service from ~IBAZHITOV/prl-disp-service:MERGE-PSBM-32620 to master (Dmitry Mishin <dim@parallels.com>)
 - Use problem report servers from PCS6 (#PSBM-32620) (Igor Bazhitov <ibazhitov@parallels.com>)

* Wed Apr 01 2015 Sergey Galas' <shrike@odin.com> 7.0.8
 - bug #PSBM-32473
 - all the logic for the network management moves to the dao class. use it to preform the network related tasks (Sergey Galas <shrike@odin.com>)
 - we hide all the details of how to access networks inside the dao type. use it to list the local networks. (Sergey Galas <shrike@odin.com>)
 - extract common network management operations into the dao class (Sergey Galas <shrike@odin.com>)
 - 1. implement libvirt agents for networks and interfaces. 2. create parallels networks inside the libvirt right after connect. (Sergey Galas <shrike@odin.com>)
 - we are always in server mode. nobody calls this code (Sergey Galas <shrike@odin.com>)
 - 1. libvirt mappings are in different namespaces now. use fqn to address entities. 2. add translation of the libvirt xml format for networks and interfaces to and from the dispatcher xml model. (Sergey Galas <shrike@odin.com>)
 - tags and labels of new mappings (Sergey Galas <shrike@odin.com>)
 - build new mappings (Sergey Galas <shrike@odin.com>)
 - network and interfaces mappings are introduced. move related stuff into separate data, enum and type sources. wrap with namespaces to prevent name clashes. (Sergey Galas <shrike@odin.com>)
 - all the domain specific enum declarations move to a dedicated header. leave the one of a general template only. (Sergey Galas <shrike@odin.com>)
 - Merge pull request #9 in VZS/prl-disp-service from ~IBAZHITOV/prl-disp-service:MERGE-PSBM-32620 to master (Dmitry Mishin <dim@parallels.com>)
 - Use problem report servers from PCS6 (#PSBM-32620) (Igor Bazhitov <ibazhitov@parallels.com>)

* Wed Mar 25 2015 Sergey Galas' <shrike@odin.com> 7.0.7
- properly wrap zlib to use it with system libtar (#PSBM-32581)

* Fri Mar 20 2015 Konstantin Volkov <wolf@parallels.com> 7.0.3
- Change SysV unit to systemd one #PSBM-32178

* Fri Mar 20 2015 Konstantin Volkov <wolf@parallels.com> - 7.0.2
- Initial changelog entry
